Microsoft Office のオブジェクト

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

凡例

オブジェクトとコレクション
オブジェクトのみ


Microsoft Office の開発者向け新機能

Microsoft Office 共有コンポーネントの新機能や拡張機能をサポートするために、Microsoft Office Visual Basic オブジェクト モデルにはさまざまな変更が加えられています。オブジェクト、プロパティ、メソッド、およびイベントが数多く追加されています。

最新の Microsoft Office 開発情報については、MSDN Online の Office Developer Center を参照してください。新しい技術文書、ダウンロード、サンプル、製品ニュースなどがあります。

新しい言語要素

次のトピックは、Office で新たに追加された言語要素の一覧です。

新しいオブジェクト

新しいプロパティ (オブジェクト順)

新しいプロパティ (アルファベット順)

新しいメソッド

新しいイベント


新しいオブジェクト

最新の Microsoft Office 開発情報については、MSDN Online の Office Developer Center を参照してください。新しい技術文書、ダウンロード、サンプル、製品ニュースなどがあります。

次の表は、Microsoft Office で Visual Basic に追加されたオブジェクトの一覧です。

オブジェクト
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


新しいイベント

次の表は、Microsoft Office に追加されたイベントの一覧です。

イベント
EnvelopeHide
EnvelopeShow


新しいメソッド

次の表は、Microsoft Office の既存のオブジェクトに追加されたメソッド (オブジェクト順) の一覧です。

オブジェクト メソッド
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


新しいプロパティ (アルファベット順)

次の表は、Microsoft Office の既存のオブジェクトに追加されたプロパティ (アルファベット順) の一覧です。

プロパティ
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


新しいプロパティ (オブジェクト順)

次の表は、Microsoft Office の既存のオブジェクトに追加されたプロパティ (オブジェクト順) の一覧です。

オブジェクト | プロパティ
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Office アシスタントの概要

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタント、Office アシスタントのバルーン、およびバルーンに含まれるすべての項目は、Visual Basic for Applications の Assistant オブジェクトのオブジェクト、プロパティ、およびメソッドによって制御されます。

次の図は、Office アシスタント、Office アシスタントのバルーン、およびバルーンに含まれるすべてのプログラミング可能なオブジェクトを示します。

Office アシスタント、Office アシスタントのバルーン、およびバルーンに含まれるすべてのプログラミング可能なオブジェクト

デザイン時および実行時に Office アシスタントの設定を変更する方法については、次のトピックを参照してください。

Office アシスタントを使用する

バルーンの作成と変更

実行時におけるバルーンの変更


コマンド バーの概要

このトピックの内容は、すべての言語で利用できない可能性があります。

Microsoft Office では、ツールバー、メニュー バー、およびショートカット メニューはすべて同じ種類のオブジェクト (コマンド バー) として扱われます。Visual Basic for Applications では、次に示す項目はすべて CommandBar オブジェクトで表されます。

  • メニュー バー、ツールバー、およびショートカット メニュー
  • メニュー バーおよびツールバーのメニュー
  • メニュー、サブメニュー、およびショートカット メニューのサブメニュー

組み込みのメニュー バーやツールバーを変更したり、ユーザー設定のツールバー、メニュー バー、およびショートカット メニューを作成または変更して、Visual Basic のカスタム アプリケーションに組み込むことができます。たとえば、作成したアプリケーションの機能をツールバーのボタンに割り当てたり、1 つのグループにまとめてメニューに表示することができます。ツールバーとメニューはいずれもコマンド バーとして扱われるので、その両方に対して同じ種類のコマンド バー コントロールを使用します。たとえば、次の図に示される固定ツールバーには、3 つのコマンドがボタンとして含まれます。

次の図に示されるメニューには、前の図と同じ 3 つのコマンドが含まれますが、こちらではメニュー項目として表示されています。

Microsoft Office では、メニュー バーだけでなくツールバーにもメニューを追加できます。次の図で示されるフリー ツールバーでは、同じ 3 つのコマンドがボタンとメニュー項目の両方に割り当てられています。

3 つのボタンおよび 3 つのメニュー項目を含むメニューで構成されるフリー ツールバー

Visual Basic では、ボタンとメニュー項目は CommandBarButton オブジェクトで表されます。メニューやサブメニューを表示するポップアップ コントロールは CommandBarPopup で表されます。次の図の [メニュー] コントロールと [サブメニュー] コントロールは、それぞれメニューまたはサブメニューを表示するポップアップ コントロールです。メニューとサブメニューはいずれも固有の CommandBar オブジェクトで、各オブジェクトに関連するコントロールが含まれます。

Microsoft Office では、テキスト ボックス、ドロップダウン リスト ボックス、およびコンボ ボックスを任意のコマンド バーに追加できます。これら 3 つの種類のコントロールは、Visual Basic ではすべて CommandBarComboBox オブジェクトで表されます。

メモ コマンド バー コントロールと ActiveX コントロールは、見た目や動作は似ていますが、用途はまったく異なります。ActiveX コントロールはコマンド バーに追加できません。また、コマンド バー コントロールはドキュメントやフォームに追加できません。

コンテナ アプリケーションの組み込みのコマンド バー コントロールは、独自に追加したコントロールより外観や動作が複雑な場合もありますが、Visual Basic の CommandBarButton、CommandBarPopup、および CommandBarComboBox オブジェクトで表すことができます。組み込みのコントロールの配置や外観は変更できますが、動作を変更することはできません。ただし、組み込みのコントロールにユーザー設定のマクロを登録して、組み込みの動作と完全に置き換えることはできます。


コマンド バーを使用する

一般的に、ツールバー、メニュー バー、およびショートカット メニューを作成または変更して、Visual Basic のカスタム アプリケーションに組み込むには、コンテナ アプリケーションのユーザー設定 (カスタマイズ) 機能を使用します。ユーザー設定機能を使用して、ツールバー、メニュー バー、およびショートカット メニューに加えられた変更は、"デザイン時" の変更と呼ばれます。コンテナ アプリケーションを使用して、デザイン時の変更を行う方法については、コンテナ アプリケーションのオンライン ヘルプを参照してください。

Visual Basic で CommandBars オブジェクトを使用して、ツールバー、メニュー バー、およびショートカット メニュー (およびそのコンポーネント部分) を追加または編集できます。たとえば、一度実行するとツールバーやメニュー バーが作成されるようなコードを記述できます。コードによって、機能を使用したデザイン時の変更をシミュレートすることもできます。ただし、コンテナ アプリケーションによっては、Visual Basic のカスタム アプリケーションをデザインするときに、こうした Visual Basic のコードとインターフェイスのユーザー設定機能を組み合わせて使用しなければならない場合もあります。次に示すのは、Visual Basic とコンテナ アプリケーションのインターフェイスの組み合わせを必要とする主な例です。

  • コンテナ アプリケーションに、ツールバーのエディット ボックス、ドロップダウン リスト ボックス、およびコンボ ボックスを追加または変更するためのインターフェイスが備わっていない場合、Visual Basic を使用して、このようなコントロールを追加またはデザインする必要があります。
  • コンテナ アプリケーションに、ツールバーを作成するためのインターフェイスは備わっていても、新しいメニュー バーを作成するためのインターフェイスが備わっていない場合、Visual Basic を使用して、メニュー バーを作成する必要があります。Visual Basic でメニュー バーを作成した後、コンテナ アプリケーションのインターフェイスを使用して、そのメニュー バーのメニューをデザインできます。
  • コンテナ アプリケーションに、メニューを作成するためのインターフェイスは備わっていても、ユーザー設定のショートカット メニューを表示する手段がない場合、Visual Basic を使用して、ショートカット メニューの設定を変更する必要があります。

Visual Basic のカスタム アプリケーションに含まれるコードを使用して、アプリケーションの実行中にツールバーやメニュー バーを変更することができます。たとえば、特定の条件下でメニュー バーのコマンドが選択できないようにしたり、ユーザーのアクションに応じてツールバーにボタンを追加するようなコードを記述できます。Visual Basic アプリケーションを実行中に、記述したコードによって加えられた変更は、"実行時" の変更と呼ばれます。

Visual Basic のコードを使用して、ツールバーやメニュー バーにデザイン時および実行時の変更を加える方法については、次のトピックを参照してください。

ツールバーの追加と変更

メニュー バーおよびメニュー項目の追加と変更

ショートカット メニューの追加と表示

メモ 作業ウィンドウは CommandBar オブジェクトの 1 つで、次のように指定することができます。

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("作業ウィンドウ")
MsgBox "作業ウィンドウのタイトルは """ & cbTaskPane.Controls(1).Caption & """" & "です。"
ただし、コマンド バー メソッドやプロパティを作業ウィンドウ コマンド バーに指定しても、多くの場合に通常の CommandBar オブジェクトと同様には動作しません。たとえば、Delete メソッドおよび ShowPopup メソッドでは何も実行されません。AdaptiveMenu プロパティ、Context プロパティ、Name プロパティ、NameLocal プロパティ、Protection プロパティの値を変更した場合も同様です。


ツールバーの追加と変更

どのホスト アプリケーションにも、ユーザー設定のツールバーを追加およびデザインするための拡張インターフェイスが備わっています。たとえば、このインターフェイスを使用して、組み込みのボタンを追加したり、マクロをボタンとして追加したり、ポップアップ コントロールをツールバーに追加することができます。Visual Basic のコードを使用してデザイン時の変更を加えるのは、ほとんどがコンボ ボックス コントロールを追加または変更する場合です。これ以外の場合、コードからツールバーを操作できるのは、実行時に限られます。実行時には、たとえば、ボタンの状態、外観、動作などを変更できます。

実行時にツールバーを変更する

実行時には、ツールバーの設定をいくつか変更できます。たとえば、ツールバーのコマンド バー ボタンの状態を変更することができます。コントロールがアクティブなときの状態には 2 種類あります。ボタンが押されている状態 (True) と押されていない状態 (False) です。ボタン コントロールの状態を変更するには、このトピックの後半にある表を参照して、State プロパティに適切な定数を設定します。

また、実行時には、ボタンの外観およびアクションを変更することもできます。ボタンのアクションは変更せずに外観だけを変更する場合は、CopyFace および PasteFace メソッドを使用します。これらのメソッドは、特定のボタンのイメージをクリップボードにコピーしたり、他のアプリケーションにインポートして異なる機能を割り当てる場合に役立ちます。ボタン イメージをクリップボードから特定のボタンに貼り付けるには、PasteFace メソッドを使用します。

ボタンのアクションを独自に開発した機能に変更するには、ボタンの OnAction プロパティにユーザー設定のプロシージャの名前を割り当てます。

次の表は、ボタンの状態、外観、およびアクションを変更するための主なプロパティおよびメソッドの一覧です。

プロパティ/メソッド | 説明
CopyFace、PasteFace | ボタン イメージをコピーまたは貼り付けます。指定したボタンのイメージをクリップボードにコピーするには、CopyFace メソッドを使用します。クリップボードの内容を、指定したボタンのイメージとして貼り付けるには、PasteFace メソッドを使用します。クリップボードが空の場合、PasteFace メソッドはエラーになります。クリップボードのイメージのサイズがボタン イメージとして大きすぎる場合でも、サイズの縮小は行われません。 通常は、ボタン イメージをデザイン時にコピーしたり貼り付けるほうが便利ですが、実行時にボタン イメージを変更することもできます。また、FaceId プロパティを使用して、ボタンに異なる組み込みのボタン イメージを割り当てることもできます。
Id | ボタンの組み込みの機能を表す値を指定します。たとえば、反転表示 (選択) されたテキストをクリップボードにコピーする機能を持ったボタンの Id 値は 19 です。
State | ボタンの状態を表す外観を指定します。使用できる定数は、MsoButtonState クラスの msoButtonDown (押されている状態)、 msoButtonMixed (中間状態)、 msoButtonUp (押されていない状態) のいずれかです。
Style | ボタンにイメージとテキスト (ボタン名) のどちらを表示するかを指定します。使用できる定数は、MsoButtonStyle クラスの msoButtonAutomatic (既定のスタイル)、 msoButtonIcon (イメージ)、msoButtonCaption (テキスト)、msoButtonIconAndCaption (イメージとテキスト)、msoButtonIconAndCaptionBelow、msoButtonIconAndWrapCaption、msoButtonIconAndWrapCaptionBelow、msoButtonWrapCaption のいずれかです。
OnAction | ユーザーがボタンをクリックしたり、メニューを表示したり、コンボ ボックス コントロールの内容を変更したときに実行するプロシージャを指定します。
Visible | コントロールを表示または非表示にします。
Enabled | コマンド バーを選択できる状態または選択できない状態にします。選択できないコマンド バーの名前は、アプリケーションのコマンド バーの一覧には表示されません。

次の使用例は、コマンド バー ボタンを 1 つだけ含む新しいコマンド バーを作成します。次に、CommandBarButton オブジェクトの OnAction プロパティにプロシージャを割り当てた後、CopyFace メソッドを使って組み込みの [貼り付け] ボタンのイメージをクリップボードにコピーします。次に、PasteFace メソッドを使って最初に作成したコマンド バー ボタンにクリップボードのボタン イメージを貼り付けます。この使用例では、実行時にコマンド バー ボタンのイメージが変更されます。

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ボタンの変更", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ボタンの変更").Controls(1)
oldControl.PasteFace
End Sub

コンボ ボックス コントロールを追加または変更する

エディット ボックス、ドロップダウン リスト ボックス、およびコンボ ボックスは、Visual Basic のカスタム アプリケーションのツールバーに追加できる新しい強力なコントロールです。ただし、ほとんどのコンテナ アプリケーションでは、Visual Basic を使用してこれらのコントロールをデザインすることが要求されます。コンボ ボックス コントロールをデザインするには、次の表に示されるプロパティやメソッドを使用します。

プロパティ/メソッド | 説明
Add | コマンド バーにコンボ ボックス コントロールを追加します。引数 Type に、MsoControlType クラスの定数である msoControlEdit (エディット)、 msoControlDropdown (ドロップダウン リスト)、 msoControlComboBox (コンボ ボックス) のいずれかを指定します。
AddItem | ドロップダウン リスト ボックスまたはコンボ ボックスのドロップダウン リストの部分に項目を追加します。新しい項目のリスト内での位置をインデックス番号で指定することもできますが、この数字がリストの項目数より大きい場合、AddItem メソッドはエラーになります。
Caption | コンボ ボックス コントロールのラベルを指定します。このラベルは、Style プロパティに msoComboLabel を設定した場合に、コントロールの隣に表示されます。
Style | 指定したコントロールのラベルをコントロールの隣に表示するかどうかを指定します。使用できる定数は、MsoComboStyle クラスの msoComboLabel (ラベルを表示する) または msoComboNormal (ラベルを表示しない) です。
OnAction | ユーザーがコンボ ボックス コントロールの内容を変更したときに実行するプロシージャを指定します。

次の使用例は、ユーザー設定のツールバーにコンボ ボックスを追加し、このコンボ ボックスに "ScrollToQuarter" というマクロを割り当てます。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "第 1 四半期"
    .AddItem "第 2 四半期"
    .AddItem "第 3 四半期"
    .AddItem "第 4 四半期"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

カスタム アプリケーションを実行している間、コンボ ボックス コントロールの OnAction プロパティに割り当てられたプロシージャは、ユーザーがコントロールを変更するたびに呼び出されます。このプロシージャでは、CommandBar オブジェクトの ActionControl プロパティを使用して、どのコントロールが変更されたかを確認し、変更された値を取得することができます。コンボ ボックスで入力または選択された項目を取得するには、ListIndex プロパティを使用します。


メニュー バーおよびメニュー項目の追加と変更

コンテナ アプリケーションによっては、新しいメニュー バーを作成するためのインターフェイスが備わっていないものもあります。このような場合は、Visual Basic を使用してメニュー バーを作成する必要があります。Visual Basic でメニューを作成した後、コンテナ アプリケーションのユーザー インターフェイスを使用するか、または Visual Basic を使用して、メニューの設定を変更することができます。

実行時にメニュー バーを追加する

実行時にメニュー バーをアプリケーションに追加する場合には、CommandBars コレクションの Add メソッドを使用して、MenuBar 引数に True を指定します。次の使用例は、移動できないメニュー バーを追加します。また、アプリケーション ウィンドウの右端にメニュー バーを配置して固定します。

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

実行時にメニュー バーを変更する

実行時には、メニュー バーだけでなく、メニュー バーに含まれるコントロールも変更できます。メニュー バーの場合は外観や位置を変更できますが、コントロールでは、その種類によって変更できる設定が異なります。次の表は、実行時にメニュー バーを変更するための主なプロパティおよびメソッドの一覧です。

プロパティ/メソッド | 説明
Add | メニュー バーを追加します。CommandBars コレクションの Add メソッドを使用し、引数 MenuBar に True を指定します。
Enabled | このプロパティに True を設定すると、指定したメニュー バーをユーザーが表示できます。このプロパティに False を設定すると、ユーザーはメニュー バーを表示できませんが、メニュー バーの名前は、使用可能なコマンド バーの一覧に表示されます。
Protection | 特定のユーザーが実行するアクションから、メニュー バーを保護することが可能になります。使用できる定数は、MsoBarProtection クラスの、msoBarNoChangeDock、msoBarNoChangeVisible、msoBarNoCustomize、msoBarNoHorizontalDock、msoBarNoMove、msoBarNoProtection、msoBarNoResize、msoBarNoVerticalDockのいずれか、またはこれらの組み合わせです。
Position | アプリケーション ウィンドウを基準にして、新しいメニュー バーの位置を指定します。使用できる定数は、MsoBarPosition クラスの msoBarLeft (左端)、 msoBarTop (上端)、 msoBarRight (右端)、 msoBarBottom (下端)、 msoBarFloating (フリー)、 msoBarPopup (ショートカット メニューの作成に使用)、msoBarMenuBar (Macintosh のみ) のいずれかです。
Visible | コントロールを表示または非表示にします。コントロールが非表示になっている場合でも、メニュー バーの名前は、使用可能なコマンド バーの一覧に表示されます。

次の使用例は、アクティブなメニュー バーを非表示にし、代わりに一時的なメニュー バーを表示します。さらに、この一時的なメニュー バーをアプリケーション ウィンドウの右端に固定し、ユーザーから保護します。

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

実行時にメニュー バーを結合する

アドインとして作成されたカスタム アプリケーションに、ユーザー設定のメニュー バーが追加されている場合、必要に応じて、コントロールがコンテナ アプリケーションでどのように表されるかを指定することができます。メニュー バーの結合形式を指定するには、CommandBarPopup オブジェクトの OLEMenuGroup プロパティを使用します。

実行時にメニュー項目を変更する

メニュー項目で変更できる設定は、コントロールの種類によって異なります。ボタンの場合は、表示と非表示を切り替えたり、選択できるかできないかを指定できます。エディット ボックス、ドロップダウン リスト ボックス、およびコンボ ボックスの場合は、リスト項目を追加または削除できるという点で、用途がさらに広がります。また、ユーザーが選択した値をチェックして、それに応じたアクションを実行することもできます。どのコントロールの場合も、組み込みまたはユーザー設定の機能を割り当てることにより、アクションを変更することができます。

次の表は、コントロールの状態、外観、およびアクションを変更するための主なプロパティおよびメソッドの一覧です。

プロパティ/メソッド | 説明
Add | コマンド バーにメニュー項目を追加します。引数 Type に、MsoControlType クラスの定数である msoControlButton (ボタン)、 msoControlEdit (エディット)、 msoControlDropdown (ドロップダウン リスト)、msoControlComboBox (コンボ ボックス) のいずれかを指定します。
AddItem | ドロップダウン リスト ボックスまたはコンボ ボックスのドロップダウン リストの部分に項目を追加します。新しい項目のリスト内での位置をインデックス番号で指定することもできますが、この数字がリストの項目数より大きい場合、AddItem メソッドはエラーになります。
Style | ボタンにイメージとテキスト (ボタン名) のいずれか、または両方を表示するかを指定します。また、表示する項目の表示方法を指定します。使用できる定数は、MsoButtonStyle クラスの msoButtonAutomatic (既定のスタイル)、 msoButtonIcon (イメージ)、msoButtonCaption (テキスト)、 msoButtonIconAndCaption (イメージとテキスト)、msoButtonIconAndCaptionBelow、msoButtonIconAndWrapCaption、msoButtonIconAndWrapCaptionBelow、msoButtonWrapCaption のいずれかです。
OnAction | ユーザーが特定のコントロールの値を変更したときに実行するプロシージャを指定します。
Visible | コントロールを表示または非表示にします。

次の使用例は、アクティブなメニュー バーの最後に、"ユーザー設定" という一時的なポップアップ コントロールを追加します。さらに、このポップアップ コマンド バーに "インポート" というボタン コントロールを追加します。

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "ユーザー設定"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "インポート"
ctrl1.TooltipText = "インポート"
ctrl1.Style = msoButtonCaption


ショートカット メニューの追加と表示

ショートカット メニューは固定されていないコマンド バーで、ユーザーが対象をマウスの右ボタンでクリックしたときに表示されます。ショートカット メニューには、コマンド バーの場合と同じ種類のコントロールを追加することができます。また、追加されたコントロールも、コマンド バーの場合と同じように動作します。ただし、ほとんどのアプリケーションでは、アプリケーションのインターフェイスを使用してショートカット メニューを作成したり変更することができません。そのため、ショートカット メニューを実行時に作成または変更する必要があります。

実行時にショートカット メニューを追加する

ショートカット メニューとその他のツールバーの違いは、Add メソッドを使ってショートカット メニューを作成するときに、引数 Position として msoBarPopUp を指定する必要がある点だけです。次の使用例は、新しいショートカット メニューを作成し、ラベルの付いたコントロールを 2 つ追加し、さらに ShowPopup メソッドを使用してメニューを表示します。

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="ユーザー設定", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "選択範囲のコピー"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "クリップボードから貼り付け"
End With
copyAndPasteMenu.ShowPopup 200, 200

ショートカット メニューを表示する

前の使用例で示されるように、ショートカット メニューを表示するには、ShowPopup メソッドを使用します。

コンテナ アプリケーションが、ユーザーのアクションに応じたイベント プロシージャの割り当てに対応している場合は、右クリックのイベントに応じてショートカット メニューを表示できます。ただし、すべてのアプリケーションがイベント プロシージャに対応しているわけではありません。コンテナ アプリケーションのマニュアルをチェックして、アプリケーションがイベント プロシージャに対応しているかどうかを確認してください。

実行時にショートカット メニューを変更する

ショートカット メニューを変更できるのは、実行時だけです。また、変更できる設定も、メニューに含まれるコントロールの外観やアクションだけに限定されます。メニュー項目の追加と変更の詳細については、「メニュー バーおよびメニュー項目の追加と変更」を参照してください。


OLE プログラム ID

このトピックの内容は、すべての言語で利用できない可能性があります。

OLE プログラム ID (ProgID) は、オートメーション オブジェクトを作成するときに使用します。次の表は、ActiveX コントロール、Microsoft Office アプリケーション、および Microsoft Office Web コンポーネントで使用する OLE プログラム ID の一覧です。

ActiveX コントロール

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web コンポーネント

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX コントロール

次の表に示す ActiveX コントロールを作成するには、対応する OLE プログラム ID を使用します。

作成するコントロール | 使用する ID
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

次の表に示す Microsoft Access オブジェクトを作成するには、対応する OLE プログラム ID のいずれかを使用します。バージョン番号のサフィックスが付いていない ID を使用した場合、マクロが実行されるコンピュータで使用できる最新のバージョンの Access でオブジェクトが作成されます。

作成するオブジェクト | 使用できる ID
Application | Access.Application
CurrentData | Access.CodeData、Access.CurrentData
CurrentProject | Access.CodeProject、Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

次の表に示す Microsoft Excel オブジェクトを作成するには、対応する OLE プログラム ID のいずれかを使用します。バージョン番号のサフィックスが付いていない ID を使用した場合、マクロが実行されるコンピュータで使用できる最新のバージョンの Excel でオブジェクトが作成されます。

作成するオブジェクト | 使用する ID | コメント
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | グラフ用とそのデータ用の 2 枚のワークシートが含まれるワークブックを取得します。グラフのワークシートがアクティブなワークシートになります。
Workbook | Excel.Sheet | 1 枚のワークシートが含まれるブックを取得します。

Microsoft Graph

次の表に示す Microsoft Graph オブジェクトを作成するには、対応する OLE プログラム ID のいずれかを使用します。バージョン番号のサフィックスが付いていない ID を使用した場合、マクロが実行されるコンピュータで使用できる最新のバージョンの Graph でオブジェクトが作成されます。

作成するオブジェクト | 使用する ID
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web コンポーネント

次の表に示す Microsoft Office Web コンポーネント オブジェクトを作成するには、対応する OLE プログラム ID のいずれかを使用します。バージョン番号のサフィックスが付いていない ID を使用した場合、マクロが実行されるコンピュータで使用できる最新のバージョンの Microsoft Office Web コンポーネントでオブジェクトが作成されます。

作成するオブジェクト | 使用できる ID
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

次の表に示す Microsoft Outlook オブジェクトを作成するには、対応する OLE プログラム ID のいずれかを使用します。バージョン番号のサフィックスが付いていない ID を使用した場合、マクロが実行されるコンピュータで使用できる最新のバージョンの Outlook でオブジェクトが作成されます。

作成するオブジェクト | 使用する ID
Application | Outlook.Application

Microsoft PowerPoint

次の表に示す Microsoft PowerPoint オブジェクトを作成するには、対応する OLE プログラム ID のいずれかを使用します。バージョン番号のサフィックスが付いていない ID を使用した場合、マクロが実行されるコンピュータで使用できる最新のバージョンの PowerPoint でオブジェクトが作成されます。

作成するオブジェクト | 使用する ID
Application | PowerPoint.Application

Microsoft Word

次の表に示す Microsoft Word オブジェクトを作成するには、対応する OLE プログラム ID のいずれかを使用します。バージョン番号のサフィックスが付いていない ID を使用した場合、マクロが実行されるコンピュータで使用できる最新のバージョンの Word でオブジェクトが作成されます。

作成するオブジェクト | 使用できる ID
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


AnswerWizard オブジェクト

AnswerWizard (AnswerWizardFiles)

このトピックの内容は、すべての言語で利用できない可能性があります。

Microsoft Office アプリケーションのアンサー ウィザードを表します。アプリケーションごとに 1 つのアンサー ウィザードが存在し、AnswerWizard オブジェクトや AnswerWizardFiles コレクションに加えられるすべての変更は、作業中の Office アプリケーションにすぐに適用されます。

使い方

現在のアンサー ウィザードで利用できるファイルのリストからすべてのエントリを削除するには、ClearFileList メソッドを使用します。このメソッドを使用すると、アンサー ウィザードから Office ホスト アプリケーションで利用される既定のファイルにはアクセスできないことを確認できます。これは、アンサー ウィザード ファイルをカスタムの .AW ファイルと置き換える場合などに使用します。次の使用例は、既定のアンサー ウィザードのファイル リストをクリアし、2 つのファイルをカスタム アンサー ウィザードに追加します。

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

現在のアンサー ウィザードのファイル リストを Office ホスト アプリケーションの既定のリストに戻すには、ResetFileList メソッドを使用します。また、カスタム ファイル名を適切なレジストリ キーに追加して、Windows レジストリ内に既定のカスタム ファイル リストを作成することもできます。この場合、ResetFileList メソッドが呼び出されると、そのレジストリ キーに指定されたファイルが復元されます。次の使用例は、現在のアンサー ウィザードのファイル リストをリセットします。

customAnswerWizard.ResetFileList

アンサー ウィザード ファイルへの参照のコレクションを取得するには、Files プロパティを使用します。Files プロパティは、アンサー ウィザード ファイルを参照する文字列のコレクションを取得します。次の使用例は、AnswerWizardFiles コレクションを取得し、そのファイル数をメッセージ ボックスに表示します。

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles コレクション オブジェクト

AnswerWizard (AnswerWizardFiles)

このトピックの内容は、すべての言語で利用できない可能性があります。

アンサー ウィザード ファイルへの参照のコレクションです。AnswerWizardFiles コレクションには、作業中の Microsoft Office アプリケーションで利用できるすべてのアンサー ウィザード ファイル (拡張子 AW) が含まれます。

使い方

アンサー ウィザード ファイルへの参照のコレクションを取得するには、Files プロパティを使用します。Files プロパティは、アンサー ウィザード ファイルを参照する文字列のコレクションを取得します。次の使用例は、AnswerWizardFiles コレクションを取得し、そのファイル数をメッセージ ボックスに表示します。

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

現在のアンサー ウィザードで利用できるファイルを追加するには、Add メソッドを使用します。次の使用例は、Custom_1.aw ファイルを作業中の Office アプリケーションのアンサー ウィザード ファイルのリストに追加します。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

既存のアンサー ウィザード ファイルへの参照を取得するには、Item プロパティを使用します。次の使用例は、Item(1) によって参照されるファイルの名前をメッセージ ボックスに表示します。

MsgBox customAnswerWizard.Files.Item(1)


Assistant オブジェクト

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

このトピックの内容は、すべての言語で利用できない可能性があります。

Microsoft Office アシスタントを表します。

使い方

Assistant オブジェクトを取得するには、Assistant プロパティを使います。Assistant オブジェクトは一度に 1 つしかアクティブにできないので、Assistant オブジェクトのコレクションはありません。アシスタントを表示するには、Visible プロパティを使い、アシスタントを有効にするには、On プロパティを使います。

解説

既定のアシスタントはカイルです。別の種類のアシスタントを選択するには、FileName プロパティを使います。

次の使用例は、アシスタントを表示して、アシスタントのアニメーションを実行します。

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon オブジェクト

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントの見出しやテキスト情報が含まれるバルーンを表します。バルーンには、チェック ボックスやラベルなどのコントロールを表示することもできます。

使い方

Balloon オブジェクトを取得するには、NewBalloon プロパティを使います。Balloon オブジェクトは一度に 1 つのバルーンしか画面に表示できないので、Balloon オブジェクトのコレクションはありません。ただし、いくつかのバルーンを定義しておき、必要に応じて表示するバルーンを切り替えることができます。詳細については、「バルーンの定義と再利用」を参照してください。

特定のバルーンを表示するには、Show メソッドを使います。また、Callback プロパティを使うと、モードレスなバルーンの選択対象に対応したプロシージャを実行することができます。モードレスなバルーンとは、アプリケーションを開始してから終了するまでの間、画面に表示されているバルーンのことです。モードレスなバルーンを閉じるには、Close メソッドを使います。

次の使用例は、バルーンを作成し、データの保存に関連したヒントを表示します。

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "大切なデータの扱いについて"
    .Labels(1).Text = "作業中のデータをこまめに保存する。"
    .Labels(2).Text = "定期的にデータのバックアップをとる。"
    .Labels(3).Text = "アプリケーションを正しい方法で終了する。"
    .Show
End With

バルーンの定義と再利用

バルーンを再利用するには、バルーンをオブジェクト変数に代入し、プロシージャから必要なときに呼び出します。次の使用例は、balloon1 および balloon2 を個別のバルーンとして定義し、プロシージャ内のさまざまなポイントでバルーンを表示します。

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "1 個目のバルーン"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "2 個目のバルーン"
balloon1.Show
balloon2.Show
balloon1.Heading = "1 個目のバルーン、新しい見出し"
balloon1.Show

バルーンのオブジェクト変数を配列で作成し、バルーンをインデックス番号で参照することもできます。


BalloonCheckBox オブジェクト

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのバルーンに含まれるチェック ボックスの 1 つを表します。BalloonCheckBox オブジェクトは、BalloonCheckBoxes コレクションのメンバーです。

使い方

1 つの BalloonCheckBox オブジェクトを取得するには、CheckBoxes(index) を使って、index に 1 ～ 5 の番号を指定します。1 つのバルーンには最大 5 個までのチェック ボックスを表示できます。各チェック ボックスは、その Text プロパティに値が代入されたときに表示されます。

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含むバルーンを作成します。ユーザーが 1 つまたは複数のチェック ボックスをオンにし、[OK] をクリックすると、指定したプロシージャが実行されます。

With Assistant.NewBalloon
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

解説

バルーンのチェック ボックスは、バルーンを閉じるまで、選択したままの状態で表示されます。また、バルーンのラベルを使って、ラベルの先頭のボタンをクリックすると同時に、選択内容に対応する番号を Select メソッドに返すことができます。選択内容に対応する番号を Select メソッドに返す場合は、バルーンの種類を msoBalloonTypeButtons に設定しておく必要があります。


BalloonCheckBoxes コレクション オブジェクト

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

このトピックの内容は、すべての言語で利用できない可能性があります。

BalloonCheckBox オブジェクトのコレクションで、Office アシスタントのバルーンに含まれるすべてのチェック ボックスを表します。

使い方

BalloonCheckBoxes コレクションを取得するには、CheckBoxes プロパティを使います。

1 つの BalloonCheckBox オブジェクトを取得するには、CheckBoxes(index) を使って、index に 1 ～ 5 の番号を指定します。1 つのバルーンには最大 5 個までのチェック ボックス (および最大 5 個までのラベル) を指定できます。各チェック ボックスは、その Text プロパティに値が代入されたときに表示されます。チェック ボックスを 6 個以上指定すると、実行時エラーが発生します。

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含むバルーンを作成します。ユーザーが 1 つまたは複数のチェック ボックスをオンにし、[OK] をクリックすると、指定したプロシージャが実行されます。

With Assistant.NewBalloon
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

バルーンが表示された後は、BalloonCheckBoxes コレクションにチェック ボックスを追加したり、BalloonCheckBoxes コレクションからチェック ボックスを削除することはできません。

解説

バルーンのチェック ボックスは、バルーンを閉じるまで、選択したままの状態で表示されます。また、バルーンのラベルを使って、ラベルの先頭のボタンをクリックすると同時に、選択内容に対応する番号を Select メソッドに返すことができます。選択内容に対応する番号を Select メソッドに返す場合は、バルーンの種類を msoBalloonTypeButtons に設定しておく必要があります。


BalloonLabel オブジェクト

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのバルーンに含まれるラベルの 1 つを表します。BalloonLabel オブジェクトは、BalloonLabels コレクションのメンバーです。

使い方

1 つの BalloonLabel オブジェクトを取得するには、Labels(index) を使って、index に 1 ～ 5 の番号を指定します。1 つのバルーンには最大 5 個までのラベルを表示できます。各ラベルは、その Text プロパティに値が代入されたときに表示されます。

次の使用例は、ユーザーに自分の年代を選択させるためのバルーンを作成します。

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "29 歳以下"
    .Labels(2).Text = "30 ～ 49 歳"
    .Labels(3).Text = "50 歳以上"
    .Text = "あなたは、次の " _
        & .Labels.Count & " つのオプションのうち、どれに当てはまりますか?"
    .Show
End With

解説

バルーンのチェック ボックスは、バルーンを閉じるまで、選択したままの状態で表示されます。また、バルーンのラベルを使って、ラベルの先頭のボタンをクリックすると同時に、選択内容に対応する番号を Select メソッドに返すことができます。選択内容に対応する番号を Select メソッドに返す場合は、バルーンの種類を msoBalloonTypeButtons に設定しておく必要があります。


BalloonLabels コレクション オブジェクト

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

このトピックの内容は、すべての言語で利用できない可能性があります。

BalloonLabel オブジェクトのコレクションで、Office アシスタントのバルーンに含まれるすべてのラベルを表します。

使い方

BalloonLabels コレクションを取得するには、Labels プロパティを使います。

1 つの BalloonLabel オブジェクトを取得するには、Labels(index) を使って、index に 1 ～ 5 の番号を指定します。1 つのバルーンには最大 5 個までのラベル (および最大 5 個までのチェック ボックス) を指定できます。各ラベルは、その Text プロパティに値が代入されたときに表示されます。ラベルを 6 個以上指定すると、実行時エラーが発生します。

次の使用例は、3 つの選択肢を含むバルーンを作成します。変数 returnValue には、Show メソッドの戻り値が設定されます。戻り値は、ユーザーがクリックしたラベルに対応する 1、2、または 3 になります。この使用例では、変数 returnValue の値を表示しますが、他のプロシージャに渡すことも、Select Case ステートメントで使用することもできます。

Set b = Assistant.NewBalloon
With b
    .Heading = "見出し"
    .Text = "いずれか 1 つを選択してください。"
    .Labels(1).Text = "選択 1"
    .Labels(2).Text = "選択 2"
    .Labels(3).Text = "選択 3"
    returnValue = .Show
End With

解説

バルーンのチェック ボックスは、バルーンを閉じるまで、選択したままの状態で表示されます。また、バルーンのラベルを使って、ラベルの先頭のボタンをクリックすると同時に、選択内容に対応する番号を Select メソッドに返すことができます。選択内容に対応する番号を Select メソッドに返す場合は、バルーンの種類を msoBalloonTypeButtons に設定しておく必要があります。


COMAddIn オブジェクト

COMAddIns (COMAddIn)

Microsoft Office ホスト アプリケーションの COM アドインを表します。COMAddIn オブジェクトは、COMAddIns コレクションのメンバーです。

使い方

COMAddIns コレクションから単体の COM アドイン オブジェクトを取得するには、Item(index) プロパティを使用します。index には、使用する COM アドインの COMAddIns コレクション内での位置を表す順序数、または COM アドインの ProgID を表す文字列型 (String) の値のいずれかを指定します。次の使用例は、COM アドインの説明文をメッセージ ボックスに表示します。

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

COM アドインのプログラム識別子を取得するには、COMAddin オブジェクトの ProgID プロパティを使用します。また、COM アドインのグローバル一意識別子 (GUID) を取得するには、Guid プロパティを使用します。次の使用例は、COM アドインの ProgID と GUID をメッセージ ボックスに表示します。

MsgBox "ProgID は次のとおりです。" & _
    Application.COMAddIns(1).ProgID & _
    "GUID は次のとおりです。" & _
    Application.COMAddIns(1).Guid

指定した COM アドインとの接続状態を設定または取得するには、Connect プロパティを使用します。次の使用例は、COM アドイン 1 が登録され、現在接続されているかどうかを示すメッセージ ボックスを表示します。

If Application.COMAddIns(1).Connect Then
    MsgBox "アドインは接続されています。"
Else
MsgBox "アドインは接続されていません。"
End If


COMAddIns コレクション オブジェクト

COMAddIns (COMAddIn)

Windows レジストリに登録された COM アドインについての情報を提供する COMAddIn オブジェクトのコレクションです。

使い方

Microsoft Office ホスト アプリケーションの COMAddIns コレクションを取得するには、Application オブジェクトの COMAddIns プロパティを使用します。このコレクションには、指定した Office ホスト アプリケーションで利用可能なすべての COM アドインが含まれます。次の使用例で示すように、利用可能な COM アドインの数を取得するには、COMAddIns コレクションの Count プロパティを使用します。

MsgBox Application.COMAddIns.Count

Windows レジストリから COM アドインの一覧を更新するには、次の使用例で示すように、COMAddIns コレクションの Update メソッドを使用します。

Application.COMAddIns.Update

COMAddIns コレクションから単体の COM アドイン オブジェクトを取得するには、Item(index) プロパティを使用します。index には、使用する COM アドインの COMAddIns コレクション内での位置を表す順序数、または COM アドインの ProgID を表す文字列型 (String) の値のいずれかを指定します。次の使用例は、COM アドインの説明文と、ProgID ("msodraa9.ShapeSelect") をメッセージ ボックスに表示します。

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


CommandBar オブジェクト

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

このトピックの内容は、すべての言語で利用できない可能性があります。

コンテナ アプリケーションのコマンド バーを表します。CommandBar オブジェクトは、CommandBars コレクションのメンバーです。

使い方

単体の CommandBar オブジェクトを取得するには、CommandBars(index) を使用します。index には、コマンド バーの名前またはインデックス番号を指定します。次の使用例は、コマンド バーのコレクションから "フォーム" コマンド バーを検索します。このコマンド バーが見つかった場合、画面に表示し、ユーザーが表示状態を変更できないように保護します。この例では、変数 cb は CommandBar オブジェクトを表します。

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "フォーム" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "[フォーム] コマンド バーはコレクションに含まれていません。"
End If

名前またはインデックス番号を使用して、コンテナ アプリケーションで使用可能なメニュー バーおよびツールバーの一覧からメニューまたはツールバーを指定することができます。ただし、CommandBar オブジェクトで表されるメニュー、ショートカット メニュー、またはサブメニューを指定するには、名前を使用する必要があります。次の使用例は、[ツール] メニューの下端に新しいメニュー項目を追加します。ユーザーがこのメニュー項目をクリックすると、"qtrReport" というプロシージャが実行されます。

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "レポートの作成"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

ユーザー設定のメニューまたはサブメニューのうち、名前の同じものがいくつかある場合、CommandBars(index) は先頭のものを取得します。目的のメニューまたはサブメニューが確実に取得されるようにするには、まずそのメニューを表示するポップアップ コントロールを検索します。さらに、そのポップアップ コントロールに CommandBar プロパティを設定すると、目的のメニューを表すコマンド バーを取得できます。

"ユーザー設定ツール" というツールバーの 3 番目のコントロールがポップアップ コントロールである場合、次の使用例は、そのメニューの下端に [上書き保存] コマンドを追加します。

Set viewMenu = CommandBars("ユーザー設定ツール").Controls(3)
viewMenu.Controls.Add ID:=3    '[上書き保存] コマンドの ID は 3


CommandBarButton オブジェクト

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

コマンド バーに含まれるボタン コントロールを表します。

使い方

CommandBarButton オブジェクトを取得するには、Controls(index) を使用します。ここで、index はコントロールのインデックス番号を表します。このとき、コントロールの Type プロパティは、msoControlButton でなければなりません。

"ユーザー設定" というコマンド バーの 2 番目のコントロールがボタンである場合、次の使用例は、そのボタンのスタイルを変更します。

Set c = CommandBars("ユーザー設定").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

FindControl メソッドを使用して、CommandBarButton オブジェクトを取得することもできます。


CommandBarComboBox オブジェクト

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

コマンド バーのコンボ ボックス コントロールを表します。

使い方

CommandBarComboBox オブジェクトを取得するには、Controls(index) を使用します。ここで、index はコントロールのインデックス番号を表します。このコントロールの Type プロパティは、msoControlEdit、msoControlDropdown、msoControlComboBox、msoControlButtonDropdown、msoControlSplitDropdown、msoControlOCXDropdown、msoControlGraphicCombo、msoControlGraphicDropdown のいずれかでなければなりません。

次の使用例は、"ユーザー設定" というコマンド バーの 2 番目のコントロールに 2 つの項目を追加し、そのコントロールのサイズを調整します。

Set combo = CommandBars("ユーザー設定").Controls(2)
With combo
    .AddItem "1 番目の項目", 1
    .AddItem "2 番目の項目", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

FindControl メソッドを使用して、CommandBarComboBox オブジェクトを取得することもできます。次の使用例は、すべてのコマンド バーを対象に、表示されている CommandBarComboBox オブジェクトのうち、"シートの割り当て" というタグの付いたものを検索します。

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="シートの割り当て", Visible:=True)


CommandBarControl オブジェクト

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

コマンド バー コントロールを表します。CommandBarControl オブジェクトは、CommandBarControls コレクションのメンバーです。CommandBarControl オブジェクトのプロパティとメソッドはすべて CommandBarButton、CommandBarComboBox、および CommandBarPopup オブジェクトで共有されます。

メモ ユーザー設定のコマンド バー コントロールを操作するには、CommandBarButton、CommandBarComboBox、および CommandBarPopup オブジェクトを使用して、Visual Basic のコードを記述します。コンテナ アプリケーションの組み込みのコントロールは、これら 3 つのオブジェクトでは表されないので、CommandBarControl オブジェクトを使用して、コードを記述します。

使い方

CommandBarControl オブジェクトを取得するには、Controls(index) を使用します。ここで、index はコントロールのインデックス番号を表します。このコントロールの Type プロパティは、定数 msoControlLabel、msoControlExpandingGrid、msoControlSplitExpandingGrid、msoControlGrid、msoControlGauge のいずれかでなければなりません。

メモ CommandBarControl として宣言した変数を、CommandBarButton、CommandBarComboBox、および CommandBarPopup の値に割り当てることができます。

FindControl メソッドを使用して、CommandBarControl オブジェクトを取得することもできます。次の使用例は、msoControlGauge の種類のコントロールを検索します。見つかった場合は、コントロールのインデックス番号と、コントロールが含まれるコマンド バーの名前が表示されます。この例では、変数 lbl は CommandBarControl オブジェクトを表します。

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "Type が msoControlGauge のコントロールは見つかりませんでした。"
Else
    MsgBox "コマンド バー " & lbl.Parent.Name & " の " _
        & lbl.Index & " は、Type が msoControlGauge のコントロールです。"
End If


CommandBarControls コレクション オブジェクト

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

コマンド バーに含まれるコマンド バー コントロールを表す CommandBarControl オブジェクトのコレクションです。

使い方

CommandBarControls コレクションを取得するには、Controls プロパティを使用します。次の使用例は、[標準] (Standard) ツールバーに含まれるすべてのコントロールのラベルを、各コントロールの Id プロパティの現在値に変更します。

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

CommandBarControls コレクションに新しいコマンド バー コントロールを追加するには、Add メソッドを使用します。次の使用例は、"ユーザー設定" というコマンド バーに新しい空白のボタンを追加します。

Set myBlankBtn = CommandBars("ユーザー設定").Controls.Add

CommandBarControl、CommandBarButton、CommandBarComboBox、CommandBarPopup オブジェクトのいずれかを取得するには、Controls(index) を使用します。ここで、index はコントロールのラベルまたはインデックス番号を表します。次の使用例は、[標準] (Standard) コマンド バーの先頭のコントロールを、"ユーザー設定" というコマンド バーにコピーします。

Set myCustomBar = CommandBars("ユーザー設定")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


CommandBarPopup オブジェクト

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

コマンド バーのポップアップ コントロールを表します。

使い方

CommandBarPopup オブジェクトを取得するには、Controls(index) を使用します。ここで、index はコントロールのインデックス番号を表します。このコントロールの Type プロパティは、定数 msoControlPopup、 msoControlGraphicPopup、 msoControlButtonPopup、 msoControlSplitButtonPopup、 msoControlSplitButtonMRUPopup のいずれかでなければなりません。

FindControl メソッドを使用して、CommandBarPopup オブジェクトを取得することもできます。次の使用例は、すべてのコマンド バーを対象に、"グラフィックス" というタグの付いた CommandBarPopup オブジェクトを検索します。

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="グラフィックス")

解説

ポップアップ コントロールには、必ず CommandBar オブジェクトが含まれます。ポップアップ コントロールからコマンド バーを取得するには、CommandBarPopup オブジェクトに CommandBar プロパティを設定します。


CommandBars コレクション オブジェクト

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

コンテナ アプリケーションのコマンド バーを表す CommandBar オブジェクトのコレクションです。

使い方

CommandBars コレクションを取得するには、CommandBars プロパティを使用します。次の使用例は、メニュー バーとツールバーの名前とローカル名の両方をイミディエイト ウィンドウに表示し、そのメニュー バーまたはツールバーが表示されているかどうかを表す値を表示します。

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

コレクションに新しいコマンド バーを追加するには、Add メソッドを使用します。次の使用例は、"ユーザー設定1" というユーザー設定のツールバーを作成し、位置を固定しないツールバーとして表示します。

Set cbar1 = CommandBars.Add(Name:="ユーザー設定1", Position:=msoBarFloating)
cbar1.Visible = True

単一の CommandBar オブジェクトを取得するには、CommandBars(index) を使用します。ここで、index はコマンド バーの名前またはインデックス番号を表します。次の使用例は、"ユーザー設定 1" というツールバーをアプリケーション ウィンドウの下端に固定します。

CommandBars("ユーザー設定1").Position = msoBarBottom

メモ 名前またはインデックス番号を使用して、コンテナ アプリケーションで使用可能なメニュー バーおよびツールバーの一覧からメニューまたはツールバーを指定することができます。ただし、CommandBar オブジェクトで表されるメニュー、ショートカット メニュー、またはサブメニューを指定するには、ローカル名でなく、名前を使用する必要があります。たとえば、"標準" ツールバーを指定するには "Standard" と表記します。

ユーザー設定のメニューまたはサブメニューのうち、名前の同じものがいくつかある場合、CommandBars(index) は先頭のものを取得します。目的のメニューまたはサブメニューが確実に取得されるようにするには、まずそのメニューを表示するポップアップ コントロールを検索します。さらに、そのポップアップ コントロールに CommandBar プロパティを設定すると、目的のメニューを表すコマンド バーを取得できます。


DocumentProperties コレクション オブジェクト

DocumentProperty オブジェクトのコレクションです。それぞれの DocumentProperty オブジェクトは、コンテナ ドキュメントの組み込みのプロパティ、またはユーザー設定のプロパティを表します。

使い方

新しいユーザー設定のプロパティを作成し、それを DocumentProperties コレクションに追加するには、Add メソッドを使用します。Add メソッドを使用して、組み込みのプロパティを作成することはできません。

特定の組み込みのドキュメント プロパティを表す単一の DocumentProperty オブジェクトを取得するには、BuiltinDocumentProperties(index) を使用します。ここで、index は、組み込みのドキュメント プロパティのインデックス番号を表します。特定のユーザー設定のドキュメント プロパティを表す DocumentProperty オブジェクトを取得するには、CustomDocumentProperties(index) を使用します。index はユーザー設定のドキュメント プロパティの番号です。


DocumentProperty オブジェクト

コンテナ ドキュメントのユーザー設定のプロパティ、または組み込みのドキュメント プロパティを表します。DocumentProperty オブジェクトは、DocumentProperties コレクションのメンバーです。

使い方

特定の組み込みのドキュメント プロパティを表す DocumentProperty オブジェクトを取得するには、BuiltinDocumentProperties(index) を使用します。ここで、index は組み込みのドキュメント プロパティの ID 番号または名前を表します。また、特定のユーザー設定のドキュメント プロパティを表す DocumentProperty オブジェクトを取得するには、CustomDocumentProperties(index) を使用します。ここで、index はユーザー設定のドキュメント プロパティの ID 番号または名前を表します。

次の表は、組み込みのドキュメント プロパティの ID 番号と名前の一覧です。

Title

Subject

Author

Keywords

Comments

Template

Last Author

Revision Number

Application Name

Last Print Date

Creation Date

Last Save Time

Total Editing Time

Number of Pages

 Number of Words

Number of Characters

Security

Category

Format

Manager

Company

Number of Bytes

Number of Lines

Number of Paragraphs

Number of Slides

Number of Notes

Number of Hidden Slides

Number of Multimedia Clips

コンテナ アプリケーションでは、すべての組み込みのドキュメント プロパティに対して値が定義されているわけではありません。目的のアプリケーションで組み込みのドキュメント プロパティの値が定義されていない場合、そのドキュメント プロパティに対する Value プロパティを取得すると、エラーが発生します。


FileDialog オブジェクト

FileDialog
複数のオブジェクト

Office アプリケーションでファイルを開いたり保存する標準的なダイアログ ボックスの機能に類似する機能を提供します。開発したソリューションでは、これらの機能を使って、ファイルやフォルダを簡単に指定することができます。

使い方

FileDialog オブジェクトを取得するには、FileDialog プロパティを使用します。FileDialog プロパティは、各 Office アプリケーションの Application オブジェクト内にあります。このプロパティは、DialogType のみを引数とし、プロパティで取得する FileDialog オブジェクトの種類を指定します。FileDialog オブジェクトには、次の 4 つの種類があります。

  • [ファイルを開く] ダイアログ ボックス - ユーザーは 1 つ以上のファイルを選択し、Execute メソッドを使用して、ホスト アプリケーションでそのファイルを開くことができます。
  • [名前を付けて保存] ダイアログ ボックス - ユーザーは 1 つのファイルを選択し、Execute メソッドを使用して、そのファイルを保存することができます。
  • [参照] ダイアログ ボックス (ファイル参照) - ユーザーは 1 つ以上のファイルを選択し、選択したファイルのパスが FileDialogSelectedItems コレクションに与えられます。
  • [参照] ダイアログ ボックス (フォルダ参照) - ユーザーは 1 つのパスを選択し、選択したパスが FileDialogSelectedItems コレクションに与えられます。

FileDialog オブジェクトのインスタンスは、各ホスト アプリケーションに 1 つのみインスタンス化することができます。したがって、複数の FileDialog オブジェクトを作成した場合でも、FileDialog オブジェクトの多くのプロパティは変更されないまま使用されます。ダイアログ ボックスを表示する前に、すべてのプロパティが目的に応じて適切に設定されているかどうかを確認します。

FileDialog オブジェクトを使用してファイルのダイアログ ボックスを表示するためには、Show メソッドを使用する必要があります。ダイアログ ボックス表示後は、ユーザーがダイアログ ボックスを閉じるまで、コードの実行は中断されます。次の使用例は、[参照] ダイアログ ボックスを作成して表示し、選択されたファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックしました。
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを含む文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "パス :  " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックしました。
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


FileDialogFilter オブジェクト

FileDialogFilters
FileDialogFilter

FileDialog オブジェクトを使用して表示されるファイルのダイアログ ボックスのファイル フィルタを表します。ファイル フィルタによって、ファイルのダイアログ ボックスに表示されるフィルタが決まります。

使い方

FileDialogFilter オブジェクトを取得するには、FileDialogFilters コレクションに Item メソッドを使用します。 Add メソッドを使用して、FileDialogFilter オブジェクトを FileDialogFilters コレクションに追加します。FileDialogFilter オブジェクトがファイルのフィルタリングに使用する拡張子を取得するには Extensions プロパティを使用します。また、フィルタの説明を取得するには Description プロパティを使用します。どちらのプロパティも値の取得のみ可能です。拡張子または説明を設定するには、Add メソッドを使用する必要があります。

次の使用例は、[名前を付けて保存] ダイアログ ボックスの既定フィルタを調べ、Excel のファイルを含む各フィルタの説明を表示します。

Sub Main()

    'FileDialogFilters コレクションの変数を宣言します。
    Dim fdfs As FileDialogFilters

    'FileDialogFilter オブジェクトの変数を宣言します。
    Dim fdf As FileDialogFilter

    'FileDialogFilters コレクションの変数に、
    '[名前を付けて保存] ダイアログ ボックスの FileDialogFilters コレクションを設定します。
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    '[名前を付けて保存] ダイアログ ボックス内の各既定フィルタの
    '説明と拡張子を調べます。
    For Each fdf In fdfs

        'Excel のファイルを含むフィルタの説明を
        '表示します。
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "フィルタの説明 :  " & fdf.Description
        End If
    Next fdf
End Sub


FileDialogFilters コレクション

FileDialog
FileDialogFilters
FileDialogFilter

FileDialog オブジェクトを使用して表示されるファイルのダイアログ ボックスで、選択できるファイルの種類を表す FileDialogFilter オブジェクトのコレクションです。

使い方

FileDialogFilters コレクションを取得するには、FileDialog オブジェクトの Filters プロパティを使用します。次のコードは、ファイルの [ファイルを開く] ダイアログ ボックスの FileDialogFilters コレクションを取得します。

Application.FileDialog(msoFileDialogOpen).Filters

Add メソッドを使用して、FileDialogFilter オブジェクトを FileDialogFilters コレクションに追加します。次の使用例は、Clear メソッドを使用してコレクションをクリアした後、コレクションにフィルタを追加します。Clear メソッドによってコレクションは完全に空になりますが、その後何もフィルタを追加しなかった場合には、自動的に "すべてのファイル (*.*)" フィルタが追加されます。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        '[ファイルの種類] ボックスの内容を変更します。
        'FileDialogFilters コレクションをクリアして、一覧を空にします。
        .Filters.Clear

        'すべてのファイルを含むフィルタを追加します。
        .Filters.Add "すべてのファイル", "*.*"

        'GIF および JPEG のイメージを含むフィルタを追加し、一覧の最初の項目に指定します。
        .Filters.Add "イメージ", "*.gif; *.jpg; *.jpeg", 1

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックしました。
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを含む文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "パス名 :  " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックしました。
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub

FileDialogFilters コレクションを変更する場合、各アプリケーションでインスタンス化できる FileDialog オブジェクトは 1 つのみであることに注意してください。つまり、別のダイアログ ボックスの種類を指定する FileDialog メソッドを呼び出すと、FileDialogFilters コレクションは既定のフィルタにリセットされてしまいます。

次の使用例は、[名前を付けて保存] ダイアログ ボックスの既定フィルタを調べ、Excel のファイルを含む各フィルタの説明を表示します。

Sub Main()

    'FileDialogFilters コレクションの変数を宣言します。
    Dim fdfs As FileDialogFilters

    'FileDialogFilter オブジェクトの変数を宣言します。
    Dim fdf As FileDialogFilter

    'FileDialogFilters コレクションの変数に、
    '[名前を付けて保存] ダイアログ ボックスの FileDialogFilters コレクションを設定します。
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    '[名前を付けて保存] ダイアログ ボックス内の各既定フィルタの
    '説明と拡張子を調べます。
    For Each fdf In fdfs

        'Microsoft Excel のファイルを含むフィルタの説明を
        '表示します。
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "フィルタの説明 :  " & fdf.Description
        End If
    Next fdf

End Sub

メモ Save As FileDiaog オブジェクトの場合、Filters プロパティを Clear メソッド、Add メソッド、または Delete メソッドと共に使用すると、実行時エラーになります。たとえば、Application.FileDialog(msoFileDialogSaveAs).Filters.Clear は、実行時エラーになります。


FileDialogSelectedItems コレクション

FileDialog
FileDialogSelectedItems

FileDialog オブジェクトを使用して表示されるファイルのダイアログ ボックスで、ユーザーが選択したファイルまたはフォルダのパスを示す文字列型 (String) の値のコレクションです。

使い方

FileDialogSelectedItems コレクションを取得するには、SelectedItems プロパティと FileDialog オブジェクトを使用します。次の使用例は、[参照] ダイアログ ボックスを表示し、選択されたファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

         '複数のファイルを選択できるように設定します。
        .AllowMultiSelect = True

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックしました。
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを含む文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックしました。
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


FileSearch オブジェクト

FileSearch
複数のオブジェクト

このトピックの内容は、すべての言語で利用できない可能性があります。

[ファイルを開く] ダイアログ ボックス ([ファイル] メニュー) の機能を表します。

使い方

FileSearch オブジェクトを取得するには、FileSearch プロパティを使用します。次の使用例は、指定されたファイルを検索し、見つかったファイルの総数と、各ファイルのファイル名を表示します。

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox .FoundFiles.Count & _" 個のファイルが見つかりました。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "検索条件を満たすファイルはありません。"
    End If
End With

検索条件を既定の設定にリセットするには、NewSearch メソッドを使用します。すべてのプロパティの値は、検索を実行した後も保持されます。NewSearch メソッドを使用すると、別の条件でファイルを検索するときに、前のプロパティの値を 1 つずつ削除または変更しなくても、新しいプロパティの値をすぐに設定できます。次の使用例は、検索条件を既定の設定にリセットした後、新しい検索を開始します。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:¥My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FileTypes コレクション

FileSearch
FileTypes

FileSearch オブジェクトの Execute メソッドで取得するファイルの種類を指定する、msoFileType 型の値のコレクションです。

使い方

FileSearch オブジェクトの FileType プロパティを使用して、次のように FileTypes コレクションを取得します。

Set ft = Application.FileSearch.FileTypes

メモ FileSearch オブジェクトの FileType プロパティは、 FileTypes コレクションをクリアし、 FileType プロパティで定義したファイルの種類をコレクションの最初の項目に設定します。

すべての検索に対して FileTypes コレクションは 1 つのみです。したがって、前の検索と同じファイルの種類を検索する場合を除き、検索を実行する前に FileTypes コレクションをクリアすることが重要です。コレクションをクリアする最も簡単な方法は、FileType プロパティに、検索する最初のファイルの種類を設定することです。また、Remove メソッドを使用して、個々のファイルの種類を削除することもできます。コレクションの各項目のファイルの種類を指定するには、 Item メソッドで msoFileType 型の値を取得します。

次の使用例は、C:\ ドライブで、すべての HTML ファイルおよび Excel ファイルを検索します。

Sub SearchForFiles()

    '汎用カウンタになる変数を宣言します。
    Dim lngCount As Long

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        '前の検索のパラメータをすべてクリアします。
        'このメソッドは、LookIn プロパティまたは
        'SearchFolders コレクションはクリアしません。
        .NewSearch

        'FileType プロパティを設定すると
        'FileTypes コレクションがクリアされ、
        'コレクションの最初のアイテムとして、FileType プロパティ
        'によって定義したファイルの種類が設定されます。
        .FileType = msoFileTypeWebPages

        'FileTypes コレクションに 2 番目の項目を追加します。
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'コレクション内の FileTypes オブジェクトの数を表示します。
        MsgBox "検索するファイルの種類は  " & .FileTypes.Count & _
            "  です。"

        'C:\ ドライブのすべてのサブフォルダを検索するように設定します。
        .LookIn = "C:\"
        .SearchSubFolders = True

        '検索を実行し、ファイルが見つかったかどうかを
        '確認します。
        If .Execute <> 0 Then

            '見つかったファイルの数を表示します。
            MsgBox "見つかったファイルの数 :  " & .FoundFiles.Count

            '見つかったファイルの一覧を調べ、
            '各ファイルのパスをメッセージ ボックスに表示します。
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "見つかったファイル") = vbCancel Then

                    'ループを抜けます。
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "ファイルが見つかりません。"
        End If
    End With
End Sub

次の使用例は、FileTypes コレクションを調べ、Word または Excel のファイル以外のファイルの種類を削除します (一般には、FileTypes コレクションをいったんクリアし、最初から設定する方が簡単です)。

Sub RemoveFileTypeFromCollection()

    'FileTypes コレクションを繰り返し調べるための
    'カウンタとなる整数型 (integer) の値を定義します。
    Dim intFileIndex As Integer

    'With...End With ブロックを使用して、FileSearch オブジェクトを参照します。
    With Application.FileSearch

        'FileTypes コレクションのすべての項目を調べます。
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'ファイルの種類が Word または
                    'Excel のファイルでない場合は削除します。
                    .FileTypes.Remove intFileIndex

                    'カウンタを 1 つ減分して、ファイルの種類を見落とさないようにします。
                    intFileIndex = intFileIndex - 1
            End Select

            'カウンタを 1 つ増分して、次のファイルの種類をテストします。
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


FoundFiles オブジェクト

FileSearch
PropertyTests (PropertyTest)
FoundFiles

ファイル検索で見つかったファイルの一覧を表します。

使い方

FoundFiles オブジェクトを取得するには、FoundFiles プロパティを使用します。次の使用例は、ファイル検索で見つかったファイルの一覧をチェックし、各ファイルのパスとファイル名を表示します。各ファイルのパスとファイル名を取得するには、FoundFiles(index) を使用します。ここで、index はファイルのインデックス番号を表します。

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

ファイル検索を開始して FoundFiles オブジェクトを更新するには、Execute メソッドを使用します。次の使用例は、[My Documents] フォルダの中で、ファイル名が "cmd" で始まるすべてのファイルを検索し、条件を満たすファイルの名前と保存場所の一覧を表示します。また、検索結果のファイル一覧を、ファイル名の昇順で並べ替えます。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:¥My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox .FoundFiles.Count & _" 個のファイルが見つかりました。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "検索条件を満たすファイルはありません。"
    End If
End With


HTMLProject オブジェクト

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Microsoft Script Editor のプロジェクト エクスプローラ内のツリーの最上位にあるプロジェクトを表します。

使い方

Microsoft Script Editor で HTML オブジェクトを開くには、HTMLProject オブジェクトの Open メソッドを使用します。Microsoft Word 文書、Excel ブック、または PowerPoint プレゼンテーションのプロジェクトを、ソース ビューかテキスト ビューで開きます。次の使用例は、作業中の Word 文書の HTML プロジェクトをソース ビューで開きます。

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

HTML プロジェクトの HTMLProjectItem オブジェクトのコレクションを取得するには、HTMLProjectItems プロパティを使用します。ホスト アプリケーションの HTML ドキュメントを更新するには、RefreshDocument メソッドを使用します。Microsoft Script Editor でプロジェクトを更新するには、RefreshProject メソッドを使用します。HTML プロジェクトを更新する必要があるかどうかを調べるには、State メソッドを使用します。


HTMLProjectItem オブジェクト

HTMLProject
HTMLProjectItems (HTMLProjectItem)

個別のプロジェクト アイテム、つまり Microsoft Script Editor のプロジェクト エクスプローラのツリーで枝分かれしたプロジェクト アイテムを表します。HTMLProjectItem オブジェクトは、HTMLProjectItems コレクションのメンバーです。

使い方

単一の HTMLProjectItem オブジェクトを取得するには、HTMLProjectItems(index) を使用します。index はプロジェクト アイテムの名前かインデックス番号です。プロジェクト アイテムの表示名を取得するには、Name プロパティを使用します。次の使用例は、作業中のドキュメントの HTMLProjectItems コレクションに含まれる先頭のプロジェクト アイテムの名前を取得します。

MsgBox "最初のアイテムは次のとおりです。" & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

ソース ビューやテキスト ビューでプロジェクト アイテムを開くには、Open メソッドを使用します。プロジェクト アイテムが現在開いているかどうかを調べるには、IsOpen プロパティを使用します。次の使用例は、作業中のドキュメント内の "ItemOne" という名前のプロジェクト アイテムを既定のビューで開き、アイテムが正常に開かれたかどうかを示すメッセージ ボックスを表示します。

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "次のプロジェクト アイテムが開いています。" & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

プロジェクト アイテムを新しいファイル名で保存するには、SaveCopyAs メソッドを使用します。次の使用例は、ItemOne のコピーを "NewItem" という名前で保存します。

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:¥NewItem.txt")

次の使用例は、テキスト ファイル C:\NewText.txt が存在することを前提とし、LoadFromFile プロパティを使用して、ItemOne のテキストを C:\NewText.txt ファイルに含まれるテキストに設定します。また、Text プロパティを使用して、新規テキストをメッセージ ボックスに表示します。

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:¥NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems コレクション オブジェクト

HTMLProject
HTMLProjectItems (HTMLProjectItem)

HTMLProject オブジェクトに含まれる HTML プロジェクト アイテムを表す HTMLProjectItem オブジェクトのコレクションです。

使い方

HTMLProjectItems コレクションを取得するには、HTMLProject オブジェクトの HTMLProjectItems プロパティを使用します。指定したドキュメントの HTML プロジェクト内のプロジェクト アイテム数を取得するには、HTMLProjectItems コレクションの Count プロパティを使用します。単一のプロパティ アイテムを取得するには、HTMLProjectItems コレクションの Item メソッドを使用します。次の使用例は、作業中のドキュメントの HTMLProjectItems コレクションに含まれる最初のプロジェクト アイテムの名前を取得します。

MsgBox "最初のアイテムは次のとおりです。" & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings オブジェクト

LanguageSettings

Microsoft Office アプリケーションの言語設定についての情報を表します。

使い方

Application.LanguageSettings.LanguageID(MsoAppLanguageID) を使用します。MsoAppLanguageID には、指定したアプリケーションにロケール識別子 (LCID) 情報を返すために使用する定数を指定します。

使用できる定数は、次に示す MsoAppLanguageID クラスのいずれかです。
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

次の例は、インストールの言語、ユーザー インターフェイスの言語、およびヘルプの言語の LCID をメッセージ ボックスに表示します。

MsgBox "このアプリケーションに登録されたロケール ID は次のとおりです。" & _
    "インストール言語 - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    "ユーザー インターフェイス言語 - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    "ヘルプ言語 - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

アプリケーションの編集時の指定言語として登録された LCID を判別するには、次の使用例に示すように、Application.LanguageSettings.LanguagePreferredForEditing を使用します。

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English は編集時の指定言語の 1 つです。"
End If


MsoEnvelope オブジェクト

MsoEnvelope
CommandBars

文書を電子メールとして直接 Office アプリケーションに送信できる機能へのアクセスを提供します

使い方

MsoEnvelope オブジェクトを取得するには、使用しているアプリケーションに応じて、Document オブジェクト、Chart オブジェクト、または Worksheet オブジェクト の MailEnvelope プロパティを使用します。

次の使用例は、作業中の Word の文書を、サブルーチンに指定した電子メール アドレスに対して、電子メールとして送信します。

Sub SendMail(ByVal strRecipient As String)

    'With...End With ブロックを使用して、MsoEnvelope オブジェクトを参照します。
    With Application.ActiveDocument.MailEnvelope

        '電子メールの本文の前に、前置きのテキストを追加します。
        .Introduction = "このメールをお読みのうえ、ご意見をお聞かせください。"

        '文書を送付する際に使用する Outlook の
        'MailItem オブジェクトを取得します。
        With .Item

            'メール アイテムのすべての設定が文書と共に保存されます。
            'Recipients コレクションに宛先を追加したり、他のプロパティを変更しても、
            'これらの設定は変化しません。
            .Recipients.Add strRecipient
            .Subject = "ここに文書が入ります。"

            'このメッセージの本文は、
            '作業中の文書の内容になります。
            .Send
        End With
    End With
End Sub


NewFile オブジェクト

NewFile

NewFile オブジェクトは、いくつかの Office アプリケーションで使用される [新しい '(ドキュメント)'] 作業ウィンドウに一覧表示される項目を表します。次の表は、各アプリケーションで NewFile オブジェクトへのアクセスに使用されるプロパティを示します。

アプリケーション | プロパティ
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

メモ 次の使用例は Word の場合ですが、 NewDocument プロパティを上記の一覧のプロパティに変更すれば、それぞれ対応するアプリケーションでも使用することができます。

使い方

Add メソッドを使用して、[新しい '(ドキュメント)'] 作業ウィンドウに項目を追加します。次の使用例は、Word の [新しい文書] 作業ウィンドウに項目を追加します。

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="新しい文書"
    CommandBars("作業ウィンドウ").Visible = True
End Sub

Remove メソッドを使用して、[新しい '(ドキュメント)'] 作業ウィンドウから項目を削除します。次の使用例は、上記の例で Word の [新しい文書] 作業ウィンドウに追加した項目を削除します。

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="新しい文書"
    CommandBars("作業ウィンドウ").Visible = True
End Sub


ODSOColumn オブジェクト

ODSOColumns
ODSOColumn

データ ソース内のフィールドを表します。ODSOColumn オブジェクトは ODSOColumns コレクションのメンバーです。ODSOColumns コレクションは、差し込み印刷データ ソースのすべてのデータ フィールド (Name、Address、City など) を含みます。

使い方

1 つの ODSOColumn オブジェクトを取得するには、Columns(index) を使用します。引数 index には、データ フィールド名またはインデックス番号を指定します。インデックス番号は、差し込み印刷データ ソースでのデータ フィールドの位置を表します。次の使用例は、作業中の文書に結合されているデータ ソースの最初のレコードの最初のフィールドの名前と値を検索します。

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Columns
        MsgBox "フィールド名 :  " & .Item(1).Name & vbLf & _
            "値 :  " & .Item(1).Value
    End With
End Sub

解説

ODSOColumns コレクションに項目を追加することはできません。データ ファイル内のすべてのデータ フィールドは、自動的に ODSOColumns コレクションに含まれます。


ODSOColumns オブジェクト

OfficeDataSourceObject
ODSOColumns
ODSOColumn

差し込み印刷データ ソースのデータ フィールドを表す ODSOColumn オブジェクトのコレクションです。

使い方

ODSOColumns コレクションを取得するには、Columns プロパティを使用します。次の使用例は、作業中の文書に結合されているデータ ソースのフィールド名を表示します。

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "列名 :  " & .Item(intCount).Name
        Next
    End With
End Sub

1 つの ODSOColumn オブジェクトを取得するには、Columns(index) を使用します。引数 index にはデータ フィールド名またはインデックス番号を指定します。インデックス番号は、差し込み印刷データ ソースでのデータ フィールドの位置を表します。次の使用例は、作業中の文書に結合されているデータ ソースで氏名というフィールドの最初のレコードの最初のフィールドと値を検索します。

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Columns
        MsgBox "フィールド名 :  " & .Columns(1).Name & _
            "値 " & .Columns("FirstName").Value
    End With
End Sub


ODSOFilter オブジェクト

ODSOFilters
ODSOFilter

結合されている差し込み印刷データ ソースに適用されるフィルタを表します。 ODSOFilter オブジェクトは ODSOFilters オブジェクトのメンバーです。

使い方

各フィルタはクエリ文字列内の行を示します。Column プロパティ、Comparison プロパティ、CompareTo プロパティ、および Conjunction プロパティを使用して、データ ソースのクエリ条件を設定します。次の使用例は、既存フィルタを変更して、差し込み印刷のすべてのレコードから Region フィールドが "WA" でないレコードを削除します。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

ODSOFilters オブジェクトの Add メソッドを使用して、クエリに新しいフルタ条件を追加します。次の使用例は、クエリ文字列に新しい行を追加し、結合されたフィルタをデータ ソースに適用します。

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


ODSOFilters オブジェクト

OfficeDataSourceObject
ODSOFilters
ODSOFilter

差し込み印刷文書に結合するデータ ソースに適用されるすべてのフィルタを表します。ODSOFilters オブジェクトは、ODSOFilter オブジェクトによって構成されます。

使い方

ODSOFilters オブジェクトの Add メソッドを使用して、クエリに新しいフィルタ条件を追加します。次の使用例は、クエリ文字列に新しい行を追加し、結合されたフィルタをデータ ソースに適用します。

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

Item メソッドを使用して、個々のフィルタ条件にアクセスします。次の使用例は、すべてのフィルタ条件を調べ、Region の値を持つフィルタ条件がある場合、Region の値が "WA" でないレコードを差し込み印刷から削除します。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


OfficeDataSourceObject オブジェクト

OfficeDataSourceObject
複数のオブジェクト

差し込み印刷処理の差し込み印刷データ ソースを表します。

使い方

OfficeDataSourceObject オブジェクトを操作するには、変数を OfficeDataSourceObject オブジェクトとして宣言します。その後、このオブジェクトに関連するプロパティやメソッドを操作します。SetSortOrder メソッドを使用して、データ ソースでのレコードの並べ替えの方法を指定します。次の使用例は、データ ソースをまず郵便番号の降順に並べ替え、次に姓と名前の昇順に並べ替えます。

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    appOffice.SetSortOrder SortField1:="郵便番号", _
        SortAscending1:=False, SortField2:="姓", _
        SortField3:="名前"
End Sub

Column プロパティ、Comparison プロパティ、CompareTo プロパティ、および Conjunction プロパティを使用して、データ ソースのクエリ条件を設定します。次の使用例は、既存フィルタを変更して、差し込み印刷のすべてのレコードから Region フィールドが "WA" でないレコードを削除します。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


PropertyTest オブジェクト

FileSearch
PropertyTests (PropertyTest)
FoundFiles

ファイル検索に使用する単一の検索条件を表します。検索条件の一覧は、[検索] ダイアログ ボックス ([ファイル] - [開く] - [ツール]、[検索] コマンド) に表示されます。PropertyTest オブジェクトは、PropertyTests コレクションのメンバーです。

使い方

単一の PropertyTest オブジェクトを取得するには、PropertyTests(index) を使用します。ここで、index はインデックス番号を表します。次の使用例は、PropertyTests コレクションに含まれる先頭のプロパティ条件の内容を表示します。

With Application.FileSearch.PropertyTests(1)
myString = "次の条件でファイルを検索します。" _
    & "プロパティ名 : " & .Name & " 。条件 : " _
    & .Condition & " 。 "
If .Value <> "" Then
    myString = myString & " 値 : " & .Value & " 。 "
    If .SecondValue <> "" Then
        myString = myString _
            & ".2 番目の値 (上限) : " _
            & .SecondValue & " 。結合子 : " _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests コレクション オブジェクト

FileSearch
PropertyTests (PropertyTest)
FoundFiles

PropertyTest オブジェクトのコレクションで、ファイル検索に使用するすべての検索条件を表します。検索条件の一覧は、[検索] ダイアログ ボックス ([ファイル] - [開く] - [ツール]、[検索] コマンド) に表示されます。

使い方

PropertyTests コレクションを取得するには、PropertyTests プロパティを使用します。次の使用例は、1 回のファイル検索に使用される詳細な検索条件の数を表示します。

Application.FileSearch.PropertyTests.Count

PropertyTests コレクションに新しい PropertyTest オブジェクトを追加するには、Add メソッドを使用します。次の使用例は、検索条件に 2 つのプロパティ条件を追加します。1 番目は "ファイルの種類がすべてのファイル" という条件、2 番目は "更新日時が 1996 年 1 月 1 日と 1996 年 6 月 30 日の間" という条件を表し、そのいずれかを満たすファイルを検索します。また、見つかったファイルの総数と各ファイルの名前をメッセージ ボックスに表示します。

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="ファイルの種類", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="更新日時", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="96/1/1", SecondValue:="96/6/1", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox .FoundFiles.Count " 個のファイルが" & _ "見つかりました。"
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "ファイルが見つかりませんでした。"
    End If

単一の PropertyTest オブジェクトを取得するには、PropertyTests(index) を使用します。ここで、index はインデックス番号を表します。次の使用例は、PropertyTests コレクションに含まれる先頭のプロパティ条件の内容を表示します。

With Application.FileSearch.PropertyTests(1)
myString = "次の条件でファイルを検索します。" _
    & "プロパティ名 : " & .Name & " 。条件 : " _
    & .Condition & " 。 "
If .Value <> "" Then
    myString = myString & "値 : " & .Value & ": 。 "
    If .SecondValue <> "" Then
        myString = myString _
            & ".2 番目の値 (上限) : " _
            & .SecondValue & "。結合子 : " _
            & .Connector & " 。 "
    End If
End If
MsgBox myString
End With


ScopeFolder オブジェクト

複数のオブジェクト
ScopeFolder
ScopeFolders

検索可能なフォルダに対応します。ScopeFolder オブジェクトは SearchFolders コレクションと共に使用します。SearchFolders コレクションは、FileSearch オブジェクトの使用時に検索されるフォルダを定義します。特定のフォルダを検索する場合は、SearchScope オブジェクトおよび ScopeFolders コレクションのメソッドとプロパティを使用して ScopeFolder オブジェクトを検索し、それを SearchFolders コレクションに追加します。

使い方

検索範囲のルートの ScopeFolder オブジェクトを取得するには、SearchScope オブジェクトの ScopeFolder プロパティを使用します。

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

ルートの ScopeFolder オブジェクトを取得するには、ScopeFolders コレクションの Item メソッドを使用します。

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

SearchFolders コレクションの Item メソッドを使用して、FileSearch オブジェクトの Execute メソッドが次回呼び出されたときに検索されるフォルダを取得します。

Set sf = Application.FileSearch.SearchFolders.Item(1)

各 ScopeFolder オブジェクトには、親の ScopeFolder オブジェクトのサブフォルダを保存する ScopeFolders コレクションがあります。これらの ScopeFolders コレクション内をループを使用して調べることにより、すべてのローカル ドライブなどの検索範囲内のフォルダ構造全体を検索して、下位レベルの ScopeFolder オブジェクトをすべて取得することができます。サブフォルダのない ScopeFolder オブジェクトには、空の ScopeFolders コレクションがあります。

検索範囲内のすべての ScopeFolder オブジェクトをループを使用して調べる方法については、ここをクリックしてください。

SearchFolders コレクションの Add メソッドを使用して ScopeFolder オブジェクトを SearchFolders コレクションに追加することができますが、通常は、追加する ScopeFolder オブジェクトの AddToSearchFolders メソッドを使用する方が簡単です。これは、すべての検索に対して SearchFolders コレクションは 1 つのみだからです。

ScopeFolder オブジェクトを SearchFolders コレクションに追加する方法の使用例については、ここをクリックしてください。

次の使用例は、[マイ コンピュータ] の各ディレクトリのルート パスを表示します。この情報を取得するために、この使用例ではまず最初に [マイ コンピュータ] のルートにある ScopeFolder オブジェクトを取得します。この ScopeFolder のパスは、常に "*" になります。すべての ScopeFolder オブジェクトと同様、ルート オブジェクトにも ScopeFolders コレクションが保存されています。次の使用例では、この ScopeFolders コレクションを調べ、コレクション内の各 ScopeFolder オブジェクトのパスを表示します。これらの ScopeFolder オブジェクトのパスは、"A:\"、"C:\" などになります。

Sub DisplayRootScopeFolders()

    'SearchScope および ScopeFolder オブジェクトを参照する
    '変数を宣言します。
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        'SearchScopes コレクションをすべて調べて、
        '[マイ コンピュータ] のルートの ScopeFolders コレクションを
        'すべて表示します。
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'SearchScope オブジェクトの ScopeFolders コレクションの
                    '各 ScopeFolder オブジェクトをすべて調べ、
                    'パスを表示します。
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder オブジェクトのパス : " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


ScopeFolders コレクション

ScopeFolder
ScopeFolders
ScopeFolder

ScopeFolder オブジェクトのコレクションです。ScopeFolder オブジェクトのみが ScopeFolders コレクションを保存します。各 ScopeFolders コレクションには、親の ScopeFolder オブジェクトのサブフォルダに対応する ScopeFolder オブジェクトが保存されています。

使い方

ScopeFolders コレクションを取得するには、ScopeFolder オブジェクトの ScopeFolders プロパティを使用します。

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

ScopeFolders コレクションに ScopeFolder オブジェクトを追加したり、 ScopeFolders コレクションから ScopeFolder オブジェクトを削除することはできません。


Script オブジェクト

Scripts (Script)

Microsoft Word 文書、Microsoft Excel シート、Microsoft PowerPoint スライド内の HTML スクリプトのブロックを表します。Script オブジェクトは、Scripts コレクションのメンバーです。

使い方

単一の Script オブジェクトを取得するには、Scripts.Item(index) を使用します。index はスクリプトの名前、ID、またはインデックス番号です。各 Script オブジェクトは Id プロパティによって識別されます。これにより、簡単な名前でスクリプトにアクセスできます。次の使用例は、作業中のドキュメントの Scripts コレクションに単一のスクリプトを追加し、インデックス値が 1 のスクリプト (ScriptOne) の ID を表示します。

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""これは ScriptOne です。"")")
MsgBox (ActiveDocument.Scripts(1).Id)

スクリプトで使用するスクリプティング言語を指定するには、Language プロパティを変更します。次の使用例は、スクリプト 1 のスクリプティング言語を ASP (Active Server Pages) に変更します。

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

HTML ドキュメント内のスクリプト アンカー図形の位置を確認するには、Location プロパティを使用します。次の使用例は、スクリプト 1 が作業中の HTML ドキュメントの本文に含まれているかどうかをチェックします。

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("スクリプトは HTMLドキュメント本文中にあります。")
Else
    MsgBox ("スクリプトはヘッダー内にあります。")
End If

<SCRIPT> タグに追加する属性 (LANGUAGE 属性と ID 属性を除く) のチェックや設定には、Extended プロパティを使用します。次の使用例は、作業中のドキュメント内のスクリプト 1 に追加する属性があるかどうかをチェックします。

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("スクリプトに追加する属性は" & _
    "ありません。" &
     ActiveDocument.Scripts(1).Id)

スクリプトに関連付けられたスクリプト テキストのチェックや設定には、ScriptText プロパティを使用します。次の使用例は、作業中のドキュメント内のスクリプト 1 に関連付けられたスクリプト テキストを含むメッセージ ボックスを表示します。

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts コレクション オブジェクト

Scripts (Script)

指定したドキュメントの HTML スクリプトのコレクションを表す Script オブジェクトのコレクションです。

使い方

Scripts コレクションには、指定したドキュメントのすべての Script オブジェクトがソース順 (Script オブジェクトがソース ファイルに追加された順序) で含まれます。ソース順は、ドキュメント内のスクリプトの位置 (ヘッダーまたは本文) による影響は受けません。Script オブジェクトを使用して、スクリプトにアクセスしたり、Microsoft Word 文書、Microsoft Excel シート、Microsoft PowerPoint スライドにスクリプトを追加したりすることができます。また、Scripts コレクションを使用して、Microsoft Office アプリケーションで開かれた任意の HTML ページやスクリプトにアクセスできます。

メモ Microsoft Access では、この Office 共有コンポーネントを使用しません。

スクリプトを追加する

Script オブジェクトを Scripts コレクションに追加すると、msoScriptAnchor 型の Shape オブジェクトが自動的にドキュメントに追加されます。Excel ワークシートや PowerPoint スライドでは、図形は Shapes コレクションに追加されます。Word 文書では、図形は InlineShapes コレクションに追加されます。Script をドキュメントに追加するには、Add メソッドを使用します。次の使用例は、作業中の Word 文書に簡単なスクリプトを追加します。

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""これは ScriptOne です。""")

Scripts コレクション内の特定のアイテムにアクセスするには、Item メソッドを使用し、<SCRIPT> タグの ID 属性かコレクション内のスクリプトの位置を示すインデックス番号のいずれかを指定します。ID はドキュメント内で一意でなければなりません。ID 属性が重複する場合、その ID を持つスクリプトのうち、最初に見つかったものが取得されます。次の使用例は、"ScriptOne" という ID を使用するスクリプトのうち、最初に見つかったスクリプトの言語を示すメッセージ ボックスを表示します。

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

指定したドキュメントの Script オブジェクトの数を調べるには、Count プロパティを使用します。次の使用例は、作業中のドキュメントに含まれるスクリプトの数を表示します。

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("このドキュメントには" & _
    "スクリプトがありません。")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("このドキュメントのスクリプト数は" & _
    ActiveDocument.Scripts.Count & _
    "です。")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("このドキュメントのスクリプト数は" & _
    ActiveDocument.Scripts.Count & _
    "です。")
End If

Scripts コレクションからスクリプトを削除するには、次の使用例に示すように、Delete メソッドを使用します。

ActiveDocument.Scripts("ScriptOne").Delete


SearchFolders コレクション

FileSearch
SearchFolders
ScopeFolder

FileSearch オブジェクトの Execute メソッドの呼び出し時に検索されるフォルダを指定する、ScopeFolder オブジェクトのコレクションです。

使い方

SearchFolders コレクションを取得するには、SearchFolders プロパティと FileSearch オブジェクトを使用します。

Set sfs = Application.FileSearch.SearchFolders

アプリケーションごとに 1 つの SearchFolders コレクションがあります。コレクションの内容は、そのコレクションを呼び出したコードが終了しても変化することはありません。したがって、前の検索と同じフォルダを使用する場合を除き、コレクションをクリアすることが重要です。

SearchFolders コレクションの Add メソッドを使用して ScopeFolder オブジェクトを SearchFolders コレクションに追加することができますが、通常は、追加する ScopeFolder オブジェクトの AddToSearchFolders メソッドを使用する方が簡単です。これは、すべての検索に対して SearchFolders コレクションは 1 つのみだからです。

SearchFolders コレクションは、FileSearch オブジェクトの LookIn プロパティを補完するものと見なされます。どちらも検索するフォルダを指定し、検索を実行するときに使用されます。ただし、LookIn プロパティのみを使用する場合は、SearchFolders コレクションは空にします。逆に、SearchFolders コレクションのみを使用する場合は、LookIn プロパティに SearchFolders コレクションの最初のメンバーへのパスを設定してから、Execute メソッドを実行します。

次の使用例は、ローカル マシンの "1033" と名付けられた各フォルダで、HTML ファイルと Excel ファイルをすべて検索します。この使用例では、SearchFolders コレクション、SearchScopes コレクション、および ScopeFolders コレクションを使用します。

この使用例は、2 つのルーチンで構成されています。SearchEveryFolder ルーチンは実行ルーチンです。OutputPaths ルーチンは、ローカル マシンのディレクトリ構造全体を検索するために再帰的に自己を呼び出すルーチンであり、メイン ルーチンとは分離されています。

Sub SearchEveryFolder()

    'SearchScope および ScopeFolder オブジェクトを参照する
    '変数を宣言します。
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    '汎用カウンタになる変数を宣言します。
    Dim lngCount As Long

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        '前の検索のパラメータをすべてクリアします。
        'このメソッドは、LookIn プロパティまたは
        'SearchFolders コレクションはクリアしません。
        .NewSearch

        '検索するファイルの種類を指定します。
        '最初の種類の指定には FileType プロパティを使用し、
        'その他の種類の指定には FileTypes コレクションを使用します。
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'ScopeFolder オブジェクトをすべて調べて削除し、
        'SearchFolder コレクションを
        'クリアします。
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'SearchScopes コレクションを調べ、
        '検索範囲を見つけます。この場合、
        'スコープ検索範囲はローカル マシンです。
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'SearchScope オブジェクトの ScopeFolders コレクションの
                    'ScopeFolder オブジェクトを
                    'すべて調べます。
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        '関数を呼び出して、ルートの
                        'ScopeFolder のすべてのサブフォルダを調べます。
                        '次の関数は、"1033" と名付けられたフォルダを
                        'SearchFolders コレクションに追加します。
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'SearchFolders コレクションに ScopeFolders コレクションが
        '追加されたかどうかを調べます。
        If .SearchFolders.Count > 0 Then

            'LookIn プロパティに、SearchFolders コレクションの最初の
            'ScopeFolder オブジェクトのパスを設定します。
            '設定はここで行うため、
            'LookIn プロパティのこれまでの設定は、検索には
            '影響を与えません。
            .LookIn = .SearchFolders.Item(1).Path

            '検索を実行し、ファイルが見つかったかどうかを
            '確認します。
            If .Execute <> 0 Then

                '見つかったファイルの数を表示します。
                MsgBox "見つかったファイルの数 :  " & .FoundFiles.Count

                '見つかったファイルの一覧を調べ、
                '各ファイルのパスをメッセージ ボックスに表示します。
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "見つかったファイル") = vbCancel Then
                        'ループを抜けます。
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'このサブルーチンは、指定した ScopeFolders コレクション
'の ScopeFolders コレクションをすべて調べます。そして、
'strFolder の値と同じ名前のフォルダを
'SearchFolders コレクションに追加します。
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'ScopeFolder オブジェクトの変数を宣言します。
    Dim sf As ScopeFolder

    'ScopeFolders コレクションの ScopeFolder オブジェクト
    'をすべて調べます。
    For Each sf In sfs

        'ScopeFolder のフォルダ名が strFolder の値と一致するか
        'どうかを調べます。LCase を使用して、
        '名前の一致するフォルダに影響が及ばないようにします。
        If LCase(sf.Name) = LCase(strFolder) Then

            'ScopeFolder を SearchFolders コレクションに追加します。
            sf.AddToSearchFolders

        End If

        'ループが長時間続く可能性があるため、DoEvents を含めます。
        'DoEvents 呼び出しによって、このプロセスの間も
        'イベント処理を続行することができます。
        DoEvents

        '現在の ScopeFolder の ScopeFolders コレクションが
        '空かどうかを調べます。空でない場合、
        '現在の ScopeFolder オブジェクトにはサブフォルダが保存されています。
        If sf.ScopeFolders.Count > 0 Then

            'このサブルーチンは再帰的に自己を呼び出し、
            '現在の ScopeFolder オブジェクトのサブフォルダを
            'SearchFolders コレクションに追加します。
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


SearchScope オブジェクト

SearchScopes
SearchScope
ScopeFolder

FileSearch オブジェクトを使用して検索できるフォルダ ツリーの種類に対応します。たとえば、使用中のコンピュータのローカル ドライブは 1 つの検索範囲になります。ネットワーク フォルダと Outlook のフォルダも、独立した検索範囲として使用できます。各 SearchScope オブジェクトには、検索範囲のルート フォルダに対応する 1 つの ScopeFolder オブジェクトが保存されています。

使い方

SearchScope オブジェクトを取得するには、SearchScopes コレクションの Item メソッドを使用します。

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

結局のところ、SearchScope オブジェクトは ScopeFolder オブジェクトへのアクセスを提供するためのものであり、ScopeFolder オブジェクトが SearchFolders コレクションに追加されます。この一連の動作を示す使用例については、ここをクリックしてください。

SearchScope オブジェクトから ScopeFolder オブジェクトを取得するための簡単な使用例については、ここをクリックしてください。

次の使用例は、現在使用できる SearchScope オブジェクトをすべて表示します。

Sub DisplayAvailableScopes()

    'SearchScope オブジェクトを参照する
    '変数を宣言します。
    Dim ss As SearchScope

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        'SearchScopes コレクションをすべて調べます。
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "[マイ コンピュータ] が検索範囲です。"
                Case msoSearchInMyNetworkPlaces
                    MsgBox "[マイ ネットワーク] が検索範囲です。"
                Case msoSearchInOutlook
                    MsgBox "Outlook が検索範囲です。"
                Case msoSearchInCustom
                    MsgBox "ユーザー設定の検索範囲を使用できます。"
                Case Else
                    MsgBox "検索範囲を指定できません。"
            End Select
        Next ss
    End With
End Sub


SearchScopes コレクション

FileSearch
SearchScopes
SearchScope

SearchScope オブジェクトのコレクションです。

使い方

SearchScopes コレクションを取得するには、FileSearch オブジェクトの SearchScopes プロパティを使用します。

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

SearchScopes コレクションに SearchScope オブジェクトを追加したり、SearchScopes コレクションから SearchScope オブジェクトを削除することはできません。


Signature オブジェクト

SignatureSet
Signature

文書に添付されるデジタル署名に対応します。Signature オブジェクトは、Document オブジェクトの SignatureSet コレクションに保存されています。

使い方

Signature オブジェクトを SignatureSet コレクションに追加するには Add メソッドを使用します。既存のメンバーを取得するには Item メソッドを使用します。Signature オブジェクトを SignatureSet コレクションから削除するには、Signature オブジェクトの Delete メソッドを使用します。

次の使用例は、ユーザーに対して、作業中の Word 文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開き、この関数に証明書の発行者と署名者の名前を渡します。これらの名前は、[証明書] ダイアログ ボックスの証明書の情報の "発行先" および "発行者" フィールドと一致している必要があります。次の使用例は、ユーザーが選択したデジタル署名が有効期限などの条件を満たしていることを確認し、新しい署名をディスクに反映します。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    'いくつかのプロパティを確認してから、Signature オブジェクトをディスクに反映させます。
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "署名あり"
        AddSignature = True
    '条件が確認できない場合、その Signature オブジェクトを SignatureSet コレクションから削除します。
    Else
        sig.Delete
        MsgBox "署名なし"
        AddSignature = False
    End If

    'SignatureSet コレクション内のすべての署名をディスクに反映させます。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションがキャンセルされました。"
End Function


SignatureSet コレクション

SignatureSet
Signature

文書に添付されるデジタル署名に対応する Signature オブジェクトのコレクションです。

使い方

SignatureSet コレクションを取得するには、Document オブジェクトの Signatures プロパティを使用します。

Set sigs = ActiveDocument.Signatures

メモ 文書の SignatureSet コレクションに加えた変更は、Commit メソッドを呼び出すまで適用されません。

Signature オブジェクトを SignatureSet コレクションに追加するには Add メソッドを使用します。既存のメンバーを取得するには Item メソッドを使用します。Signature オブジェクトを SignatureSet コレクションから削除するには、Signature オブジェクトの Delete メソッドを使用します。

次の使用例は、ユーザーに対して、作業中の Word 文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開き、この関数に証明書の発行者と署名者の名前を渡します。これらの名前は、[証明書] ダイアログ ボックスの証明書の情報の "発行先" および "発行者" フィールドと一致している必要があります。次の使用例は、ユーザーが選択したデジタル署名が有効期限などの条件を満たしていることを確認し、新しい署名をディスクに反映します。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    'いくつかのプロパティを確認してから、Signature オブジェクトをディスクに反映させます。
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "署名あり"
        AddSignature = True
    '条件が確認できない場合、その Signature オブジェクトを SignatureSet コレクションから削除します。
    Else
        sig.Delete
        MsgBox "署名なし"
        AddSignature = False
    End If

    'SignatureSet コレクション内のすべての署名をディスクに反映させます。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションがキャンセルされました。"
End Function


WebPageFont オブジェクト

WebPageFonts (WebPageFont)

ドキュメントを特定の文字セットの Web ページとして保存するときに使用される既定のフォントを表します。

使い方

WebPageFont オブジェクトを使用して、使用可能な文字セットのプロポーショナル フォント、プロポーショナル フォントのサイズ、固定幅フォント、固定幅フォントのサイズを指定します。

次に示す文字セットがサポートされています。
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

次の使用例は、WebPageFont オブジェクトの myFont にプロポーショナル フォントとプロポーショナル フォント サイズを設定します。

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts コレクション オブジェクト

WebPageFonts (WebPageFont)

ドキュメントを Web ページとして保存するときに使用されるプロポーショナル フォント、プロポーショナル フォント サイズ、固定幅フォント、固定幅フォント サイズについて記述した WebPageFont オブジェクトのコレクションです。利用可能な文字セットごとに異なる Web ページ フォント プロパティのセットを指定できます。

使い方

WebPageFonts コレクションには、次の文字セットごとに 1 つの WebPageFont オブジェクトが含まれます。

次に示す文字セットがサポートされています。
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

次の使用例は、Item プロパティを使用して、現在実行中のアプリケーションの英語/西ヨーロッパ言語/その他のラテン系言語の文字セットを表す WebPageFont オブジェクトを myFont に設定します。

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


ActivateWizard メソッド

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタント ウィザードのセッションを再開または一時停止します。

メモ このメソッドは、必ず StartWizard メソッドと一緒に使用します。

expression.ActivateWizard(WizardID, Act, Animation)

expression 必ず指定します。Assistant オブジェクトを返すオブジェクト式を指定します。

WizardID 必ず指定します (長整数 (Long) 型)。この引数には、StartWizard メソッドの戻り値を使用します。

Act 必ず指定します (MsoWizardActType)。Office アシスタント ヘルプへの変更を表す値を指定します。

MsoWizardActType の値は、以下の MsoWizardActType 定数のいずれかを示します。
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation 省略可能です。バリアント型 (Variant) の値を指定します。Office アシスタント ウィザードのセッションが再開または一時停止されたときに実行される Office アシスタントのアニメーションの種類を指定します。

使用例

次の使用例は、StartWizard メソッドで開始された Office アシスタント ウィザードのセッションを一時停止します。変数 lHelpForWiz には、StartWizard メソッドの戻り値が設定されているとします。

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add メソッド

NewFile オブジェクトの Add メソッド

[新しい '(ドキュメント)'] 作業ウィンドウに新しい項目を追加します。ブール型 (Boolean) の値を指定します。True を指定すると、項目が正しく追加されます。

expression.Add(FileName, Section, DisplayName, Action)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

FileName 必ず指定します。文字列型 (String) の値を指定します。作業ウィンドウのファイルの一覧に追加するファイルの名前を指定します。

Section 省略可能です。バリアント型 (Variant) の値を指定します。ファイルを追加するセクションを指定します。使用できる定数は、msoFileNewSection クラスの定数のいずれかです。

DisplayName 省略可能です。バリアント型 (Variant) の値を指定します。作業ウィンドウに表示されるテキストを指定します。

Action 省略可能です。バリアント型 (Variant) の値を指定します。項目がクリックされたときに実行されるアクションを指定します。使用できる定数は、msoFileNewAction クラスの定数のいずれかです。

CommandBars オブジェクトの Add メソッド

新しいコマンド バーを作成し、コマンド バーのコレクションに追加します。CommandBar オブジェクトを返します。

expression.Add(Name, Position, MenuBar, Temporary)

expression 必ず指定します。CommandBars オブジェクトを表すオブジェクト式を指定します。

Name 省略可能です。バリアント型 (Variant) の値を指定します。新しいコマンド バーの名前を指定します。この引数を省略すると、コマンド バーには既定の名前 (ユーザー設定 1 など) が自動的に割り当てられます。

Position 省略可能です。バリアント型 (Variant) の値と種類を指定します。新しいコマンド バーの位置を指定します。使用できる定数は、次に示す MsoBarPosition クラスの定数のいずれかです。

定数 | 内容
msoBarLeft、msoBarTop、msoBarRight、msoBarBottom | 新しいコマンド バーを表示する位置を表します。指定した定数によって、ウィンドウの左端、上端、右端、または下端に表示されます。
msoBarFloating | 新しいコマンド バーが固定されないことを表します。
msoBarPopup | 新しいコマンド バーがショートカット メニューとして作成されることを表します。
msoBarMenuBar | Macintosh のみ。

MenuBar 省略可能です。バリアント型 (Variant) の値を指定します。True を指定すると、アクティブ メニュー バーが新しいコマンド バーで置き換わります。既定値は False です。

Temporary 省略可能です。バリアント型 (Variant) の値を指定します。True を指定すると、新しいコマンド バーが一時的なものになります。この一時コマンド バーは、コンテナ アプリケーションの終了と同時に自動的に削除されます。この引数を省略すると、既定値の False になります。

CommandBarControls オブジェクトの Add メソッド

新しい CommandBarControl オブジェクトを作成し、指定したコマンド バーのコントロールのコレクションに追加します。

expression.Add(Type, Id, Parameter, Before, Temporary)

expression 必ず指定します。CommandBarControls オブジェクトを表すオブジェクト式を指定します。

Type 省略可能です。バリアント型 (Variant) の値を指定します。指定したコマンド バーに追加するコントロールの種類を指定します。使用できる定数は、MsoControlType クラス msoControlButton、msoControlEdit、msoControlDropdown、msoControlComboBox、または msoControlPopup のいずれかです。

Id 省略可能です。バリアント型 (Variant) の値を指定します。組み込みのコントロールを表す整数を指定します。この引数に 1 を設定するか省略すると、指定した種類の空白のカスタム コントロールがコマンド バーに追加されます。

Parameter 省略可能です。バリアント型 (Variant) の値を指定します。組み込みのコントロールの場合、この引数はコンテナ アプリケーションでコマンドを実行するときに使用されます。カスタム コントロールの場合、この引数を使用して、Visual Basic のプロシージャに情報を渡したり、Tag プロパティの 2 番目の値のようなコントロールの情報を格納することができます。

Before 省略可能です。バリアント型 (Variant) の値を指定します。コマンド バーにおける新しいコントロールの位置を表す数字を指定します。新しいコントロールは、指定した位置にあるコントロールの直前に挿入されます。この引数を省略すると、コントロールは指定したコマンド バーの末尾に追加されます。

Temporary 省略可能です。バリアント型 (Variant) の値を指定します。True を指定すると、新しいコントロールが一時的なものになります。この一時コントロールは、コンテナ アプリケーションの終了と同時に自動的に削除されます。この引数を省略すると、既定値の False になります。

DocumentProperties オブジェクトの Add メソッド

新しいユーザー設定のドキュメント プロパティを作成します。このメソッドは、ユーザー設定の DocumentProperties コレクションに対してのみ使用できます。

expression.Add(Name, LinkToContent, Type, Value, LinkSource)

expression 必ず指定します。ユーザー設定の DocumentProperties オブジェクトを指定します。

Name 必ず指定します。文字列型 (String) の値を指定します。プロパティ名を指定します。

LinkToContent 必ず指定します。ブール型 (Boolean) の値を指定します。プロパティをコンテナ ドキュメントの内容にリンクするかどうかを指定します。この引数に True を指定した場合は、引数 LinkSource を必ず指定します。False を指定した場合は、引数 Value を必ず指定します。

Type 省略可能です。バリアント型 (Variant) の値を指定します。プロパティのデータの種類を指定します。使用できる定数は、MsoDocProperties クラスの msoPropertyTypeBoolean、msoPropertyTypeDate、msoPropertyTypeFloat、msoPropertyTypeNumber、または msoPropertyTypeString のいずれかです。

Value 省略可能です。バリアント型 (Variant) の値を指定します。プロパティがコンテナ ドキュメントの内容にリンクしていない場合の値を指定します。値は引数 Type で指定したデータの種類に応じて変換されます。データの種類によって変換できない場合は、エラーになります。LinkToContent が True の場合、引数 Value は無視され、リンクしたプロパティの値がコンテナ アプリケーションによって更新されるまで (通常はドキュメントの保存時)、新しいドキュメント プロパティには既定値が設定されます。

LinkSource 省略可能です。バリアント型 (Variant) の値を指定します。LinkToContent が False の場合、この引数は無視されます。リンクしたプロパティのリンク元を指定します。使用できるリンクの種類は、コンテナ アプリケーションに基づいて決定されます。

解説

Office ドキュメントの特定の値にリンクしているドキュメント プロパティを DocumentProperties コレクションに追加する場合、DocumentProperty オブジェクトに正しくドキュメント プロパティが追加されているかどうかを確認するには、Office ドキュメントをあらかじめ保存しておく必要があります。

FileDialogFilters オブジェクトの Add メソッド

ファイル操作のダイアログ ボックス ([ファイルを開く]、[名前を付けて保存] など) の [ファイルの種類] ボックスに、新しいファイル フィルタを追加します。新しく追加されたファイル フィルタを表す FileDialogFilter オブジェクトを取得します。

expression.Add(Description, Extensions, Position)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Description 必ず指定します。文字列型 (String) の値を指定します。フィルタの一覧に追加するファイル拡張子を説明するテキストを指定します。

Extensions 必ず指定します。文字列型 (String) の値を指定します。フィルタの一覧に追加するファイル拡張子を表すテキストを指定します。複数の拡張子をセミコロン (;) で区切って指定することもできます。たとえば、引数 Extensions に "*.txt; *.htm" という文字列を代入することができます。拡張子をかっこで囲む必要がないことに注意してください。説明と拡張子の文字列が 1 つのフィルタ項目として結合されるときに、自動的にかっこが追加されます。

Position 省略可能です。バリアント型 (Variant) の値を指定します。フィルタの一覧での新しいコントロールの位置を表す数字を指定します。新しいフィルタは、この位置にあるフィルタの直前に挿入されます。この引数を省略すると、フィルタは一覧の末尾に追加されます。

解説

一覧内の各フィルタには、ファイル拡張子 (「.txt」など) とファイル拡張子の説明テキスト (「テキスト ファイル」など) の 2 つの部分があります。[ファイルの種類] ボックスには、これらの部分を結合して、[テキスト ファイル (*.txt)] のように表示されます。

一覧にフィルタを追加しても、既定のフィルタは削除されません。

フィルタは、[Windows] オプションがチェックされている場合のみ表示されます。

Position が無効の場合、範囲外の実行時エラーが表示されます。Description および Extensions の値が無効の場合、実行時エラー (解析) が表示されます。

フォルダ作成のダイアログにはフィルタがないため、フォルダの作成にはフィルタのメソッドは適用されません。

Scripts オブジェクトの Add メソッド

Microsoft Word の Document と Range、Microsoft Excel の Worksheet と Chart、PowerPoint の Slide、SlideRange、PowerPoint スライドの Master、PowerPoint タイトルの Master のいずれかのオブジェクトの Scripts コレクションに Script オブジェクトを追加します。Script オブジェクトを取得します。

expression.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expression 必ず指定します。Scripts コレクションを指定します。

Anchor 省略可能です。Range オブジェクトを指定します (Microsoft Excel のみ)。引数 Anchor には、Excel の Worksheet オブジェクト上のスクリプト アンカーの位置を指定する Range オブジェクトを指定します。Excel グラフにスクリプト アンカーを挿入することはできません。

Location 省略可能です。MsoScriptLocation クラスの定数を指定します。文書内でのスクリプト アンカーの位置を指定します。引数 Anchor を指定した場合、引数 Location は使用されません。スクリプト アンカーの位置は、引数 Anchor によって決まります。

使用できる定数は、次に示す MsoScriptLocation クラスの定数のいずれかです。
msoScriptLocationInBody 既定値
msoScriptLocationInHead

Language 省略可能です。MsoScriptLanguage クラスの定数を指定します。スクリプト言語を指定します。

使用できる定数は、次に示す MsoScriptLanguage クラスの定数のいずれかです。
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic 既定値

Id 省略可能です。文字列型 (String) の値を指定します。HTML 内の <SCRIPT> タグの ID です。Id は、要素の名前付けに使用される SGML 識別子を指定します。有効な識別子は、英字で始まり、英数字から成る文字列で構成されます。文字列にはアンダスコア ( _ ) も使用できます。ID は HTML ドキュメント内で一意でなければなりません。この引数は <SCRIPT> タグ内の ID 属性としてエクスポートされます。

Extended 省略可能です。文字列型 (String) の値を指定します。<SCRIPT> タグに追加する属性を指定します (LANGUAGE 属性と ID 属性は引数 Language および引数 Id によりエクスポートされるので、引数 Extended でエクスポートすることはできません)。既定値は空の文字列です。属性は、HTML の場合と同様にスペースで区切ります。Microsoft Office ホスト アプリケーションでは、渡される属性の構文をまったくチェックしません。

ScriptText 省略可能です。文字列型 (String) の値を指定します。スクリプトの 1 ブロックに含めるテキストを指定します。既定値は空の文字列です。Microsoft Office ホスト アプリケーションでは、スクリプトの構文をまったくチェックしません。

解説

スクリプト ブロックに関連付けられた図形は、HTML の図形としてエクスポートまたは印刷されません。スクリプト ブロックのみがエクスポートされます。

Add メソッドを使用して、複数のスライドが含まれる PowerPoint スライド範囲にスクリプト アンカーを追加することはできません。

SignatureSet オブジェクトの Add メソッド

新しい電子メール署名を表す Signature オブジェクトを取得します。

expression.Add

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

ODSOFilters オブジェクトの Add メソッド

ODSOFilters コレクションに新しいファイルを追加します。

expression.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Column 必ず指定します。文字列型 (String) の値を指定します。データ ファイルのテーブル名を指定します。

Comparison 必ず指定します。MsoFilterComparison クラスの定数を指定します。テーブル内のデータのフィルタリングの方法を指定します。

使用できる定数は、次に示す MsoFilterComparison クラスの定数のいずれかです。
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction 省略可能です。MsoFilterConjunction クラスの定数を指定します。このフィルタと ODSOFilters オブジェクトの他のフィルタとの関連付けの方法を示します。

使用できる定数は、次に示す MsoFilterConjunction クラスの定数のいずれかです。
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo 省略可能です。文字列型 (String) の値を指定します。Comparison は、msoFilterComparisonIsBlank または msoFilterComparisonIsNotBlank 以外の引数で、テーブル内のデータと比較する文字列です。

DeferUpdate 省略可能です。ブール型 (Boolean) の値を指定します。既定値は False です。

AnswerWizardFiles オブジェクトの Add メソッド

アンサー ウィザード ファイルへの参照 (文字列型 (String) の値) を新規作成し、AnswerWizardFiles コレクションに追加します。

expression.Add(FileName)

expression 必ず指定します。AnswerWizardFiles コレクションを表すオブジェクト式を指定します。

FileName 必ず指定します。文字列型 (String) の値を指定します。指定したアンサー ウィザード ファイルへのフル パスを指定します。

FileTypes オブジェクトの Add メソッド

ファイルの検索に新しいファイルの種類を追加します。

expression.Add(FileType)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

FileType 必ず指定します。MsoFileType クラスの定数を指定します。検索するファイルの種類を指定します。

使用できる定数は、次に示す MsoFileType クラスの定数のいずれかです。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

PropertyTests オブジェクトの Add メソッド

PropertyTest オブジェクトを PropertyTests コレクションに追加します。

expression.Add(Name, Condition, Value, SecondValue, Connector)

expression 必ず指定します。PropertyTests オブジェクトを表すオブジェクト式を指定します。

Name 必ず指定します。文字列型 (String) の値を指定します。プロパティの検索条件名を指定します。この名前は、[検索] ダイアログ ボックスの [プロパティ] ボックスの値に対応します。[検索] ダイアログ ボックスを表示するには、アプリケーションの [ファイルを開く] ダイアログ ボックス ([ファイル] メニュー) の [ツール] メニューを使用します。

Condition 必ず指定します。MsoCondition クラスの定数を指定します。検索の条件を指定します。

使用できる定数は、次に示す MsoCondition クラスの定数のいずれかです。
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value 省略可能です。バリアント型 (Variant) の値を指定します。検索条件に使用する値を指定します。

SecondValue 省略可能です。バリアント型 (Variant) の値を指定します。検索条件に値の範囲を使用する場合に、その 2 番目の値 (上限) を指定します。この引数は、引数 Condition が定数 msoConditionAnyTimeBetween または msoConditionAnyNumberBetween の場合にのみ使用できます。

Connector 省略可能です。MsoConnector クラスの定数を指定します。2 つの検索条件の組み合わせ方法を指定します。

使用できる定数は、次に示す MsoConnector クラスの定数のいずれかです。
msoConnectorAnd 既定値
msoConnectorOr

SearchFolders オブジェクトの Add メソッド

ファイルの検索に検索フォルダを追加します。

expression.Add(ScopeFolder)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

ScopeFolder 必ず指定します。ScopeFolder オブジェクトを指定します。検索に追加するフォルダを指定します。

使用例

AnswerWizardFiles オブジェクトの場合

次の使用例は、アンサー ウィザードでカスタム ファイル リストを受け入れる準備をして、2 つのカスタム アンサー ウィザード ファイルを追加します。まず、ファイル リストをクリアします。次に 2 つのカスタム アンサー ウィザード ファイルを追加し、処理が正常に行われたことを確認するためにファイル数とファイル名をチェックします。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "ファイル  " & customAnswerWizard.Files.Item(1) & _
    "  およびファイル  " & customAnswerWizard.Files(2) & _
    " が正しく追加されました。"
End If

CommandBarControls オブジェクトの場合

次の使用例は、切り取り、コピー、および貼り付け用のボタンを持ったユーザー設定の編集ツールバーを作成します。

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("ユーザー設定")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("編集") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("編集") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("編集") _
    .Controls("Paste").Id)
customBar.Visible = True

DocumentProperties オブジェクトの場合

次の使用例は、DocumentProperties コレクションにユーザー設定のドキュメント プロパティを 3 つ追加します。

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="これはユーザー設定のプロパティです。"
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

PropertyTests オブジェクトの場合

次の使用例は、検索条件に 2 つのプロパティ条件を追加します。1 番目は "ファイルの種類が Word 文書" という条件、2 番目は "更新日時が 1998 年 1 月 1 日と 1998 年 6 月 30 日の間" という条件を表し、そのいずれかを満たすファイルを検索します。また、検索条件を満たすファイルの総数と各ファイルの名前をメッセージ ボックスに表示します。

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="ファイルの種類", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="更新日時", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "見つかったファイルは  " _
            & fs.FoundFiles.Count & _
            " です。" & vbCrLf & strFound
Else
    MsgBox "ファイルが見つかりません。"
End If
Scripts オブジェクトの場合

次の使用例は、作業中のブックのワークシート 1 上の指定範囲に、新規の Script オブジェクトを追加します。

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""追加した Script オブジェクト MyNewScript"")")


AddItem メソッド

指定したコマンド バーのコンボ ボックス コントロールにリスト項目を追加します。コンボ ボックス コントロールは、ユーザー設定のドロップダウン リスト ボックスまたはコンボ ボックスのいずれかでなければなりません。

メモ このプロパティをエディット ボックスまたは組み込みのコンボ ボックス コントロールに設定すると、エラーが発生します。

expression.AddItem(Text, Index)

expression 必ず指定します。CommandBarComboBox オブジェクトを表すオブジェクト式を指定します。

Text 必ず指定します。文字列型 (String) の値を指定します。指定したコントロールに追加する項目を指定します。

Index 省略可能です。バリアント型 (Variant) の値を指定します。指定した項目のリスト内での位置を指定します。この引数を省略すると、項目は一覧の最後に追加されます。

使用例

次の使用例は、"ユーザー設定" というコマンド バーにコンボ ボックス コントロールを追加した後、コンボ ボックスのリストに 2 つの項目を追加します。また、コンボ ボックスのリストの行数 (一度に表示される項目数)、幅、および空白の既定値を設定します。

Set myBar = CommandBars("ユーザー設定")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "1 番目の項目", 1
    .AddItem "2 番目の項目", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


AddToSearchFolders メソッド

ScopeFolder オブジェクトを SearchFolders コレクションに追加します。

expression.AddToSearchFolders

expression 必ず指定します。ScopeFolder オブジェクトを表すオブジェクト式を指定します。

解説

SearchFolders コレクションの Add メソッドを使用して ScopeFolder オブジェクトを SearchFolders コレクションに追加することができますが、通常は、追加する ScopeFolder オブジェクトの AddToSearchFolders メソッドを使用する方が簡単です。これは、すべての検索に対して SearchFolders コレクションは 1 つのみだからです。

使用例

次の使用例は、ルートの ScopeFolder オブジェクトを SearchFolders コレクションに追加します。AddToSearchFolders メソッドによる長い使用例については、SearchFolders コレクションを参照してください。

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


ApplyFilter メソッド

差し込み印刷データ ファイルにフィルタを適用し、指定したレコードから指定した条件を満たすレコードのみを抽出します。

expression.ApplyFilter

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、Region フィールドが空白のレコードをすべて削除する新しいフィルタを追加し、作業中の文書に適用します。

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Clear メソッド

指定したコマンド バーのコンボ ボックス コントロール (ドロップダウン リスト ボックスまたはコンボ ボックス) からすべてのリスト項目を削除し、テキスト ボックス (エディット ボックスまたはコンボ ボックス) の内容をクリアします。

メモ このメソッドを組み込みのコマンド バー コントロールに対して実行すると、エラーが発生します。

expression.Clear

expression 必ず指定します。CommandBarComboBox オブジェクトを表すオブジェクト式を指定します。

使用例

次の使用例は、"ユーザー設定" というコマンド バーに含まれるコンボ ボックス コントロールの項目数をチェックします。コンボ ボックスのリストに 2 つ以下の項目しか含まれていない場合、リストの内容をクリアし、リストに新しい項目を 1 つ追加します。さらに、この新しい項目をコンボ ボックスの既定値として表示します。

Set myBar = CommandBars("ユーザー設定")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "1 番目の項目", 1
    .AddItem "2 番目の項目", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="新しい項目", Index:=1
End If


ClearFileList メソッド

Microsoft Office ホスト アプリケーションの既定のファイル リストを含めて、現在のアンサー ウィザードのファイル リストをクリアします。

expression.ClearFileList

expression AnswerWizard オブジェクトを表すオブジェクト式を指定します。

解説

このメソッドを使用して、指定したアプリケーションの現在のファイル リストからすべてのエントリを削除できます。また、ホスト アプリケーションの既定のアンサー ウィザード ファイルをユーザーが使用できないようにすることもできます。カスタムのファイル リストを作成するには、AnswerWizardFiles コレクションの Add メソッドを使用します。

ホスト アプリケーションの既定のアンサー ウィザード ファイル設定を復元するには、ResetFileList メソッドを使用します。

使用例

次の使用例は、アンサー ウィザードでカスタム ファイル リストを受け入れる準備をして、2 つのカスタム アンサー ウィザード ファイルを追加します。まず、ファイル リストをクリアします。次に 2 つのカスタム アンサー ウィザード ファイルを追加し、処理が正常に行われたことを確認するためにファイル数とファイル名をチェックします。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "ファイル " & customAnswerWizard.Files.Item(1) & _
    " と " & customAnswerWizard.Files(2) & _
    " は正常に追加されました。"
End If


Close メソッド

アクティブなモードレスのバルーンを閉じます。このメソッドは、コールバック プロシージャでのみ使用するようにしてください。

expression.Close

expression 必ず指定します。Balloon オブジェクトを表すオブジェクト式を指定します。

使用例

次の使用例は、3 つのプリンタの中から 1 つを選択させるバルーンを作成します。ユーザーがプリンタを選択すると、"ProcessPrinter" というコールバック プロシージャが実行され、バルーンを閉じます。

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "プリンタを選択します"
    .Labels(1).Text = "ネットワーク プリンタ"
    .Labels(2).Text = "ローカル プリンタ"
    .Labels(3).Text = "ローカル カラー プリンタ"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' ネットワーク プリンタに対応したコードを挿入する
    Case -2
        ' ローカル プリンタに対応したコードを挿入する
    Case -3
        ' ローカル カラー プリンタに対応したコードを挿入する
    End Select
    bln.Close
End Sub


Commit メソッド

指定した SignatureSet コレクションのすべての変更をディスクに反映します。Commit メソッドが実行されるまで、変更は SignatureSet コレクションに保存されません。

expression.Commit

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、Word の作業中の文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開いて、この関数を呼び出します。この関数では、選択されたデジタル署名の有効期間が 12 か月以上あるかどうかを調べます。12 か月未満で無効になる場合、証明書は添付されません。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures コレクションに
    '追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    '新しい Signature オブジェクトの有効期限が
    '近づいていないか調べます。次の式は、
    'その Signature オブジェクトの有効期限までの月数を計算します。
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "この証明書は、1 年未満で無効になります。" & vbCrLf & _
        "新しい証明書を使用してください。"

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'SignatureSet コレクションのすべての署名をディスクに反映します。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションはキャンセルされました。"
End Function


Copy メソッド

指定したコマンド バー コントロールを既存のコマンド バーにコピーします。

expression.Copy(Bar, Before)

expression 必ず指定します。CommandBarControl、 CommandBarButton、 CommandBarPopup、 CommandBarComboBox オブジェクトのいずれかを表すオブジェクト式を指定します。

Bar 省略可能です。バリアント型 (Variant) の値を指定します。コピー先のコマンド バーを表す CommandBar オブジェクトを指定します。この引数を省略すると、コントロールは今までと同じコマンド バーにコピーされます。

Before 省略可能です。バリアント型 (Variant) の値を指定します。指定したコマンド バーでのコントロールの新しい位置を表す数字を指定します。新しいコントロールは、この位置にあるコントロールの直前に挿入されます。この引数を省略すると、コントロールは指定したコマンド バーの末尾にコピーされます。

使用例

次の使用例は、"標準 (Standard)" というコマンド バーの先頭にあるコントロールを "ユーザー設定" というコマンド バーの先頭にコピーします。

Set myCustomBar = CommandBars("ユーザー設定")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


CopyFace メソッド

指定したコマンド バーのボタン コントロールのボタン イメージをクリップボードにコピーします。

expression.CopyFace

expression 必ず指定します。CommandBarButton オブジェクトを表すオブジェクト式を指定します。

解説

クリップボードの内容をボタン イメージとして貼り付けるには、PasteFace メソッドを使用します。

使用例

次の使用例は、組み込みの [開く] ボタンを検索し、そのボタン イメージをクリップボードにコピーし、[スペル チェックと文章校正] ボタンに貼り付けます。

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete メソッド

DocumentProperty オブジェクトの Delete メソッド

ユーザー設定のドキュメント プロパティを削除します。

expression.Delete

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

解説

組み込みのドキュメント プロパティは削除できません。

AnswerWizardFiles オブジェクトの Delete メソッド

コレクションから指定したオブジェクトを削除します。

expression.Delete(FileName)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

FileName 必ず指定します。文字列型 (String) の値を指定します。削除するファイル名を指定します。ファイル名は、拡張子を含むフル パスで指定します。

FileDialogFilters オブジェクトの Delete メソッド

ファイルのダイアログ ボックスのフィルタを削除します。

expression.Delete(filter)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

filter 省略可能です。バリアント型 (Variant) の値を指定します。削除するフィルタを指定します。

ODSOFilters オブジェクトの Delete メソッド

ODSOFilters コレクションからフィルタ オブジェクトを削除します。

expression.Delete(Index, DeferUpdate)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。削除するフィルタの数を指定します。

DeferUpdate 省略可能です。ブール型 (Boolean) の値を指定します。

CommandBar、Script、Scripts、および Signature オブジェクトの Delete メソッド

コレクションから指定したオブジェクトを削除します。

expression.Delete

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

解説

Scripts コレクションで Delete メソッドを使用すると、指定した Word 文書、Excel シート、または PowerPoint スライドからすべてのスクリプトが削除されます。スクリプト アンカーはホスト アプリケーションの図形で表されます。このため、MsoScriptAnchor クラスのいずれかのスクリプト アンカーに関連付けられている Shape オブジェクトは、Excel と PowerPoint の Shapes コレクション、および Word の InlineShapes と Shapes コレクションから削除されます。

CommandBarButton、CommandBarComboBox、CommandBarControl、および CommandBarPopup オブジェクトの Delete メソッド

コレクションから指定したオブジェクトを削除します。

expression.Delete(Temporary)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Temporary 省略可能です。バリアント型 (Variant) の値を指定します。True を指定すると、コントロールが現在のセッションでのみ削除され、次のセッションでは再び表示されます。

使用例

CommandBar オブジェクトの場合

次の使用例は、表示されていないユーザー設定のコマンド バーをすべて削除します。

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "削除されたコマンド バーはありません。"
Else
    MsgBox delBars & " ユーザー設定コマンド バーが削除されました。"
End If

DocumentProperty オブジェクトの場合

次の使用例は、ユーザー設定のドキュメント プロパティを削除します。このとき、"ユーザー設定の番号" という名前を持つユーザー設定の DocumentProperty オブジェクトが作成されている必要があります。

ActiveDocument.CustomDocumentProperties("ユーザー設定の番号").Delete


DoAlert メソッド

警告を表示し、クリックされたボタンを示す長整数型 (Long) の値を返します。この警告は、Office アシスタントと通常のメッセージ ボックスのいずれかを選択して表示できます。

expression.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

bstrAlertTitle 必ず指定します。文字列型 (String) の値を指定します。警告のタイトルを指定します。

bstrAlertText 必ず指定します。文字列型 (String) の値を指定します。警告のテキストを指定します。

alb 必ず指定します。MsoAlertButtonType クラスの定数を指定します。警告に表示されるボタンを指定します。

使用できる定数は、次に示す MsoAlertButtonType クラスの定数のいずれかです。
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel 引数 varfSysAlert が False の場合のみ使用。
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc 必ず指定します。MsoAlertIconType クラスの定数を指定します。警告に表示されるアイコンを指定します。

使用できる定数は、次に示す MsoAlertIconType クラスの定数のいずれかです。
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald 必ず指定します。MsoAlertDefaultType クラスの定数を指定します。警告の既定のボタンとして設定するボタンを指定します。引数がボタンの数より大きい場合は、エラーになります。

使用できる定数は、次に示す MsoAlertDefaultType クラスの定数のいずれかです。
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq 必ず指定します。MsoAlertCancelType クラスの定数を指定します。常に msoAlertCancelDefault を指定します。他の定数を指定するとエラーになります。

使用できる定数は、次に示す MsoAlertCancelType クラスの定数のいずれかです。
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert 必ず指定します。ブール型 (Boolean) の値を指定します。True を指定すると、メッセージ ボックスに警告が表示されます。False を指定すると、Office アシスタントを通じて警告が表示されます。

解説

DoAlert メソッドの戻り値は、vbMsgBoxResult 列挙型の値に対応します (たとえば、vbYes、vbNo、または vbCancel)。これらの値のほかに、次の値が返される場合があります。

  • "すべて変更" = 8
  • "再試行" = 10
  • "継続" = 11

使用例

次の使用例は、Office アシスタントを通じて警告を表示し、クリックされたボタンを示すメッセージ ボックスを表示します。アシスタントが使用できない場合、通常のメッセージ ボックスに警告が表示されます。

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "テストです。", _
            "ボタンをクリックしてください。", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "[はい] がクリックされました。"
            Case vbNo: MsgBox "[いいえ] がクリックされました。"
            Case vbCancel: MsgBox "[キャンセル] がクリックされました。"
            Case 8: MsgBox "[すべて変更] がクリックされました。" '[すべて変更] に対する戻り値です。
            Case Else
        End Select
    End With
End Sub


EndWizard メソッド

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのウィンドウを閉じて、ウィザードのセッションの固有 ID を表す変数を解放します。

メモ このメソッドを使用して、StartWizard メソッドで開始されたプロセスを完了します。

expression.EndWizard(WizardID, varfSuccess, Animation)

expression 必ず指定します。Assistant オブジェクトを表すオブジェクト式を指定します。

WizardID 必ず指定します。長整数型 (Long) の値を指定します。Office アシスタント ウィザードのセッションの固有 ID を表す数字を指定します。この引数には、StartWizard メソッドの戻り値を使用します。

varfSuccess 必ず指定します。ブール型 (Boolean) の値を指定します。メソッドを実行したときに、ユーザーがウィザードを完了していると、この引数は True になります。

Animation 省略可能です。バリアント型 (Variant) の値を指定します。Office アシスタント ウィザードのセッションが終了したときに実行される Office アシスタントのアニメーションの種類を指定します。

使用例

次の使用例は、ユーザーが完了した Office アシスタント ウィザードのセッションを終了します。変数 lHelpForWiz には、StartWizard メソッドの戻り値が設定されているとします。

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute メソッド

FileSearch オブジェクトの Execute メソッド

指定したファイルの検索を開始します。長整数型 (Long) の値を返します。ファイルが見つからなかった場合は 0、1 つ以上のファイルが見つかった場合は正の数を返します。

expression.Execute(SortBy, SortOrder, AlwaysAccurate)

expression 必ず指定します。FileSearch オブジェクトを表すオブジェクト式を指定します。

SortBy 省略可能です。MsoSortBy クラスの定数を指定します。取得したファイルを並べ替える方法を指定します。

使用できる定数は、次に示す MsoSortBy クラスの定数のいずれかです。
msoSortByFileName 既定値
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder 省略可能です。MsoSortOrder クラスの定数を指定します。取得したファイルを並べ替える順序を指定します。

使用できる定数は、次に示す MsoSortOrder クラスの定数のいずれかです。
msoSortOrderAscending 既定値
msoSortOrderDescending

AlwaysAccurate 省略可能です。ブール型 (Boolean) の値を指定します。True を指定すると、ファイル一覧が最後に更新されてから追加、変更、または削除されたファイルも検索の対象に含まれます。既定値は True です。

CommandBarButton、CommandBarComboBox、CommandBarControl、CommandBarPopup、および FileDialog オブジェクトの Execute メソッド

コマンド バー オブジェクトの場合、指定したコマント バー コントロールに登録されているプロシージャまたは組み込みのコマンドを実行します。カスタム コントロールの場合は、OnAction プロパティを使用して、実行するプロシージャを指定します。

msoFileDialogOpen 型または msoFileDialogSaveAs 型の FileDialog オブジェクトの場合、Show メソッドが呼び出された直後のユーザーのアクションを実行します。

expression.Execute

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

FileSearch オブジェクトの場合

次の使用例は、[マイ ドキュメント] フォルダの中で、ファイル名の拡張子が ".doc" のファイルをすべて検索し、条件を満たすファイルの名前と保存場所の一覧を表示します。また、検索結果のファイル一覧を、ファイル名の昇順で並べ替えます。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "見つかったファイルは  " & .FoundFiles.Count & _
            "  ファイルです。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "ファイルが見つかりません。"
    End If
End With

CommandBarButton、CommandBarComboBox、CommandBarControl、および CommandBarPopup オブジェクトの場合

次の Excel での使用例は、コマンド バーを作成し、コマンド バーにオート SUM 機能を実行する組み込みのコマンド バー ボタン コントロールを追加します。次に、コマンド バーを表示し、選択したセル範囲を合計します。

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("ユーザー設定")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("標準") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


FindControl メソッド

指定した検索条件を満たす CommandBarControl オブジェクトを返します。

expression.FindControl(Type, Id, Tag, Visible, Recursive)

expression 必ず指定します。CommandBars オブジェクトを表すオブジェクト式を指定します。

Type 省略可能です。MsoControlType クラスの定数を使用します。コントロールの種類を指定します。

使用できる定数は、次に示す MsoControlType クラスのいずれかです。
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id 省略可能です。バリアント型 (Variant) の値を指定します。検索するコントロールの ID (識別子) を指定します。

Tag 省略可能です。バリアント型 (Variant) の値を指定します。検索するコントロールのタグの値を指定します。

Visible 省略可能です。バリアント型 (Variant) の値を指定します。True を指定すると、表示されているコマンド バー コントロールだけが検索の対象となります。この引数を省略すると、既定値の False になります。表示されているコマンド バーには、表示されているすべてのツールバー、および FindControl メソッドが実行されるときに開いているすべてのメニューが含まれます。

Recursive 省略可能です。ブール型 (Boolean) の値を指定します。True を指定すると、コマンド バーとそのポップアップ サブツールバーがすべて検索の対象となります。この引数は、CommandBar オブジェクトにのみ使用できます。既定値は False です。

解説

検索条件を満たす複数のコントロールが CommandBars コレクションに含まれている場合、最初に見つかったコントロールだけが返されます。検索条件を満たすコントロールが 1 つも見つからない場合は、Nothing が返されます。

使用例

次の使用例は、"ユーザー設定" というコマンド バーの先頭のコントロールを検索します。検索されたコントロールがボタンの場合は、FindControl メソッドを使って [標準] ツールバーの [コピー] ボタンを検索し、ボタン イメージをクリップボードにコピーし、検索されたボタンに貼り付けます。

Set oldCtrl = CommandBars("ユーザー設定").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


FindControls メソッド

指定した条件に一致する CommandBarControls コレクションを取得します。

expression.FindControls(Type, Id, Tag, Visible)

expression 必ず指定します。CommandBarControls コレクションを表すオブジェクト式を指定します。

Type 省略可能です。MsoControlType クラスの定数を使用します。コントロールの種類を指定します。

使用できる定数は、次に示す MsoControlType クラスのいずれかです。
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id 省略可能です。バリアント型 (Variant) の値を指定します。検索するコントロールの ID (識別子) を指定します。

Tag 省略可能です。バリアント型 (Variant) の値を指定します。検索するコントロールのタグの値を指定します。

Visible 省略可能です。バリアント型 (Variant) の値を指定します。True を指定すると、表示されているコマンド バー コントロールだけが検索の対象となります。この引数を省略すると、既定値の False になります。

解説

検索条件を満たすコントロールが 1 つも見つからない場合は、Nothing が返されます。

使用例

次の使用例は、FindControls メソッドを使用して、CommandBars コレクションから ID が 18 のメンバーすべてを取得し、検索条件に一致するコントロールの数をメッセージ ボックスに表示します。

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "検索条件を満たすコントロールが " & myControls.Count & _
    " 個見つかりました。"


Help メソッド

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントと組み込みのバルーンを表示します。

expression.Help

expression 必ず指定します。Assistant オブジェクトを表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーが [わからない] チェック ボックスをオンにした場合、組み込みのアシスタント バルーンを表示します。

Set b = Assistant.NewBalloon
With b
    .Heading = "ユーザー情報"
    .Text = "あなたは次のうちどれに当てはまりますか?"
    .CheckBoxes(1).Text = "初心者"
    .CheckBoxes(2).Text = "中級/上級"
    .CheckBoxes(3).Text = "わからない"
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Item メソッド

COMAddIns オブジェクトの Item メソッド

指定した COMAddIns コレクションのメンバーを返します。

expression.Item(Index)

expression 必ず指定します。COMAddIns コレクションを指定します。

Index 必ず指定します。バリアント型 (Variant) の値を指定します。取得する COM アドインの COMAddIns コレクション内での位置を示す序数を指定するか、または指定した COM アドインの ProgID を表す文字列型 (String) の値を指定します。

FileDialogFilters オブジェクトの Item メソッド

指定した FileDialogFilters コレクションのメンバーである FileDialogFilter オブジェクトを返します。

expression.Item(Index)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得する FileDialogFilter オブジェクトのインデックス番号を指定します。

HTMLProjectItems オブジェクトの Item メソッド

Microsoft Script Editor に表示された特定のプロジェクトを表す HTMLProjectItem オブジェクトを返します。

expression.Item(Index)

expression 必ず指定します。HTMLProjectItems コレクションを指定します。

Index 必ず指定します。バリアント型 (Variant) の値を指定します。取得する HTML プロジェクト アイテムの名前またはインデックス番号を指定します。

Scripts オブジェクトの Item メソッド

Scripts コレクションのメンバーを返します。Microsoft Office アプリケーションから取得するスクリプトのインデックス番号か ID を指定します。Scripts コレクション内のスクリプトの格納位置を表す序数値と、スクリプトの名前や ID を表す文字列値のどちらでも指定できるように、Item メソッドではバリアント型 (Variant) の値を使用します。

expression.Item(Index)

expression 必ず指定します。Scripts オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。バリアント型 (Variant) の値を指定します。取得するスクリプトの ID またはインデックス番号を指定します。

解説

Scripts コレクションには、指定したドキュメントのすべてのスクリプトがソース順に (Script オブジェクトがソース ファイル内で出現する順序) 含まれます。スクリプトは、ヘッダーに存在しようと本文中に存在しようとそのドキュメント内の位置とは無関係に、ソース順に保管されます。

Item メソッドで <SCRIPT> タグの ID を使用して、Scripts コレクション内のスクリプトにアクセスできます。<SCRIPT> タグの ID 属性は、Script オブジェクトの Id プロパティと同じです。同一ドキュメント内に重複する ID や複数の ID があり、Item メソッドで Script オブジェクトの Id プロパティを使用してスクリプトにアクセスする場合、Office はその ID と一致する最初のスクリプトを返し、それ以降の同じ ID を持つスクリプトは無視されます。

コレクションに新規に追加されるスクリプト アンカーは、ドキュメントに追加された順に Scripts コレクションの末尾に追加されます。このドキュメントが HTML 形式で保存されて閉じられ、もう一度ホスト アプリケーションで開かれるまで、スクリプト アンカーの順序は変わりません。この手順に従った場合、Scripts コレクションではドキュメントにおけるスクリプト アンカーの出現順序でインデックスが設定されますが、これはアンカーの追加順序とは異なります。このため、スクリプトの ID を確認するには、コレクション内のスクリプトの位置を使用するのではなく、Script オブジェクトの Id プロパティを使用することをお勧めします。

FileDialogSelectedItems オブジェクトの Item メソッド

FileDialog オブジェクトの Show メソッドを使用して表示されたファイルのダイアログ ボックスで選択されたファイルのうち、いずれかのファイルのパスに対応する文字列型 (String) の値を取得します。FileDialogSelectedItems コレクションは、文字列のコレクションです。

expression.Item(Index)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得する文字列のインデックス番号を指定します。


LoadFromFile メソッド

Microsoft Script Editor に表示されているテキストをディスク上の指定したファイルのテキストで更新します。

expression.LoadFromFile(Filename)

expression HTMLProjectItem オブジェクトを指定します。

Filename 必ず指定します。文字列型 (String) の値を指定します。読み込むテキストを含んだテキスト ファイルのフル パスを指定します。

使用例

指定した HTML プロジェクト アイテムが開いているかどうかを調べます。開いている場合、指定したファイルからスクリプトを読み込みます。

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:¥MyScript.txt")
Else
    MsgBox "HTMLProjectItem は開いていません。"
End If


Move メソッド

このトピックの内容は言語によっては適用されない場合があります。

CommandBarButton、CommandBarComboBox、CommandBarControl、および CommandBarPopup オブジェクトの Move メソッド

指定したコマンド バー コントロールを既存のコマンド バーに移動します。

expression.Move(Bar, Before)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Bar 省略可能です。バリアント型 (Variant) の値を指定します。コントロールの移動先のコマンド バーを表す CommandBar オブジェクトを指定します。この引数を省略すると、コントロールはコントロールが現在含まれるコマンド バーの末尾へ移動されます。

Before 省略可能です。バリアント型 (Variant) の値を指定します。コントロールの位置を表す数字を指定します。コントロールは、現在この数字に対応した場所にあるコントロールの前に挿入されます。この引数を省略すると、コントロールは同じコマンド バーに挿入されます。

Assistant オブジェクトの Move メソッド

Office アシスタントを指定した場所に移動します。

expression.Move(xLeft, yTop)

expression 必ず指定します。Assistant オブジェクトを表すオブジェクト式を指定します。

xLeft 必ず指定します。整数型 (Integer) の値を指定します。Office アシスタント ウィンドウの左端の位置をポイント単位で指定します。

yTop 必ず指定します。整数型 (Integer) の値を指定します。Office アシスタント ウィンドウの上端の位置をポイント単位で指定します。

使用例

CommandBarButton、CommandBarComboBox、CommandBarControl、および CommandBarPopup オブジェクトの場合

次の使用例は、ユーザー設定 というコマンド バーの先頭のコンボ ボックス コントロールを、同じコマンド バーの 7 番目のコントロールの前へ移動します。また、タグに "選択ボックス" を設定し、コントロールに低い優先度を割り当てます。優先度の低いコントロールは、コマンド バーのコントロールが 1 行に収まらない場合に、コマンド バーの表示領域から削除されます。

Set allcontrols = CommandBars("ユーザー設定").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "選択ボックス"
             .Priority = 5
         End With
         Exit For
    End If
Next

Assistant オブジェクトの場合

次の使用例は、Office アシスタントを指定した位置に表示し、いくつかのオプションを設定します。

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch メソッド

このトピックの内容は、すべての言語で利用できない可能性があります。

すべての検索条件を既定の設定にリセットします。

expression.NewSearch

expression 必ず指定します。FileSearch オブジェクトを表すオブジェクト式を指定します。

解説

検索条件の設定は、アプリケーションを終了するまで保持されます。このメソッドを使用すると、検索条件を変更するたびに不要な条件を削除する必要がありません。なお、このメソッドを実行しても、LookIn プロパティの値はリセットされません。

使用例

次の使用例は、NewSearch メソッドを使用して検索条件を既定の設定にリセットした後、新しい検索を開始します。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:¥My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox .FoundFiles.Count & _" 個のファイルが見つかりました。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "検索条件を満たすファイルはありません。"
    End If
End With


Open メソッド

指定した HTML プロジェクトや HTML プロジェクト アイテムを Microsoft Script Editor で開きます。表示形式を、次に示す MsoHTMLProjectOpen クラスの定数で指定することもできます。表示形式が指定されない場合、プロジェクト アイテムは既定のビューで開かれます。

expression.Open(OpenKind)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

OpenKind 省略可能です。MsoHTMLProjectOpen クラスの定数を指定します。指定したプロジェクトまたはプロジェクト アイテムの表示形式です。

使用できる定数は、次に示す MsoHTMLProjectOpen クラスの定数のいずれかです。
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

解説

既定のビューは、Open メソッドの実行時に Microsoft Script Editor が開いているかどうかで決定されます。Script Editor が開いていない場合、Open メソッドは Script Editor をソース ビューで起動します。Script Editor が開いている場合、Open メソッドは Script Editor をアクティブにして、スクリプトを現在のビューで表示します。

使用例

次の使用例は、作業中のブックに含まれる HTML プロジェクトをソース ビューで開きます。

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

次の使用例は、作業中のブックに含まれる HTML プロジェクトをテキスト ビューで開きます。

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


PasteFace メソッド

クリップボードの内容を、指定したコマンド バーのボタン コントロールに貼り付けます。

expression.PasteFace

expression 必ず指定します。CommandBarButton オブジェクトを表すオブジェクト式を指定します。

使用例

次の使用例は、組み込みの [開く] ボタンを検索してボタン イメージをクリップボードにコピーした後、[スペル チェックと文章校正] ボタンに貼り付けます。

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument メソッド

Microsoft Office ホスト アプリケーション内の指定した HTML プロジェクトを更新します。

expression.RefreshDocument(Refresh)

expression HTMLProject オブジェクトを表すオブジェクト式を指定します。

Refresh 必ず指定します。ブール型 (Boolean) の値を指定します。True を指定すると、すべての変更が保存されます。False を指定すると、すべての変更が無視されます。

解説

このメソッドを使用すると、Office ホスト アプリケーションの [更新] ツールバーの [更新] ボタンをクリックする操作と同じ結果になります。RefreshDocument メソッドを True に設定してドキュメントを更新すると、Microsoft Script Editor で HTML ソースに行ったすべての変更内容は、Office ホスト アプリケーションに保存されます。RefreshDocument を False に設定すると、HTML ソースに行ったすべての変更内容は無視されます。State メソッドで取得された値は、RefreshDocument メソッドの影響を受けません。RefreshDocument (True) を呼び出す場合、State メソッドが更新オペレーション後に呼び出されると、msoHTMLProjectStateDocumentProjectUnlocked を取得します。

使用例

次の使用例は、ホスト アプリケーション内の作業中のブックに含まれる HTML プロジェクトを更新します。

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject メソッド

Microsoft Script Editor に表示されている HTML プロジェクトを更新します。

expression.RefreshProject

expression HTMLProject オブジェクトを表すオブジェクト式を指定します。

解説

このメソッドは、Microsoft Script Editor の [更新] ツールバー上の [更新] ボタンをクリックする操作に対応します。RefreshDocument に True を設定してドキュメントを更新すると、HTML ソースへのすべての変更が Office ホスト アプリケーションに適用され、Microsoft Script Editor 内の HTML プロジェクトに保存されます。RefreshDocument に False を設定すると、HTML ソースへのすべての変更は無視されます。

使用例

次の使用例は、Microsoft Script Editor に表示されている HTML プロジェクトを更新します。

ActiveWorkbook.HTMLProject.RefreshProject (True)


RefreshScopes メソッド

現在使用可能な ScopeFolder オブジェクトの一覧を更新します。

expression.RefreshScopes

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、[マイ コンピュータ] の C ドライブにある現在使用可能な ScopeFolder オブジェクトをすべて表示します。

Sub TestRefreshScopesMethod()
' スコープ フォルダの一覧に新しいフォルダを追加するとき、
' RefreshScopes メソッドが呼び出される前後の状態を
' 表示します。

    ' フォルダ作成前の一覧を表示します。
    Call ListFolderNames

    ' [マイ コンピュータ] の C ドライブに新しいフォルダを作成します。
    ' そのフォルダが既に存在する場合、エラーが発生します。
    MkDir Path:="C:\Delete_After_Using"

    ' フォルダ作成後の一覧を表示します。
    Call ListFolderNames

    ' フォルダの一覧を更新します。
    Application.FileSearch.RefreshScopes

    ' 新規作成されたフォルダが一覧に追加されています。
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' [マイ コンピュータ] の C ドライブにあるすべてのフォルダの名前を調べ、
    ' その結果を報告します。
    ' .SearchScopes.Item(1) = "マイ コンピュータ"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "C:\ のフォルダ名...." & vbCrLf & strResults

    End With

End Sub


ReleaseFocus メソッド

すべてのコマンド バーからユーザー インターフェイスのフォーカスを解放します。

expression.ReleaseFocus

expression 必ず指定します。CommandBars オブジェクトを表すオブジェクト式を指定します。

使用例

次の使用例は、"ユーザー設定" というコマンド バーに 3 つの空白のボタンを追加し、フォーカスを中央のボタンに設定します。また、すべてのコマンド バーからユーザー インターフェイスのフォーカスを解放します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("ユーザー設定").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' 間隔を設定します。
    Start = Timer   ' 開始時間を指定します。
    Do While Timer < Start + PauseTime
        DoEvents    ' ほかのプロセスが実行できるようにします。
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove メソッド

NewFile オブジェクトの Remove メソッド

[新しい '(ドキュメント)'] 作業ウィンドウから項目を削除します。ブール型 (Boolean) の値を使用します。

expression.Remove(FileName, Section, DisplayName, Action)

expression 必ず指定します。NewFile オブジェクトを表すオブジェクト式を指定します。

FileName 必ず指定します。文字列型 (String) の値を指定します。フィルタ参照の名前を指定します。

Section 省略可能です。バリアント型 (Variant) の値を指定します。ファイル参照が存在する作業ウィンドウのセクションを指定します。使用できる定数は、msoFileNewSection クラスの定数のいずれかです。

DisplayName 省略可能です。バリアント型 (Variant) の値を指定します。ファイル参照の表示テキストを指定します。

Action 省略可能です。バリアント型 (Variant) の値を指定します。ユーザーがその項目をクリックしたときに実行されるアクションを指定します。使用できる定数は、msoFileNewAction クラスの定数のいずれかです。

FileTypes、PropertyTests、および SearchFolders オブジェクトの Remove メソッド

コレクションから指定したオブジェクトを削除します。

expression.Remove(Index)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。削除するプロパティ条件のインデックス番号を指定します。

使用例

FileTypes、PropertyTests、および SearchFolders オブジェクトの場合

次の使用例は、コレクションの先頭のプロパティ条件を削除します。

Application.FileSearch.PropertyTests.Remove(1)

NewFile オブジェクトの場合

次の使用例は、Word の [新しい文書] 作業ウィンドウから指定した項目を削除します。

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("作業ウィンドウ").Visible = True
End Sub


RemoveItem メソッド

指定したコマンド バーのコンボ ボックス コントロールからリスト項目を削除します。

メモ このプロパティをリスト コントロール以外のコントロールに設定すると、エラーが発生します。

expression.RemoveItem(Index)

expression 必ず指定します。CommandBarComboBox オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。リストから削除する項目を指定します。

使用例

次の使用例は、指定したコンボ ボックスに項目が 4 つ以上含まれているかどうかを調べます。4 つ以上の項目がある場合、2 番目の項目を削除し、スタイルを変更し、新しい値を設定します。また、リストの変更内容が反映されるように、親オブジェクト (CommandBarControl オブジェクト) の Tag プロパティを設定します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("ユーザー設定").Controls(1)
    .AddItem "株価を表示", 1
    .AddItem "チャートを表示", 2
    .AddItem "業績を表示", 3
    .AddItem "トピックを表示", 4
    .Caption = "株価データ"
    .DescriptionText = "株価データを表示する"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "新しい既定値"
         Set ctrl = .Parent
    End If
End With


Reset メソッド

指定した組み込みのコマンド バーに含まれるコントロールの構成を、既定の状態に戻します。または、指定したコマンド バー コントロールの機能とイメージを既定の状態に戻します。

expression.Reset

expression 必ず指定します。CommandBar、 CommandBarControl、 CommandBarButton、 CommandBarPopup、 CommandBarComboBox オブジェクトのいずれかを表すオブジェクト式を指定します。

解説

組み込みのコントロールをリセットすると、コントロールの本来の機能がよみがえり、コントロールのプロパティも元の設定に戻ります。組み込みのコマンド バーをリセットすると、ユーザー設定のコントロールが削除され、組み込みのコントロールが再び追加されます。

使用例

次の使用例は、user の値を使用して、コマンド バーをユーザーのレベルに合わせて変更します。user が "レベル 1" の場合、"ユーザー設定" というコマンド バーを表示します。user が "レベル 1" 以外の値である場合、組み込みのコマンド バー [Visual Basic] を既定の状態にリセットし、"ユーザー設定" というコマンド バーを選択できない状態にします。

Set myBar = CommandBars("ユーザー設定")
If user = "レベル 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


ResetFileList メソッド

現在のアンサー ウィザードのファイル リストを Microsoft Office ホスト アプリケーションの既定のファイル リストに戻します。

expression.ResetFileList

expression AnswerWizard オブジェクトを表すオブジェクト式を指定します。

解説

現在のアンサー ウィザードのファイル リストにあるすべてのエントリをホスト アプリケーションの Windows レジストリ内のリストに戻すには、このメソッドを使用します。ファイル名を適切なレジストリ キーに追加して、ユーザー設定の既定ファイル リストをレジストリ内に設定することができます。

使用例

次の例では、アンサー ウィザードのファイル リストを既定に戻し、ファイル数とファイル名をメッセージ ボックスに表示します。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "このアンサー ウィザードで利用できるファイル数は " & customAnswerWizard.Files.Count & _
    "、ファイル名は以下のとおりです。" & _
    Chr(13) & strFileList


ResetTips メソッド

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのバルーンに表示されるアプリケーションのヒントをリセットします。

expression.ResetTips

expression 必ず指定します。Assistant オブジェクトを表すオブジェクト式を指定します。

解説

ResetTips メソッドは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [ヒントのリセット] ボタンに対応しています。

使用例

次の使用例は、アプリケーションのヒントをリセットした後、Office アシスタントを表示します。また、確認のバルーンを表示して、ヒントがリセットされたことをユーザーに知らせます。

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs メソッド

指定した HTML プロジェクト アイテムを新しいファイル名で保存します。

expression.SaveCopyAs(Filename)

expression HTMLProjectItem オブジェクトを指定します。

Filename 必ず指定します。文字列型 (String) の値を指定します。HTML プロジェクト アイテムを保存するファイルのフル パスを指定します。

使用例

次の使用例は、現在の HTML プロジェクト アイテムに含まれるテキストのコピーを NewScript.txt ファイルに保存します。

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:¥NewScript.txt")


SetAvoidRectangle メソッド

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのバルーンが、画面の特定の領域に表示されないようにします。

expression.SetAvoidRectangle(Left, Top, Right, Bottom)

expression 必ず指定します。Assistant オブジェクトを表すオブジェクト式を指定します。

Left、 Top、 Right、 Bottom 必ず指定します。長整数型 (Long) の値を指定します。画面を基準にして、Office アシスタントのバルーンが表示されないようにする領域の座標 (ピクセル単位) を指定します。

解説

このプロパティは、Office アシスタントのバルーンが、カスタム ダイアログ ボックスやウィザードと重ならないようにするために使用します。

使用例

次の使用例は、変数 myBalloon で表される Office アシスタントのバルーンが、指定した座標 (ピクセル) で示された画面の領域に表示されないようにします。

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "次の座標で示される画面領域には表示されません。: " & _
        "300, 250, 700, 500."
    .Show
End With


SetFocus メソッド

指定したコマンド バー コントロールにキーボードのフォーカスを移動します。コントロールが選択できない場合、または現在の状態では参照できない場合、このメソッドはエラーになります。

解説

このメソッドを使用すると、コントロールは立体的に強調表示されるため、フォーカスが設定されているコントロールを識別しやすくなります。矢印キーを押すと、キーボードのみをコントロール間を移動するときと同様に、ツールバー内のコントロールを移動することができます。

expression.SetFocus

expression 必ず指定します。CommandBarControl、 CommandBarButton、 CommandBarPopup、 CommandBarComboBox オブジェクトのいずれかを返すオブジェクト式を指定します。

使用例

次の使用例は、"ユーザー設定" というコマンド バーを作成し、ComboBox コントロールと Button コントロールを追加します。次に、SetFocus メソッドを使って ComboBox コントロールにキーボードのフォーカスを設定します。

Set focusBar = CommandBars.Add(Name:="ユーザー設定")
With CommandBars("ユーザー設定")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("ユーザー設定").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "1 番目の項目", 1
    .AddItem "2 番目の項目", 2
End With
Set testButton = CommandBars("ユーザー設定").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' コンボ ボックスにキーボードのフォーカスを設定します。
testComboBox.SetFocus


SetSortOrder メソッド

差し込み印刷のデータの並べ替え順序を設定します。

expression.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

SortField1 必ず指定します。文字列型 (String) の値を指定します。差し込み印刷のデータを並べ替える最初のフィールドを指定します。

SortAscending1 省略可能です。ブール型 (Boolean) の値を指定します。True (既定値) を指定すると、SortField1 で昇順の並べ替えを実行します。False を指定すると、降順の並べ替えを実行します。

SortField2 省略可能です。文字列型 (String) の値を指定します。差し込み印刷のデータを並べ替える 2 番目のフィールドを指定します。既定値は空白文字列です。

SortAscending2 省略可能です。ブール型 (Boolean) の値を指定します。True (既定値) を指定すると、SortField2 で昇順の並べ替えを実行します。False を指定すると、降順の並べ替えを実行します。

SortField3 省略可能です。文字列型 (String) の値を指定します。差し込み印刷のデータを並べ替える 3 番目のフィールドを指定します。既定値は空白文字列です。

SortAscending3 省略可能です。ブール型 (Boolean) の値を指定します。True (既定値) を指定すると、SortField3 で昇順の並べ替えを実行します。False を指定すると、降順の並べ替えを実行します。

使用例

次の使用例は、データ ファイルをまず郵便番号の降順に並べ替え、次に姓と名前の昇順に並べ替えます。

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Show メソッド

Balloon オブジェクトの Show メソッド

指定した Balloon オブジェクトを表示します。ユーザーがクリックしたボタンまたはラベルを表す MsoBalloonButtonType クラスの定数を返します。値の取得のみ可能です。

使用できる定数は、次に示す MsoBalloonButtonType クラスの定数のいずれかです。
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expression.Show

expression 必ず指定します。Balloon オブジェクトを表すオブジェクト式を指定します。

FileDialog オブジェクトの Show メソッド

ファイルのダイアログ ボックスを表示し、アクション ボタン (-1) とキャンセル ボタン (0) のどちらがクリックされたかを示す長整数型 (Long) の値を返します。Show メソッドを呼び出すと、ファイルのダイアログ ボックスが閉じられるまで、コードの実行は中断されます。[名前を付けて保存] および [ファイルを開く] ダイアログ ボックスでは、Show メソッドの直後に Execute メソッドを使用して、ユーザーのアクションを実行します。

expression.Show

expression 必ず指定します。FileDialog オブジェクトを表すオブジェクト式を指定します。

使用例

Balloon オブジェクトの場合

次の使用例は、印刷の向き ([縦] または [横]) を選択するための balloon label を 2 つ含むバルーンを作成します。また、Show メソッドの戻り値を Select Case ステートメントで使用して、ユーザーが選択した項目を判断しています。

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "印刷の向きを選択してください。"
    .Labels(1).Text = "縦"
    .Labels(2).Text = "横"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' 印刷の向きを [縦] に設定するコードを挿入します。
    Case 2
        ' 印刷の向きを [横] に設定するコードを挿入します。
End Select

次の使用例は、[はい]、[いいえ]、および [キャンセル] の 3 つのコマンド ボタンを含むバルーンを作成します。また、Show メソッドを Select Case ステートメントで使用して、ユーザーがクリックしたボタンに対応する戻り値を判断しています。

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "印刷の向きを " & _
    "[横] に設定しますか?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' ユーザーが [キャンセル] を選択した場合。
        returnValue = MsgBox("操作はキャンセルされました", _
        vbOKOnly, "プリンタのメッセージ")
    Case -3	' ユーザーが [はい] を選択した場合。
        returnValue = MsgBox("印刷の向きが  " & _
        "[横] に設定されました", vbOKOnly, "プリンタのメッセージ")
    Case -4	' ユーザーが [いいえ] を選択た場合。
        returnValue = MsgBox("印刷の向きは " & _
        "リセットされません。", vbOKOnly, "プリンタのメッセージ")
End Select

FileDialog オブジェクトの場合

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックスを表示し、選択された各ファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合。
    If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを含む文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "パス :  " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックした場合。
    Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


ShowPopup メソッド

指定したコマンド バーを、指定した座標またはマウス ポインタの現在の座標に、ショートカット メニューとして表示します。

メモ コマンド バーの Position プロパティに msoBarPopup が設定されていない場合、エラーが発生します。

expression.ShowPopup(x, y)

expression 必ず指定します。CommandBar オブジェクトを表すオブジェクト式を指定します。

x 省略可能です。バリアント型 (Variant) の値を指定します。ショートカット メニューを表示する位置の x 座標を指定します。この引数を省略すると、マウス ポインタの現在の x 座標が使用されます。

y 省略可能です。バリアント型 (Variant) の値を指定します。ショートカット メニューを表示する位置の y 座標を指定します。この引数を省略すると、マウス ポインタの現在の y 座標が使用されます。

使用例

次の使用例は、2 つのコントロールが含まれるショートカット メニューを作成します。ShowPopup メソッドは、ショートカット メニューを表示するために使用します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard メソッド

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントを起動して、セッションを識別する長整数型 (Long) の値を取得します。このメソッドは、ユーザー設定のウィザードで Office アシスタントを実行する場合のみに使用してください。

メモ StartWizard メソッドで取得される値は、ActivateWizard メソッドと EndWizard メソッドで使用されます。

expression.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expression 必ず指定します。Assistant オブジェクトを表すオブジェクト式を指定します。

On 必ず指定します。ブール型 (Boolean) の値を使用します。Office 決定バルーンを表示するには、True を指定します。このバルーンには、現在使用中のユーザー設定のウィザードに、ヘルプを表示するかどうかを確認するメッセージが表示されます。この引数として True を指定した場合、Office アシスタントの表示に Visible プロパティを使用する必要はありません。

Callback 必ず指定します。文字列型 (String) の値を使用します。Office 決定バルーンおよび分岐バルーンから実行するコールバック プロシージャの名前を指定します。この分岐バルーンによって、ユーザーは使用するヘルプをウィザード用に用意されたユーザー設定のヘルプと標準の Office ヘルプから選択することができます。

PrivateX 必ず指定します。長整数型 (Long) の値を使用します。コールバック プロシージャを開始したバルーンを識別する番号を指定します。

Animation 省略可能です。バリアント型 (Variant) の値を使用します。このメソッドが使用されたときに Office アシスタントが実行するアニメーションを指定します。既定値は、msoAnimationGetWizardy です。

CustomTeaser 省略可能です。バリアント型 (Variant) の値を使用します。Office 決定バルーンを表示するには、False を指定します。

Top, Left, Bottom, Right 省略可能です。バリアント型 (Variant) の値を使用します。ユーザー設定ウィザード フォームの角の位置を、ポイント単位で画面に相対で指定します。Office アシスタントは、このフォームの領域外に表示されます。

解説

標準のモードレスなバルーンで使用されるコールバック プロシージャと異なり、Office アシスタント ウィザードのセッションのバルーンで呼ばれるコールバック プロシージャでは、MsoWizardMsgType クラスの定数、および StartWizard メソッドの引数 PrivateX で指定される Office アシスタントのバルーン パネルの固有 ID の 2 つの引数だけを指定します。

ユーザーがバルーンの左ボタンをクリックすると、定数 msoWizardMsgShowHelp がコールバック プロシージャの最初の引数として渡されます。ユーザーがバルーンの右ボタンをクリックすると、定数 msoWizardLocalStateOff がコールバック プロシージャの最初の引数として渡されます。その他の MsoWizardMsgType クラスの定数は、引数 Act に msoWizardActResume または msoWizardActSuspend を指定して ActivateWizard メソッドを呼び出すことで渡されます。msoWizardMsgShowHelp が渡された場合、コールバック プロシージャは、ユーザー設定のウィザードの作業中のバルーン パネルに対して適切なバルーンを表示します。msoWizardLocalStateOff が渡された場合、コールバック プロシージャは、表示されているバルーンを非表示にします。

使用例

次の使用例は、既存のユーザー設定のウィザードに追加の説明を表示するプロセスの一部として、Office アシスタントを開始します。ヘルプが必要かどうかを確認する標準のバルーンに対して、ユーザーがヘルプを表示するためのオプションをクリックした場合、コールバック プロシージャを実行します。変数 lHelpForWiz には、長整数型 (Long) の StartWizard メソッドの戻り値が設定されているとします。

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Update メソッド

Windows レジストリに格納されたアドインの一覧から COMAddIns コレクションの内容を更新します。

expression.Update

expression COMAddIns コレクションを指定します。

解説

Microsoft Office アプリケーションで COM アドインを使用するには、対応する Component Category ID を持つ COM コンポーネントとして、あらかじめそのアドインを Windows レジストリに登録しなければなりません。

使用例

次の使用例は、Windows レジストリに格納されたアドインの一覧から COMAddIns コレクションの内容を更新します。

Application.COMAddIns.Update


ActionControl プロパティ

OnAction プロパティに実行中のプロシージャが設定されている CommandBarControl オブジェクトを取得します。実行中のプロシージャがコマンド バー コントロールによって開始されていない場合、このプロパティの戻り値は Nothing になります。値の取得のみ可能です。

使用例

次の使用例は、3 つのボタンを含む "ユーザー設定" というコマンド バーを作成し、ActionControl プロパティと Tag プロパティを使って最後にクリックしたコマンド バー ボタンを識別します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "右向き矢印"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "上向き矢印"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "下向き矢印"
    .OnAction = "whichButton"
End With
myBar.Visible = True

OnAction メソッドによって指定した whichButton サブルーチンを実行し、最後にクリックしたコマンド バー ボタンを識別します。

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "右向き矢印"
        MsgBox ("[右向き矢印] ボタンがクリックされました。")
    Case "上向き矢印"
        MsgBox ("[上向き矢印] ボタンがクリックされました。")
    Case "下向き矢印"
        MsgBox ("[下向き矢印] ボタンがクリックされました。")
End Select
End Sub


ActiveMenuBar プロパティ

コンテナ アプリケーションでアクティブになっているメニュー バーを表す CommandBar オブジェクトを取得します。値の取得のみ可能です。

使用例

次の使用例は、アクティブなメニュー バーの最後に "ユーザー設定" という一時的なポップアップ コントロールを追加します。さらに、このコントロールで表示されるコマンド バーに "インポート" というボタン コントロールを追加します。

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "ユーザー設定"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "インポート"
    .TooltipText = "インポート"
    .Style = msoButtonCaption
End With


AdaptiveMenu プロパティ

True を設定すると、個人用メニューが有効になります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、開いている Microsoft Office アプリケーションに含まれる [ファイル] メニューの AdaptiveMenu プロパティに False を設定します。

CommandBars("File").AdaptiveMenu = False


AdaptiveMenus プロパティ

True を設定すると、インテリ メニューが使用できるようになります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例では、ユーザー設定のコマンド バーとコントロールを含む Microsoft Office のすべてのコマンド バーに対するオプションを 3 つ設定します。

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


AllowMultiSelect プロパティ

True を設定すると、ユーザーは、ダイアログ ボックスから複数のファイルを選択することができます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

expression.AllowMultiSelect

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

解説

このプロパティは、[参照] (フォルダ参照) または [名前を付けて保存] ダイアログ ボックスには何も実行しません。これらのダイアログ ボックスでは複数のファイルを選択することはありません。

使用例

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックス (ファイル参照) を表示し、選択された各ファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        '複数のファイルを選択できるように設定します。
        .AllowMultiSelect = True

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


Animation プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのアニメーション動作を設定します。このプロパティが Assistant オブジェクトに適用され、アシスタントが指定のアニメーションをサポートしている場合、アシスタントが画面に表示されて使用可能になっていれば、アシスタントのアニメーションは即座に実行されます。このプロパティが Balloon オブジェクトに適用される場合、バルーンが表示されているときのみアシスタントのアニメーションが実行されます。値の取得および設定が可能です。MsoAnimationType クラスの定数を使用します。

使用できる定数は、次に示す MsoAnimationType クラスのいずれかです。
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

解説

"クリッパー" が既定のアシスタントで、msoAnimationIdle がアシスタントの既定のアニメーションの種類です。

選択したアシスタントによっては、Animation プロパティを設定しても、あまり目立った動きがない場合があります。ただし、上に示した MsoAnimationType クラスの定数は、すべてのアシスタントに対して有効です。また、異なる定数を設定しても同じアニメーションが実行される場合があります。

次の MsoAnimationType クラスの定数は、アシスタントを閉じるか、Animation プロパティを別のアニメーションでリセットしない限り、特定の動作を繰り返し行うアニメーションを表します。

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

使用例

次の使用例は、Office アシスタントの表示位置を指定し、いくつかのオプションを設定した後、Office アシスタントを画面に表示します。

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application プロパティ

指定したオブジェクトのコンテナ アプリケーションを表す Application オブジェクトを取得します。このプロパティをオートメーション オブジェクトと組み合わせて使用すると、そのオブジェクトのコンテナ アプリケーションを取得できます。

expression.Application

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、標準 というコマンド バーを作成したときのアプリケーションの名前を取得し、メッセージ ボックスに結果を表示します。

Set Appobj = CommandBars("標準").Application
MsgBox Appobj


AssistWithAlerts プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントが表示されている場合、アシスタントのバルーンにアプリケーションのエラー メッセージが表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

AssistWithAlerts プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [Office アシスタントの使用] の [エラー メッセージを表示する] チェック ボックスに対応しています。

このプロパティが False の場合、アプリケーションのエラー メッセージは、Office アシスタントではなく、メッセージ ボックスに表示されます。

使用例

次の使用例は、アプリケーションのエラーが発生するたびに、Office アシスタントのバルーンにエラー メッセージを表示します。

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、ユーザーがヘルプを表示しようと F1 キーを押すたびに、Office アシスタントが表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

AssistWithHelp プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [アシスタントの使用] の F1 キーでアシスタントを表示する] チェック ボックスに対応しています。

このプロパティが False の場合、Office アシスタントの代わりに [トピックの検索] ダイアログ ボックスが表示されます。

使用例

次の使用例は、ユーザーがヘルプを表示しようと F1 キーを押すたびに、Office アシスタントを表示します。

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントのヘルプがウィザード形式で表示されるようになります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

AssistWithWizards プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [Office アシスタントの使用] の [ウィザードのヘルプを表示する] チェック ボックスに対応しています。

使用例

次の使用例は、Office アシスタントのヘルプがウィザード形式で表示されるように設定します。

Assistant.AssistWithWizards = True


AttachCertificate プロパティ

True を設定すると、指定した Signature オブジェクトに対応するデジタル署名が文書に添付されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

expression.AttachCertificate

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、Word の作業中の文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開いて、この関数を呼び出します。この関数では、選択されたデジタル署名の有効期間が 12 か月以上あるか調べます。12 か月未満で無効になる場合、証明書は添付されません。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    '新しい Signature オブジェクトの有効期限が
    '近づいていないか調べます。次の式は、
    'その Signature オブジェクトの有効期限までの月数を計算します。
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "この証明書は、1 年未満で無効になります。" & vbCrLf & _
        "新しい証明書を使用してください。"

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'SignatureSet コレクションのすべての署名をディスクに反映します。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションはキャンセルされました。"
End Function


BalloonError プロパティ

最後に記録されたバルーン エラーを示す値を取得します。値の取得のみ可能です。MsoBalloonErrorType クラスの定数を使用します。

使用できる定数は、次に示す MsoBalloonErrorType クラスのいずれかです。
msoBalloonErrorBadCharacter CR または LF 以外の、32 より少ない ASCII 制御文字がバルーンに含まれています。
msoBalloonErrorBadPictureRef 存在しない画像ファイル、または有効な .BMP ファイルまたは .WMF ファイルでないために、表示できない画像ファイルがバルーンに含まれています。
msoBalloonErrorBadReference バルーンには、認識できない参照、またはサポートされていない参照が含まれています。
msoBalloonErrorButtonlessModal 表示しようとしたバルーンはモーダルですが、ボタンが含まれていません。閉じることができないため、バルーンは表示されません。
msoBalloonErrorButtonModeless 表示しようとしたバルーンはモードレスで、ボタンが含まれており、Callback プロパティにプロシージャが割り当てられていません。モードレスなバルーンにはコールバック プロシージャが必要であるため、バルーンは表示されません。
msoBalloonErrorCharNotTopmostForModal アクティブでないアプリケーションによってモーダルなバルーンが要求されました。バルーンを表示できるのは、アクティブな (最前面に表示される) アプリケーションに対してのみです。
msoBalloonErrorCOMFailure COM エラーのため、バルーンを表示できませんでした。
msoBalloonErrorNone エラーは発生しませんでした。
msoBalloonErrorOther 別のモーダルなバルーンが既にアクティブであるなど、別のエラーが発生したため、バルーンは表示されません。
msoBalloonErrorOutOfMemory メモリ不足のため、バルーンは表示されません。
msoBalloonErrorTooBig バルーンが大きすぎるため、画面に表示できません。
msoBalloonErrorTooManyControls バルーンに 21 個以上のコントロール (チェック ボックスまたはラベル) が含まれています。

使用例

次の使用例は、エラーを発生させるバルーンを作成します。このエラーの原因は、バルーンを閉じる方法がないことです。ボタンの種類として msoButtonSetNone が設定され、既定のバルーン モードが msoModeModal であるため、結果として、ボタンのないモーダルなバルーンが作成されます。ボタンのないモーダルなバルーンを閉じる手段がないことに注意してください。

With Application.Assistant
With .NewBalloon
    .Heading = "これは表示されません。"
    .Text = "ここにバルーンがあるとします。"
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "バルーンを閉じるためのボタンが必要です。"
End If
End With


BalloonType プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントで使用するバルーンの種類を設定します。Balloon オブジェクトの作成時には、このプロパティの初期設定として msoBalloonTypeButtons が使用されます。値の取得および設定が可能です。MsoBalloonType クラスの定数を使用します。

使用できる定数は、次に示す MsoBalloonType クラスのいずれかです。
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

使用例

次の使用例は、プリンタの選択方法を説明するバルーンを作成します。このバルーンはモードレスなので、ユーザーはバルーンの指示を参照しながら実際の作業を進めることができます。

Set bln = Assistant.NewBalloon
With bln
    .Heading = "プリンタを選択するには"
    .Text = "プリンタを選択したら [OK] をクリックしてください。"
    .Labels(1).Text = "[ファイル] メニューの [印刷] をクリックします。"
    .Labels(2).Text = "[設定] をクリックします。"
    .Labels(3).Text = "プリンタ名を選択します。"
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


BeginGroup プロパティ

True を設定すると、指定したコマンド バー コントロールが、コマンド バー コントロールの新しいグループの始まりになります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、アクティブなメニュー バーの最後のコントロールを、新しいグループの始まりに設定します。

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


BuiltIn プロパティ

指定したコマンド バーまたはコマンド バー コントロールが、コンテナ アプリケーションの組み込みのコマンド バーまたはコントロールである場合、このプロパティの値は True です。ユーザー設定のコマンド バーまたはコントロールの場合、あるいは組み込みのコントロールに OnAction プロパティが設定されている場合、このプロパティの値は False です。値の取得のみ可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、表示されていないユーザー設定のコマンド バーをすべて削除します。

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "削除されたコマンド バーはありません。"
Else
    MsgBox deletedBars & " 個のコマンド バーが削除されました。"
End If


BuiltInFace プロパティ

True を設定すると、指定したコマンド バーのボタン コントロールが元の組み込みのボタン イメージで表示されます。このプロパティに設定できるのは True だけで、変更したボタン イメージを組み込みの状態にリセットするときに使用します。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、"ユーザー設定" というコマンド バーの先頭のコントロールのイメージが、組み込みのボタン イメージかどうかをチェックします。組み込みのイメージである場合、そのボタン イメージをクリップボードにコピーします。

Set myControl = CommandBars("ユーザー設定").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのバルーンの下部に表示されるボタンの種類を設定します。Balloon オブジェクトの作成時には、このプロパティの初期設定として msoButtonSetOK が使用されます。値の取得および設定が可能です。MsoButtonSetType クラスの定数を使用します。

使用できる定数は、次に示す MsoButtonSetType クラスのいずれかです。
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

使用例

次の使用例は、見出し、テキスト、3 つの地域オプション、および [OK] と [キャンセル] の 2 つのコマンド ボタンを含むバルーンを作成し、それを画面に表示します。

With Assistant.NewBalloon
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


ButtonName プロパティ

ファイルのダイアログ ボックスで、アクション ボタンに表示されるテキストを表す文字列型 (String) の値を設定します。既定では、ファイルのダイアログ ボックスの種類に応じた標準テキストが設定されています。たとえば、[ファイルを開く] ダイアログ ボックスでは、既定値の"開く" に設定されています。値の取得および設定が可能です。

expression.ButtonName

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックスを表示し、 選択された各ファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        'アクション ボタンのテキストを変更します。
        .ButtonName = "アーカイブ"

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


Callback プロパティ

モードレスなバルーンが表示されるたびに実行されるプロシージャの名前を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

Callback プロパティで指定するプロシージャでは、Callback プロパティを使用する対象に応じて 2 つまたは 3 つの引数を使用する必要があります。ウィザードに対して Callback プロパティを使用する場合は、ユーザーがクリックしたボタンに対応する MsoBalloonButtonType クラスの定数を表す長整数型 (Long) の値、およびバルーンの固有 ID を表す長整数型 (Long) の値の 2 つの引数を指定する必要があります。モードレスなバルーンに対して Callback プロパティを使用する場合は、プロシージャを呼び出した Balloon オブジェクト、ユーザーがクリックしたボタンに対応する MsoBalloonButtonType クラスの定数を表す長整数型 (Long) の値、およびプロシージャを呼び出したバルーンの固有 ID を表す長整数型 (Long) の値の 3 つの引数を指定する必要があります。バルーンの固有 ID については、バルーンの Private プロパティも参照してください。

コールバック プロシージャでは、Close メソッドを使って Balloon オブジェクトを閉じておく必要があります。この操作を行わないと、モードレスなバルーンは表示されたままとなります。

Callback プロパティに別のクラス モジュールに格納されているプロシージャを指定する場合は、"Sheet1.MyCallback" などのように、プロパティに割り当てる値にモジュール名を含める必要があります。

使用例

次の使用例は、3 つのプリンタの中から 1 つを選択させるバルーンを作成します。ユーザーがプリンタを選択すると、"ProcessPrinter" というコールバック プロシージャが実行され、バルーンを閉じます。

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "プリンタを選択するには"
    .Labels(1).Text = "ネットワーク プリンタ"
    .Labels(2).Text = "ローカル プリンタ"
    .Labels(3).Text = "ローカル カラー プリンタ"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' プリンタに対応したコードを挿入する
    Case -2
        ' プリンタに対応したコードを挿入する
    Case -3
        ' プリンタに対応したコードを挿入する
    End Select
    bln.Close
End Sub


Caption プロパティ

指定したコマンド バー コントロールのラベル テキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

メモ コントロールのラベルは既定のボタン名としても表示されます。

使用例

次の使用例は、[スペル チェック] ボタンのイメージを持つコマンド バー コントロールを、ユーザー設定のコマンド バーに追加します。また、このボタンのラベルを "スペル チェック" に設定します。

Set myBar = CommandBars.Add(Name:="ユーザー設定", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "スペル チェックを開始します。"
    .Caption = "スペル チェック"
End With


Checkboxes プロパティ

特定のバルーンに含まれるすべてのチェック ボックスを表す BalloonCheckboxes コレクションを取得します。値の取得のみ可能です。

コレクションのメンバーを取得する方法については、「コレクションからオブジェクトを取得する」を参照してください。

使用例

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含むバルーンを作成します。ユーザーがチェック ボックスをオンにし、[OK] をクリックすると、適切なプロシージャが実行されます。

With Assistant.NewBalloon
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' 地域のデータを印刷するコードを記述します。
                dataPrinted = dataPrinted + 1
                MsgBox "地域 " & i & " のデータを印刷しました。"
            End If
        Next
        If dataPrinted = 0 Then MsgBox "地域のデータは印刷されませんでした。"
    End If
End With


Checked プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントのバルーンの、指定したチェック ボックスがオンになります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含むバルーンを作成します。ユーザーがチェック ボックスをオンにし、[OK] をクリックすると、適切なプロシージャが実行されます。

With Assistant.NewBalloon
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。."
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' 地域のデータを印刷するコードを記述します。
                dataPrinted = dataPrinted + 1
                MsgBox "地域 " & i & " のデータを印刷しました。
            End If
        Next
        If dataPrinted = 0 Then MsgBox "地域のデータは印刷されませんでした。"
    End If
End With


Column プロパティ

フィルタで使用する差し込み印刷データ ソースのフィールド名を設定します。文字列型 (String) の値を使用します。値の取得および設定が可能です。

expression.Column

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、既存フィルタを変更して、差し込み印刷のすべてのレコードから Region フィールドが "WA" でないレコードを削除します。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "OR" Then .Conjunction = "AND"
                End If
            End With
        Next intItem
    End With
End Sub


Columns プロパティ

データ ソースのフィールドを表す ODSOColumns オブジェクトを取得します。

expression.Columns

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、作業中の文書に結合されているデータ ソースのフィールド名を表示します。

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "フィールド名 :  " & .Item(intCount).Name
        Next
    End With
End Sub


CommandBar プロパティ

指定したポップアップ コントロールで表示されたメニューを表す CommandBar オブジェクトを取得します。値の取得のみ可能です。

使用例

次の使用例は、fourthLevel に [図形描画] ツールバーの 1 番目のコントロールの 4 番目のアイテムを設定します。

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


CommandBars プロパティ

CommandBars コレクションを取得します。

expression.CommandBars

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、Word の MsoEnvelope オブジェクトから CommandBars コレクションを取得します。

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


CompareTo プロパティ

クエリのフィルタ条件で比較するテキストを設定します。文字列型 (String) の値を使用します。値の取得および設定が可能です。

expression.CompareTo

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、既存フィルタを変更して、差し込み印刷のすべてのレコードから Region フィールドが "WA" でないレコードを削除します。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "OR" Then .Conjunction = "AND"
                End If
            End With
        Next intItem
    End With
End Sub


Comparison プロパティ

Column プロパティと CompareTo プロパティを比較する方法を設定します。使用できる定数は、MsoFilterComparison クラスの定数のいずれかです。値の取得および設定が可能です。

使用できる定数は、次に示す MsoFilterComparison クラスの定数のいずれかです。
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expression.Comparison

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、既存フィルタを変更して、差し込み印刷のすべてのレコードから Region フィールドが "WA" でないレコードを削除します。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Condition プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

指定した検索条件の条件を取得します。値の取得のみ可能です。MsoCondition クラスの定数を使用します。

使用できる定数は、次に示す MsoCondition クラスのいずれかです。
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

使用例

次の使用例は、検索条件の先頭のプロパティの "条件" を取得します。

With Application.FileSearch.PropertyTests(1)
    MsgBox "条件 : " & .Condition
End With


Conjunction プロパティ

ODSOFilters オブジェクトでのフィルタ条件相互の関連性を設定します。使用できる定数は、MsoFilterConjunction クラスの定数のいずれかです。値の取得および設定が可能です。

使用できる定数は、次に示す MsoFilterConjunction クラスの定数のいずれかです。
msoFilterConjunctionAnd
msoFilterConjunctionOr

expression.Conjunction

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、既存フィルタを変更して、差し込み印刷のすべてのレコードから Region フィールドが "WA" でないレコードを削除します。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "OR" Then .Conjunction = "AND"
                End If
            End With
        Next intItem
    End With
End Sub


Connect プロパティ

指定した COMAddIn オブジェクトの接続状態を設定します。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

アドインがアクティブな場合、Connect プロパティの値は True です。アドインがアクティブでない場合は、False です。アクティブなアドインは、登録済みで接続されています。アクティブでないアドインは、登録済みですが現在は接続されていません。

使用例

次の使用例は、COM アドイン 1 が登録済みで、現在接続されているかどうかを示すメッセージ ボックスを表示します。

If Application.COMAddIns(1).Connect Then
    MsgBox "アドインは接続されています。"
Else
    MsgBox "アドインは接続されていません。"
End If


Connector プロパティ

同じ種類の 2 つのプロパティ条件の値間の結合子を取得します。既定値は msoConnectorAnd です。値の取得のみ可能です。MsoConnector クラスの定数を使用します。

使用できる定数は、次に示す MsoConnector クラスのいずれかです。
msoConnectorAnd
msoConnectorOr

解説

結合子を使用して、同じ種類の 2 つの検索条件のうち、両方に一致するファイルを検索する (msoConnectorAnd) か、いずれか一方の条件に一致するファイルを検索する (msoConnectorOr) かを指定することができます。

使用例

次の使用例は、ファイル検索における検索条件の評価の方法を説明するメッセージを表示します。

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "すべての検索条件を満たすファイルが検索されます。"
Else
    MsgBox "検索条件のいずれかを満たすファイルが検索されます。"
End If
End With


ConnectString プロパティ

指定した差し込み印刷データ ソースへの接続を設定します。文字列型 (String) の値を使用します。値の取得および設定が可能です。

expression.ConnectString

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、接続文字列に ODSOOutlook という文字が含まれるかどうかを調べ、結果に応じてメッセージを表示します。

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Outlook のアドレス帳がデータ ソースとして使用されています。"
    Else
        MsgBox "Outlook のアドレス帳はデータ ソースとして使用されていません。"
    End If

End Sub


Context プロパティ

指定したコマンド バーの保存場所を表す文字列を設定します。この文字列は、アプリケーションによって定義および解釈されます。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

Context プロパティは、ユーザー設定のコマンド バーに対してのみ設定できます。アプリケーションでコンテキスト文字列が認識されない場合、またはアプリケーションでコンテキスト文字列をプログラムから変更できない場合、エラーが発生します。

使用例

次の使用例は、"ユーザー設定" というコマンド バーのコンテキスト文字列を含むメッセージ ボックスを表示します。この使用例は、Context プロパティをサポートする Microsoft Word などのアプリケーションでのみ正常に動作します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls プロパティ

指定したコマンド バーまたはポップアップ コントロールに含まれるすべてのコントロールを表す CommandBarControls コレクション オブジェクトを取得します。値の取得のみ可能です。

コレクションのメンバーを取得する方法については、「コレクションからオブジェクトを取得する」を参照してください。

使用例

次の使用例は、"ユーザー設定" というコマンド バーにコンボ ボックス コントロールを追加した後、コンボ ボックスのリストに 2 つの項目を追加します。また、コンボ ボックスのリストの行数 (一度に表示される項目数)、幅、および空白の既定値を設定します。

Set myControl = CommandBars("ユーザー設定").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="1 番目の項目", Index:=1
    .AddItem Text:="2 番目の項目", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count プロパティ

このトピックの内容は言語によっては適用されない場合があります。

指定したコレクションのアイテム数を設定します。長整数型 (Long) の値を使用します。BalloonCheckboxes オブジェクトおよび BalloonLabels オブジェクトの場合は、値の取得および設定が可能です。対象となるその他のオブジェクトの場合は、値の取得のみ可能です。

expression.Count

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

解説

CommandBars コレクションの場合、メニュー バー、ツールバー、およびショートカット メニューの項目だけが数に含まれます。

Scripts コレクションの場合、指定したドキュメントのスクリプト ブロックの総数を返します。Word で Scripts.Count を使用すると、行内のスクリプト アンカー (inline script anchor) と位置を固定しないスクリプト アンカー (floating script anchor) の総数が返されます。

使用例

次の使用例は、Count プロパティを使用して、コレクションに含まれるコマンド バーの数を表示します。

MsgBox "CommandBars コレクションには  " & CommandBars.Count & _
    " のバーがあります。"

次の使用例は、Count プロパティを使用して、Office アシスタントのバルーンに含まれるチェック ボックスの数を表示します。

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "最初の選択項目"
    .CheckBoxes(2).Text = "2 番目の選択項目"
    .Text = "選択項目数は  " _
    & .CheckBoxes.Count & " です。"
    .Show
End With

次の使用例は、作業中のドキュメントに含まれるユーザー設定のドキュメント プロパティの数を表示します。

MsgBox ("作業中のドキュメントに  " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " のユーザー設定のドキュメント プロパティは " & _
    "あります。")


Creator プロパティ

指定したオブジェクトの作成元アプリケーションを表す 4 文字のコードを取得します。Macintosh 版のみ。値の取得のみ可能です。長整数型 (Long) の値を使用します。

expression.Creator

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。


DataSource プロパティ

結合されるデータ ソース名を設定します。文字列型 (String) の値を使用します。値の取得および設定が可能です。

expression.DataSource

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、データ ソースの名前が空白の場合に名前を設定します。

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Description プロパティ

COMAddIn オブジェクトの Description プロパティ

指定した COMAddIn オブジェクトの説明を設定します。文字列型 (String) の値を使用します。値の取得および設定が可能です。

expression.Description

expression 必ず指定します。COMAddIn オブジェクトを表すオブジェクト式を指定します。

FileDialogFilter オブジェクトの Description プロパティ

各 Filter オブジェクトの説明を文字列型 (String) の値として取得します。説明は、ファイルのダイアログ ボックスに表示されるテキストです。値の取得のみ可能です。

expression.Description

expression 必ず指定します。FileDialogFilter オブジェクトを表すオブジェクト式を指定します。

使用例

COMAddIn オブジェクトの場合

次の使用例は、図形描画用 Microsoft Accessibility COM アドインの説明を表示します。

MsgBox "この COMAddIn  " & _
    "の説明:  """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

FileDialogFilter オブジェクトの場合

次の使用例は、[名前を付けて保存] ダイアログ ボックスの既定フィルタを調べ、Excel のファイルを含む各フィルタの説明を表示します。Extensions プロパティは、該当するフィルタ オブジェクトの検索に使用されます。

Sub Main()

    'FileDialogFilters コレクションの変数を宣言します。
    Dim fdfs As FileDialogFilters

    'FileDialogFilter オブジェクトの変数を宣言します。
    Dim fdf As FileDialogFilter

    'FileDialogFilters コレクションの変数に、[名前を付けて保存]
    'ダイアログ ボックスの FileDialogFilters コレクションを設定します。
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    '[名前を付けて保存] ダイアログ ボックス内の各既定フィルタの
    '説明と拡張子を調べます。
    For Each fdf In fdfs

        'Excel のファイルを含むフィルタの説明を
        '表示します。
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "フィルタの説明 :  " & fdf.Description
        End If
    Next fdf

End Sub


DescriptionText プロパティ

指定したコマンド バー コントロールの説明を設定します。この説明は、ユーザーには表示されませんが、コントロールの開発者がほかの開発者向けにコントロールの動作などを記述しておくときに使用します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

このプロパティは、Macintosh のバルーン ヘルプに使用されます。

使用例

次の使用例は、コントロール自体の動作を記述した説明を含むコントロールを、ユーザー設定のコマンド バーに追加します。

Set myBar = CommandBars.Add("ユーザー設定", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "クリップボードの内容を貼り付けます。"
    .Caption = "貼り付け"
End With


DialogType プロパティ

FileDialog オブジェクトが表示するファイルのダイアログ ボックスの種類を表す MsoFileDialogType クラスの定数を取得します。値の取得のみ可能です。

使用できる定数は、次に示す MsoFileDialogType クラスの定数のいずれかです。
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expression.DialogType

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、種類が不明の FileDialog オブジェクトを取得し、それが [名前を付けて保存] ダイアログ ボックスか [ファイルを開く] ダイアログ ボックスの場合に Execute メソッドを実行します。

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'DialogType プロパティを使用して、Execute メソッドを
            '使用するかどうかを判断します。
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'これ以外の場合は、何も実行しません。
                Case Else
            End Select
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

End Sub


DisableAskAQuestionDropdown プロパティ

True を設定すると、アンサー ウィザードのドロップダウン メニューが有効になります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

expression.DisableAskAQuestionDropdown

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、DisableAskAQuestionDropdown プロパティを切り替えます。

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


DisableCustomize プロパティ

True を設定すると、ツールバーのユーザー設定が無効になります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

expression.DisableCustomize

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、DisableCustomize プロパティを切り替えます。

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


DisplayFonts プロパティ

True を設定すると、Font ボックスのフォント名が対応する実際のフォントを使って表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の例では、ユーザー設定のコマンド バーとコントロールを含む Microsoft Office のすべてのコマンド バーに対するオプションを 3 つ設定します。

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


DisplayKeysInTooltips プロパティ

True を設定すると、各コマンド バー コントロールのボタン名と共にショートカット キーが表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

ボタン名と共にショートカット キーを表示するには、DisplayTooltips プロパティに True を設定しておく必要があります。

使用例

次の使用例は、Microsoft Office のすべてのコマンド バーに対するオプションを設定します。

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


DisplayTooltips プロパティ

True を設定すると、ユーザーがコマンド バー コントロールをマウスでポイントするたびに、そのコントロールの名前が表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

コンテナ アプリケーションで DisplayTooltips プロパティを設定すると、次にプロパティを設定し直すまで、そのアプリケーションだけでなく、ほかのすべての Microsoft Office アプリケーションのすべてのコマンド バーに反映されます。

使用例

次の使用例は、すべてのコマンド バーのコントロールを大きいアイコンで表示し、さらにコントロールの名前を表示します。

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


DropDownLines プロパティ

指定したコマンド バーのコンボ ボックス コントロールのリストの行数を設定します。コンボ ボックス コントロールは、ユーザー設定のドロップダウン リスト ボックスまたはコンボ ボックスのいずれかでなければなりません。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

メモ このプロパティをエディット ボックスまたは組み込みのコンボ ボックス コントロールに設定すると、エラーが発生します。

解説

このプロパティに 0 を設定すると、コントロールのリストの行数は、リストの項目数に合わせて調整されます。

使用例

次の使用例は、"ユーザー設定" というコマンド バーにコンボ ボックス コントロールを追加した後、コンボ ボックスのリストに 2 つの項目を追加します。また、コンボ ボックスのリストの行数 (一度に表示される項目数)、幅、および空白の既定値を設定します。

Set myBar = CommandBars("ユーザー設定")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="1 番目の項目", Index:=1
    .AddItem "2 番目の項目", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


DropDownWidth プロパティ

指定したコマンド バーのコンボ ボックス コントロールのリストの幅 (ピクセル単位) を設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

メモ このプロパティを組み込みのコンボ ボックス コントロールに設定すると、エラーが発生します。

解説

このプロパティに -1 を設定すると、コンボ ボックスのリストで最も文字数の多い項目に合わせてリストの幅が調整されます。また、このプロパティに 0 を設定すると、リストの幅はコントロールの幅に合わせて調整されます。

使用例

次の使用例は、"ユーザー設定" というコマンド バーにコンボ ボックス コントロールを追加した後、コンボ ボックスのリストに 2 つの項目を追加します。また、コンボ ボックスのリストの行数 (一度に表示される項目数)、幅、および空白の既定値を設定します。

Set myBar = CommandBars("ユーザー設定")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "1 番目の項目", 1
    .AddItem "2 番目の項目", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Enabled プロパティ

True を設定すると、指定したコマンド バーまたはコマンド バー コントロールが使用できる状態になります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

コマンド バーでは、このプロパティに True を設定すると、コマンド バーの名前が使用可能なコマンド バーのリストに表示されます。

組み込みのコントロールでは、Enabled プロパティに True を設定しても、コントロールの状態はアプリケーションに左右されますが、False を設定すると、コントロールはアプリケーションと関係なく使用できない状態になります。

使用例

次の使用例は、user の値を使用して、コマンド バーをユーザーのレベルに合わせて変更します。user が "レベル 1" の場合、[VB ユーザー バー] コマンド バーを表示します。user が "レベル 1" 以外の値である場合、組み込みの [Visual Basic] コマンド バーを既定の状態にリセットし、[VB ユーザー バー] コマンド バーを選択できない状態にします。

Set myBar = CommandBars _
    .Add(Name:="VB ユーザー バー", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "レベル 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

次の使用例は、"ユーザー設定" というコマンド バーに 2 つのコマンド バー ボタンを追加します。また、1 つ目のボタン コントロールを選択できない状態にします。特に指定しなければコントロールは選択できる状態となるため、2 つ目のボタン コントロールは、選択できる状態になります。

Set myBar = CommandBars("ユーザー設定")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


ExpireDate プロパティ

Signature オブジェクトに対応するデジタル署名の期限の日付を取得します。バリアント型 (Variant) の値を使用します。値の取得のみ可能です。

expression.ExpireDate

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、Word の作業中の文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開いて、この関数を呼び出します。この関数では、選択されたデジタル署名の有効期間が 12 か月以上あるか調べます。12 か月未満で無効になる場合、証明書は添付されません。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    '新しい Signature オブジェクトの有効期限が
    '近づいていないか調べます。次の式は、
    'その Signature オブジェクトの有効期限までの月数を計算します。
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "この証明書は、1 年未満で無効になります。" & vbCrLf & _
        "新しい証明書を使用してください。"

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'SignatureSet コレクションのすべての署名をディスクに反映します。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションはキャンセルされました。"
End Function


Extended プロパティ

<SCRIPT> タグに追加する属性を設定します。ただし、LANGUAGE 属性と ID 属性は除きます。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

HTML の場合と同様に、属性はスペースで区切ります。Extended プロパティで LANGUAGE 属性と ID 属性を渡すことはできません。

Microsoft Office ホスト アプリケーションでは、渡された属性の構文をチェックしません。

Extended プロパティに LANGUAGE 属性が渡されると、<SCRIPT> タグは 2 種類の言語設定を持つことになり、競合が発生します。

Extended プロパティに ID 属性が渡され、Add メソッドの引数 ID や Script オブジェクトの Id プロパティのいずれによっても ID が設定されなかった場合、ID は正常にエクスポートされます。

使用例

次の使用例は、Extended プロパティをチェックして、作業中のブックのワークシート 1 の最初のスクリプトに属性が追加されているかどうかを確認します。

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "このスクリプトには拡張属性が含まれます。"
End If


Extensions プロパティ

ファイルのダイアログ ボックスで、各 Filter オブジェクトに対して表示されるファイル指定拡張子を取得します。文字列型 (String) の値を使用します。値の取得のみ可能です。

expression.Extensions

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、[名前を付けて保存] ダイアログ ボックスの既定フィルタを調べ、Excel のファイルを含む各フィルタの説明を表示します。Extensions プロパティは、該当するフィルタ オブジェクト検索に使用されます。

Sub Main()

    'FileDialogFilters コレクションの変数を宣言します。
    Dim fdfs As FileDialogFilters

    'FileDialogFilter オブジェクトの変数を宣言します。
    Dim fdf As FileDialogFilter

    'FileDialogFilters コレクションの変数に、[名前を付けて保存]
    'ダイアログ ボックスの FileDialogFilters コレクションを設定します。
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    '[名前を付けて保存] ダイアログ ボックス内の各既定フィルタの
    '説明と拡張子を調べます。
    For Each fdf In fdfs

        'Excel のファイルを含むフィルタの説明を
        '表示します。
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "フィルタの説明 :  " & fdf.Description
        End If
    Next fdf
End Sub


FaceId プロパティ

指定したコマンド バーのボタン コントロールに割り当てられているボタン イメージの ID 番号を設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

解説

FaceId プロパティでは、コマンド バー ボタンの絵柄は指定できますが、機能は指定できません。ボタンに割り当てる機能を指定するには、CommandBarControl オブジェクトの Id プロパティを使用します。

ユーザー設定のボタン イメージを持つコマンド バー ボタンでは、FaceId プロパティの値は 0 になります。

使用例

次の使用例は、ユーザー設定のコマンド バーにボタンを追加します。このボタンに [ファイル] メニューの [開く] コマンドに相当する機能 (ID 番号 23) を割り当てます。また、組み込みの [グラフ作成] と同じボタン イメージを設定します。ユーザーがこのボタンをクリックすると、[ファイルを開く] ダイアログ ボックスが表示されます。

Set newBar = CommandBars.Add(Name:="ユーザー設定", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントにアプリケーションの機能についての情報が表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

FeatureTips プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [より効率的な機能の紹介] チェック ボックスに対応しています。

使用例

次の使用例は、Office アシスタントにアプリケーションの機能についての情報が表示されるようにします。

Assistant.FeatureTips = True


FileName プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

Assistant オブジェクトでは、アクティブな Office アシスタントのパスおよびファイル名を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

FileSearch オブジェクトでは、検索するファイルの名前を設定します。ファイル名には、アスタリスク (*) や疑問符 (?) などのワイルドカードを指定できます。単一の文字を表すには、疑問符を使います。たとえば、"gray" および "grey" に一致させるには、「gr?y」と入力します。任意の数の文字を表すには、アスタリスクを使います。たとえば、拡張子が ".txt" のファイルを検索するには、「*.txt」と入力します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

expression.FileName

expression 必ず指定します。オブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、[My Documents] フォルダに保存されている "cmd" で始まり、拡張子が付いているすべてのファイルを検索し、名前と保存場所を表示します。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:¥My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox .FoundFiles.Count &" 個のファイルが見つかりました。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "ファイルは見つかりませんでした。"
    End If
End With


Files プロパティ

現在のアンサー ウィザードで利用できるファイル リストを表す AnswerWizardFiles コレクションを取得します。値の取得のみ可能です。

コレクションのメンバーを取得する方法については、「コレクションからオブジェクトを取得する」を参照してください。

使用例

次の例では、アンサー ウィザードのファイル リストを既定に戻し、ファイル数とファイル名をメッセージ ボックスに表示します。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "このアンサー ウィザードで利用できるファイル数は" & customAnswerWizard.Files.Count & _
    " 、ファイル名は以下のとおりです。 " & _
    Chr(13) & strFileList


FileType プロパティ

検索対象のファイルの種類を設定します。値の取得および設定が可能です。使用できる定数は、MsoFileType クラスのいずれかです。

使用できる定数は、次に示す MsoFileType クラスのいずれかです。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.FileType

expression 必ず指定します。オブジェクトへの参照を表すオブジェクト式を指定します。

解説

定数 msoFileTypeOfficeFiles には、*.doc、*.xls、*.ppt、*.pps、*.obd、*.mdb、*.mpd、*.dot、*.xlt、*.pot、*.obt、*.htm、*.html のいずれかの拡張子が付いたすべてのファイルが含まれます。

使用例

次の使用例は、[My Documents] フォルダに含まれるすべてのバインダー ファイルを検索し、見つかったファイルの名前と保存場所の一覧をメッセージ ボックスに表示します。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:¥My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox .FoundFiles.Count & _" 個のバインダー ファイルが見つかりました。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "バインダー ファイルは見つかりませんでした。"
    End If
End With


FileTypes プロパティ

FileTypes コレクションを取得します。

expression.FileTypes

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、C:\ ドライブで、すべての HTML ファイルおよび Excel ファイルを検索します。

Sub SearchForFiles()

    '汎用カウンタとなる変数を宣言します。
    Dim lngCount As Long

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        '前の検索のパラメータをすべてクリアします。
        'このメソッドは、LookIn プロパティまたは
        'SearchFolders コレクションはクリアしません。
        .NewSearch

        'FileType プロパティを設定すると
        'FileTypes コレクションがクリアされ、
        'コレクションの最初のアイテムとして、FileType プロパティ
        'によって定義したファイルの種類が設定されます。
        .FileType = msoFileTypeWebPages

        'FileTypes コレクションに 2 番目のアイテムを追加します。
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'コレクション内の FileTypes オブジェクトの数を表示します。
        MsgBox "検索するファイルの種類は  " & .FileTypes.Count & _
            "  です。"

        'C:\ ドライブのすべてのサブフォルダを検索するように設定します。
        .LookIn = "C:\"
        .SearchSubFolders = True

        '検索を実行し、ファイルが見つかったかどうかを
        '確認します。
        If .Execute <> 0 Then

            '見つかったファイルの数を表示します。
            MsgBox "見つかったファイルの数 :  " & .FoundFiles.Count

            '見つかったファイルの一覧を調べ、
            '各ファイルのパスをメッセージ ボックスに表示します。
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "見つかったファイル") = vbCancel Then

                    'ループを抜けます。
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "ファイルが見つかりません。"
        End If
    End With
End Sub


FilterIndex プロパティ

ファイルのダイアログ ボックスの既定ファイル フィルタを設定します。長整数型 (Long) の値を使用します。既定フィルタによって、ファイルのダイアログ ボックスを初めて開いたときに表示されるファイルの種類が決まります。値の取得および設定が可能です。

expression.FilterIndex

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

解説

このプロパティに、フィルタの数より大きい数を設定した場合、使用可能なフィルタの最後のフィルタが選択されます。

使用例

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックスを表示し、 選択された各ファイルをメッセージ ボックスに表示します。また、新しいファイル フィルタを追加して既定のフィルタとして設定する方法も示しています。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        'GIF イメージおよび JPEG イメージを含むフィルタを追加し、一覧の 2 番目のアイテムとして設定します。
        .Filters.Add "イメージ", "*.gif; *.jpg; *.jpeg", 2

        '初期フィルタを 2 番に設定します。
        .FilterIndex = 2

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


Filters プロパティ

FileDialogFilters コレクションを取得します。

expression.Filters

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックスを表示し、 選択された各ファイルをメッセージ ボックスに表示します。また、"イメージ" と名付けられた新しいファイル フィルタを追加します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        'GIF イメージおよび JPEG イメージを含むフィルタを追加し、一覧の最初のアイテムとして設定します。
        .Filters.Add "イメージ", "*.gif; *.jpg; *.jpeg", 1

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


FixedWidthFont プロパティ

ホスト アプリケーションに固定幅フォントを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

FixedWidthFont プロパティを設定しても、ホスト アプリケーションは値の有効性をチェックしません。

使用例

次の使用例は、作業中のアプリケーションの英語/西ヨーロッパ言語/その他のラテン系言語の文字セットで使用する、固定幅フォントと固定幅フォント サイズを設定します。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FixedWidthFontSize プロパティ

ホスト アプリケーションに固定幅フォント サイズを設定します。値の取得および設定が可能です。単精度浮動小数点型 (Single) の値を使用します。

解説

FixedWidthFontSize プロパティを設定しても、ホスト アプリケーションは値の有効性をチェックしません。数字以外の文字など、無効な値を入力した場合、ホスト アプリケーションはサイズを 0 ポイントに設定します。サイズは 0.5 ポイント単位で指定できます。それ以外の小数点サイズを入力した場合、値を切り上げるか切り捨てて、0.5 単位で最も近いサイズに設定されます。

使用例

次の使用例は、作業中のアプリケーションの英語/西ヨーロッパ言語/その他のラテン系言語の文字セットで使用する、固定幅フォントと固定幅フォント サイズを設定します。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles プロパティ

ファイル検索で見つかったすべてのファイルの名前が含まれる FoundFiles オブジェクトを取得します。値の取得のみ可能です。

使用例

次の使用例は、ファイル検索で見つかったファイルの一覧をチェックし、各ファイルのパスを表示します。

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、アシスタント ウィンドウをクリックするか、F1 キーを押す直前の操作内容に基づいて、関連するヘルプ トピックの一覧が表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

GuessHelp プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [Office アシスタントの使用] の [ヘルプ トピックの推測] チェック ボックスに対応しています。

使用例

次の使用例は、Office アシスタントにヘルプ トピックの一覧が表示されるように設定します。

Assistant.GuessHelp = True


Guid プロパティ

指定した COMAddIn オブジェクトのグローバル一意クラス識別子を取得します。値の取得のみ可能です。文字列型 (String) の値を使用します。

使用例

次の使用例は、COM アドイン 1 の ProgID と GUID をメッセージ ボックスに表示します。

MsgBox "ProgID は次のとおりです。" & _
    Application.COMAddIns(1).ProgID & _
    "GUID は次のとおりです。" & _
    Application.COMAddIns(1).Guid


Heading プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのバルーンに表示される見出しを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

{type location sizing_factor} という構文を使うと、表示されるグラフィックスを指定することができます。type には、bmp (ビットマップ) または wmf (Windows メタファイル) を指定します。location には、リソース ID またはパス名とファイル名を指定します。sizing_factor には、wmf の幅を指定します。指定したファイルの種類がビットマップの場合は無視されます。

バルーンの見出しには、下線付きのテキストや、16 色のシステム パレット カラーのいずれかを適用したテキストも使用することができます。見出しに下線付きのテキストを表示するには、構文 {ul} または {ul 1} を指定します。下線を付けない場合は、{ul 0} を指定します。見出しのテキストの色を変更するには、テキスト文字列の前に、文字列 {cf number} を指定します。number には、次に示すシステム カラーの番号を指定します。

システム カラー番号 | 色
0 | 黒
1 | 濃い赤
2 | 濃い緑
3 | 濃い黄
4 | 濃い青
5 | 濃いマゼンタ
6 | 濃いシアン
7 | 淡い灰色
248 | 灰色
249 | 赤
250 | 緑
251 | 黄
252 | 青
253 | マゼンタ
254 | シアン
255 | 白

この表のシステム カラー番号以外の番号を指定した場合、見出しのテキストの色は黒になります。

使用例

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含むバルーンを作成し、それを画面に表示します。

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Show
End With


Height プロパティ

コマンド バー コントロールまたはコマンド バーの高さを設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

expression.Height

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザー設定というコマンド バーに、ユーザー設定のコントロールを追加します。さらに、このコントロールの高さをコマンド バーの高さの 2 倍に設定し、幅を 50 ピクセルに設定します。このコントロールのサイズに合わせて、コマンド バーのサイズが自動的に変更されます。

Set myBar = CommandBars("ユーザー設定")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("標準").Controls("保存").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


HelpContextId プロパティ

コマンド バー コントロールに関連付けるヘルプ トピックのヘルプ コンテキスト ID 番号を設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

解説

このプロパティを使用するには、HelpFile プロパティも同時に設定する必要があります。ヘルプ トピックを表示するには、Shift キーを押しながら F1 キーを押します。

使用例

次の使用例は、株価データを追跡するコンボ ボックスが付いたユーザー設定のコマンド バーを追加します。また、ユーザーが Shift キーを押しながら F1 キーを押すと表示される、コンボ ボックスのヘルプ トピックも指定します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("ユーザー設定").Controls(1)
    .AddItem "株価を表示", 1
    .AddItem "チャートを表示", 2
    .AddItem "業績を表示", 3
    .AddItem "トピックを表示", 4
    .Caption = "株価データ"
    .DescriptionText = "株価データを表示する"
    .HelpFile = "C:¥corphelp¥custom.hlp"
    .HelpContextID = 47
End With


HelpFile プロパティ

コマンド バー コントロールに関連付けるヘルプ トピックのファイル名を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

このプロパティを使用するには、HelpContextID プロパティも同時に設定する必要があります。ヘルプ トピックを表示するには、Shiftキーと押しながら F1 キーを押します。

使用例

次の使用例は、株価データを追跡するコンボ ボックスが付いたユーザー設定のコマンド バーを追加します。また、ユーザーが Shift キーを押しながら F1 キーを押すと表示される、コンボ ボックスのヘルプ トピックも指定します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("ユーザー設定").Controls(1)
    .AddItem "株価を表示", 1
    .AddItem "チャートを表示", 2
    .AddItem "業績を表示", 3
    .AddItem "トピックを表示", 4
    .Caption = "株価データ"
    .DescriptionText = "株価データを表示する"
    .HelpFile = "C:¥corphelp¥custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、優先順位の高いヒントだけが Office アシスタントに表示されるようになります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

HighPriorityTips プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [ヒントの表示対象] の [優先順位の高いヒントだけを表示する] チェック ボックスに対応しています。

使用例

次の使用例は、優先順位の高いヒントだけが Office アシスタントに表示されるように設定します。

Assistant.HighPriorityTips = True


HTMLProjectItems プロパティ

指定した HTML プロジェクトに含まれる HTMLProjectItems コレクションを取得します。値の取得のみ可能です。HTMLProjectItems コレクション型の値を使用します。

使用例

次の使用例は、作業中のブックの HTML プロジェクトに含まれる HTMLProjectItems コレクション内のアイテム数を取得します。

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType プロパティ

指定したコマンド バー ボタンに関連付けられるハイパーリンクの種類を設定します。値の取得および設定が可能です。MsoCommandBarButtonHyperlinkType クラスの定数を使用します。

使用できる定数は、次に示す MsoCommandBarButtonHyperlinkType クラスのいずれかです。
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

使用例

次の使用例は、"ユーザー設定" というコマンド バー上のボタンを指定して、その HyperlinkType プロパティをチェックします。HyperlinkType プロパティに msoCommandBarButtonHyperlinkNone が設定されている場合、msoCommandBarButtonHyperlinkOpen を設定し、URL に www.microsoft.com を設定します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタント バルーンの左上部分に表示されるアイコンの種類を設定します。値の取得および設定が可能です。MsoIconType クラスの定数を使用します。

使用できる定数は、次に示す MsoIconType クラスのいずれかです。
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

使用例

次の使用例は、ユーザーにプリンタの選択を求める警告メッセージ アイコンの付いたバルーンを作成します。

With Assistant.NewBalloon
    .Heading = "プリンタの選択"
    .Text = "印刷を実行する前に、プリンタを選択してください。"
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "ローカル プリンタ"
    .CheckBoxes(2).Text = "ネットワーク プリンタ"
    .Show
End With


Id プロパティ

Id プロパティを CommandBarButton オブジェクト、CommandBarComboBox オブジェクト、または CommandBarControl オブジェクトに指定した場合

指定した組み込みのコマンド バー コントロールに割り当てられている ID を取得します。値の取得のみ可能です。長整数型 (Long) の値を使用します。

expression.Id

expression 必ず指定します。上記のいずれかのオブジェクトを表すオブジェクト式を指定します。

解説

コントロールの組み込みのアクションを指定するには、コントロールに割り当てられている ID を使用します。ユーザー設定のコントロールでは、Id プロパティの値は 1 になります。

Id プロパティを Script オブジェクトに指定した場合

Script オブジェクトの ID を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

expression.Id

expression 必ず指定します。Script オブジェクトを表すオブジェクト式を指定します。

解説

取得される ID は、HTML の <SCRIPT> タグの ID 属性です。<SCRIPT> タグに ID 属性が指定されていない場合、<SCRIPT> プロパティは空の文字列を取得します。

Id は、要素の名前付けに使用される SGML 識別子を指定します。有効な識別子は、英字で始まり、英数字から成る文字列で構成されます。文字列にはアンダスコア (_ ) も使用できます。

ID は HTML ドキュメント内で一意でなければなりません。

使用例

Id プロパティを CommandBarButton オブジェクト、CommandBarComboBox オブジェクト、および CommandBarControl オブジェクトに指定した場合

次の使用例は、ボタンに割り当てられている ID の値が 25 より小さい場合、"ユーザー設定" というコマンド バーの先頭のコントロールのボタン イメージを変更します。

Set ctrl = CommandBars("ユーザー設定").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

次の使用例は、[標準] (Standard) ツールバーに含まれるすべてのコントロールのラベルを、各コントロールの Id プロパティの現在値に変更します。

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Id プロパティを Script オブジェクトに指定した場合

次の使用例は、作業中のブックのワークシート 1 に含まれる最初のスクリプトの Id プロパティに新しい値を設定します。

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Index プロパティ

コレクションで指定したオブジェクトのインデックス番号を取得します。値の取得のみ可能です。長整数型 (Long) の値を使用します。

expression.Index

expression 必ず指定します。オブジェクトへの参照を表すオブジェクト式を指定します。

解説

先頭のコマンド バー コントロールの位置は 1 になります。区切り記号は CommandBarControls コレクションのインデックスには含まれません。

使用例

次の使用例は、"ユーザー設定2" というコマンド バーを対象に、ID 番号が 23 のコントロールを検索します。見つかったコントロールのインデックス番号が 5 より大きい場合、そのコントロールをコマンド バーの先頭のコントロールとして配置します。

Set myBar = CommandBars("ユーザー設定2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


InitialFileName プロパティ

ファイルのダイアログ ボックスに初期表示されるパスやファイル名を設定します。文字列型 (String) の値を使用します。値の取得および設定が可能です。

expression.InitialFileName

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

解説

'*' や '?' のワイルドカード文字は、ファイル名の指定には使用できますがパスには使用できません。'*' は連続する複数の文字を表し、'?' は 1 つの文字を表します。たとえば、.InitialFileName = "c:\c*s.txt" を指定すると、"charts.txt" と "checkregister.txt" の両方を取得します。

ファイル名のないパスのみを指定した場合、ファイル フィルタによって設定されたすべてのファイルがダイアログ ボックスに表示されます。

初期フォルダに存在するファイルを指定した場合、そのファイルのみがダイアログ ボックスに表示されます。

初期フォルダに存在しないファイル名を指定した場合、ダイアログ ボックスにファイルは表示されません。InitialFileName プロパティにファイルの種類を指定すると、ファイル フィルタの設定を InitialFileName プロパティの設定に置き換えます。

無効なパスを指定した場合、最後に使用したパスが使用されます。無効なパスを使用すると、警告のメッセージが表示されます。

このプロパティに 256 文字より長い文字列を指定すると、実行時エラーになります。

使用例

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックスを表示し、選択された各ファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        'C:\ ドライブへの初期パスを設定します。
        .InitialFileName = "C:\"

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


InitialView プロパティ

ファイルのダイアログ ボックスでのファイルやフォルダの初期表示を表す MsoFileDialogView クラスの定数を設定します。値の取得および設定が可能です。

使用できる定数は、次に示す MsoFileDialogView クラスの定数のいずれかです。
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail この定数は、Windows 2000 または Windows Millennium Edition、あるいはそれ以降でのみ使用可能です。
msoFileDialogViewWebView 使用できません。この定数を選択した場合、既定のビューが使用されます。

expression.InitialView

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、FileDialog オブジェクトを使用して、詳細ビューに [参照] ダイアログ ボックスを表示し、選択したファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        '初期ビューに詳細ビューを設定します。
        .InitialView = msoFileDialogViewDetails

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


Introduction プロパティ

MsoEnvelope オブジェクトを使用して送信される文書の導入部のテキストを設定します。導入部のテキストは、電子メールの先頭に挿入されます。値の取得および設定が可能です。文字列型 (String) の値を使用します。

expression.Introduction

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、作業中の Word の文書を、サブルーチンに指定した電子メール アドレスに対して、電子メールとして送信します。

Sub SendMail(ByVal strRecipient As String)

    'With...End With ブロックを使用して、MsoEnvelope オブジェクトを参照します。
    With Application.ActiveDocument.MailEnvelope

        '電子メールの本文の前に、導入のテキストを追加します。
        .Introduction = "このメールをお読みのうえ、ご意見をお聞かせください。"

        '文書を送付する際に使用する MailItem オブジェクトを取得します。
        With .Item

            'メール アイテムのすべての設定が文書と共に保存されます。
            'Recipients コレクションに宛先を追加したり、他のプロパティを変更しても、
            'これらの設定は変化しません。

            .Recipients.Add strRecipient
            .Subject = "ここに文書が入ります。"

            'このメッセージの本文は、
            '作業中の文書の内容になります。
            .Send
        End With
    End With
End Sub


IsCertificateExpired プロパティ

True を設定すると、その Signature オブジェクトに対応するデジタル証明書は期限切れになります。値の取得のみ可能です。ブール型 (Boolean) の値を使用します。

expression.IsCertificateExpired

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、作業中の Word 文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開き、この関数に証明書の発行者と署名者の名前を渡します。これらの名前は、[証明書] ダイアログ ボックスの証明書の情報の "発行先" および "発行者" フィールドと一致している必要があります。次の使用例は、ユーザーが選択したデジタル署名が有効期限などの条件を満たしていることを確認し、新しい署名をディスクに反映します。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    'いくつかのプロパティを確認してから、Signature オブジェクトをディスクに反映させます。
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "署名あり"
        AddSignature = True
    '条件が確認できない場合、その Signature オブジェクトを SignatureSet コレクションから削除します。
    Else
        sig.Delete
        MsgBox "署名なし"
        AddSignature = False
    End If

    'SignatureSet コレクション内のすべての署名をディスクに反映させます。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションがキャンセルされました。"
End Function


IsCertificateRevoked プロパティ

True を設定すると、その Signature オブジェクトに対応するデジタル証明書は、証明書の発行者によって取り消されています。値の取得のみ可能です。ブール型 (Boolean) の値を使用します。

expression.IsCertificateRevoked

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、作業中の Word 文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開き、この関数に証明書の発行者と署名者の名前を渡します。これらの名前は、[証明書] ダイアログ ボックスの証明書の情報の "発行先" および "発行者" フィールドと一致している必要があります。次の使用例は、ユーザーが選択したデジタル署名が有効期限などの条件を満たしていることを確認し、新しい署名をディスクに反映します。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    'いくつかのプロパティを確認してから、Signature オブジェクトをディスクに反映させます。
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "署名あり"
        AddSignature = True
    '条件が確認できない場合、その Signature オブジェクトを SignatureSet コレクションから削除します。
    Else
        sig.Delete
        MsgBox "署名なし"
        AddSignature = False
    End If

    'SignatureSet コレクション内のすべての署名をディスクに反映させます。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションがキャンセルされました。"
End Function


IsOpen プロパティ

指定した HTML プロジェクト アイテムが Microsoft Script Editor で開かれている場合、このプロパティの値は True です。値の取得のみ可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、指定した HTML プロジェクト アイテムが開いているかどうかを調べます。開いていれば、指定したファイルからスクリプトを読み込みます。

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:¥MyScript.txt")
Else
    MsgBox "HTMLProjectItem は開いていません。"
End If


IsPriorityDropped プロパティ

対象となるコントロールが、使用回数および表示領域に基づいてメニューまたはツールバーから削除されている場合、このプロパティの値は True です。ただし、このプロパティの機能は、コントロールが表示されているかどうかを識別するときに使用される Visible プロパティと同じではありません。ユーザー設定のメニューやツールバー上では、IsPriorityDropped プロパティが True の場合、コントロールの Visible プロパティに True を設定してもすぐにはコントロールが表示されません。値の取得のみ可能です。ブール型 (Boolean) の値を使用します。

解説

Office では、特定のメニュー項目に対して IsPriorityDropped プロパティに True を設定するかどうかを決めるために、メニュー項目の使用回数の総計、および (この特定のメニュー項目を使用しないで) 同じメニュー内の別のメニュー項目をこのメニュー項目として使用したアプリケーション セッションの数が保持されます。これらの値がしきい値に達すると、カウンタが 1 つ減じられます。カウンタが 0 (ゼロ) になると、IsPriorityDropped プロパティに True が設定されます。セッション数の値、しきい値、および IsPriorityDropped プロパティをプログラミングで設定することはできません。ただし、AdaptiveMenus プロパティを使って、アプリケーションの特定のメニューでインテリ メニューを使用できない状態にすることはできます。

Office では、特定のツールバー コントロールに対して IsPriorityDropped プロパティに True を設定するかどうかを決めるために、ツールバー上のすべてのコントロールの一覧が、最後に実行された時間の順序に基づいて保持されます。通常、ツールバーでは、表示領域に応じてコントロールが使用された時間の新しい順に表示されます。Priority プロパティに 1 が設定されているコントロールは、常に表示されます。表示領域が不足している場合は、複数行に折り返して表示されます。プログラミングで Priority プロパティを使用すると、特定のツールバー コントロールが常に表示されるようにしたり、ツールバー上のコントロールがすべて表示されるようにツールバーを配置することができます。

次の表は、メニュー上のメニュー項目が削除されるまでの、つまり、メニュー項目の IsPriorityDropped プロパティに True が設定されるまでの、特定のコマンド バー コントロールの使用回数とアプリケーション セッション数の一覧です。

コマンド バー コントロールの使用回数 | アプリケーション セッション数
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6– 8 | 17
9–13 | 23
14–24 | 29
25 以上 | 31

使用例

次の使用例は、"ユーザー設定" というコマンド バーの 1 番目のコントロールの IsPriorityDropped プロパティの状態を調べます。IsPriorityDropped が True である場合、この例では AdaptiveMenus プロパティを False に設定して、削除されたコマンド バーを復元します。

If CommandBars("ユーザー設定").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Issuer プロパティ

Signature オブジェクトに対応するデジタル証明書の発行者名を取得します。文字列型 (String) の値を使用します。値の取得のみ可能です。

expression.Issuer

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、作業中の Word 文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開き、この関数に証明書の発行者と署名者の名前を渡します。これらの名前は、[証明書] ダイアログ ボックスの証明書の情報の "発行先" および "発行者" フィールドと一致している必要があります。次の使用例は、ユーザーが選択したデジタル署名が有効期限などの条件を満たしていることを確認し、新しい署名をディスクに反映します。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    'いくつかのプロパティを確認してから、Signature オブジェクトをディスクに反映させます。
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "署名あり"
        AddSignature = True
    '条件が確認できない場合、その Signature オブジェクトを SignatureSet コレクションから削除します。
    Else
        sig.Delete
        MsgBox "署名なし"
        AddSignature = False
    End If

    'SignatureSet コレクション内のすべての署名をディスクに反映させます。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションがキャンセルされました。"
End Function


IsValid プロパティ

True を設定すると、Signature オブジェクトに対応するデジタル証明書が有効になります。証明書は、有効期限切れや文書の変更などいくつかの理由で無効になることがあります。値の取得のみ可能です。ブール型 (Boolean) の値を使用します。

expression.IsValid

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、作業中の Word 文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開き、この関数に証明書の発行者と署名者の名前を渡します。これらの名前は、[証明書] ダイアログ ボックスの証明書の情報の "発行先" および "発行者" フィールドと一致している必要があります。次の使用例は、ユーザーが選択したデジタル署名が有効期限などの条件を満たしていることを確認し、新しい署名をディスクに反映します。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    'いくつかのプロパティを確認してから、Signature オブジェクトをディスクに反映させます。
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "署名あり"
        AddSignature = True
    '条件が確認できない場合、その Signature オブジェクトを SignatureSet コレクションから削除します。
    Else
        sig.Delete
        MsgBox "署名なし"
        AddSignature = False
    End If

    'SignatureSet コレクション内のすべての署名をディスクに反映させます。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションがキャンセルされました。"
End Function


Item プロパティ

FileTypes コレクションの Item プロパティ

FileSearch オブジェクトの Execute メソッドで検索するファイルの種類を示す値を取得します。値の取得のみ可能です。MsoFileType クラスの定数を使用します。

使用できる定数は、次に示す MsoFileType クラスの定数のいずれかです。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.Item(Index)

expression 必ず指定します。FileTypes コレクションを表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得するラベルのインデックス番号を指定します。

CommandBars オブジェクトの Item プロパティ

CommandBars コレクションから CommandBar オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。CommandBars オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。バリアント型 (Variant) の値を指定します。取得するオブジェクトの名前またはインデックス番号を指定します。

CommandBarControls オブジェクトの Item プロパティ

CommandBarControls コレクションから CommandBarControl オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。CommandBarControls オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。バリアント型 (Variant) の値を指定します。取得するオブジェクトの名前またはインデックス番号を指定します。

DocumentProperties オブジェクトの Item プロパティ

DocumentProperties コレクションから DocumentProperty オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。DocumentProperties オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。バリアント型 (Variant) の値を指定します。取得するドキュメント プロパティのインデックス番号を指定します。

BalloonCheckboxes および BalloonLabels オブジェクトの Item プロパティ

BalloonCheckBox オブジェクトまたは BalloonLabel オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得するチェック ボックスまたはラベルのインデックス番号を指定します。

MsoEnvelope オブジェクトの Item プロパティ

文書を電子メールとして送付するための MailItem オブジェクトを取得します。

expression.Item

expression 必ず指定します。MsoEnvelope オブジェクトを表すオブジェクト式を指定します。

PropertyTests オブジェクトの Item プロパティ

PropertyTests コレクションから PropertyTest オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。PropertyTests オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得するプロパティ条件のインデックス番号を指定します。

ScopeFolders および SearchFolders オブジェクトの Item プロパティ

親オブジェクトのサブフォルダを表す ScopeFolder オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得するサブフォルダを指定します。

SearchScopes オブジェクトの Item プロパティ

ローカル ドライブや Outlook フォルダなど、ファイルの検索範囲に対応する SearchScope オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。SearchScopes オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得する SearchScope オブジェクトを指定します。

SignatureSet オブジェクトの Item プロパティ

文書に現在署名されているデジタル署名のいずれかに対応する Signature オブジェクトを取得します。

expression.Item(iSig)

expression 必ず指定します。SignatureSet オブジェクトを表すオブジェクト式を指定します。

iSig 必ず指定します。長整数型 (Long) の値を指定します。取得する Signature オブジェクトを指定します。

AnswerWizardFiles および FoundFiles オブジェクトの Item プロパティ

AnswerWizardFiles コレクションからファイル名の文字列を取得するか、または FoundFiles オブジェクトが表すファイル名リストからファイル名を取得します。値の取得のみ可能です。文字列型 (String) の値を使用します。

expression.Item(Index)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。取得するアンサー ウィザード ファイル名の文字列またはファイル名を指定します。

Assistant、BalloonCheckbox、BalloonLabel、および FileDialog オブジェクトの Item プロパティ

指定したオブジェクトに関連付けられたテキストを取得します。値の取得のみ可能です。文字列型 (String) の値を使用します。

expression.Item

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

WebPageFonts オブジェクトの Item プロパティ

MsoCharacterSet の特定の値に対して、WebPageFonts コレクションから WebPageFont オブジェクトを取得します。

expression.Item(Index)

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

Index 必ず指定します。MsoCharacterSet クラスの定数を指定します。特定の文字セットを指定します。

使用できる定数は、次に示す MsoCharacterSet クラスの定数のいずれかです。
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

使用例

CommandBars オブジェクトの場合

Item はオブジェクトまたはコレクションの既定のメンバーです。たとえば、次の 2 つのステートメントの実行結果は同じで、CommandBar オブジェクトが cmdBar に割り当てられます。

Set cmdBar = CommandBars.Item("標準")
Set cmdBar = CommandBars("標準")

BalloonCheckboxes および BalloonLabels オブジェクトの場合

Item はオブジェクトまたはコレクションの既定のメンバーです。たとえば次の 2 つのステートメントの実行結果は同じで、Balloon オブジェクトの最初のラベルのテキストである lblText が myBalloon に割り当てられます。

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

AnswerWizardFiles および FoundFiles オブジェクトの場合

次の使用例は、現在のアンサー ウィザードのファイル リストを既定の設定に戻し、Item プロパティを使用してファイル名を取得します。次に、ファイル数とファイル名をメッセージ ボックスに表示します。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "このアンサー ウィザードで使用できるファイルは  " & customAnswerWizard.Files.Count & _
    "  です。 " & _
    Chr(13) & strFileList

WebPageFonts オブジェクトの場合

次の使用例は、Item プロパティを使用して、作業中のアプリケーションの英語/西ヨーロッパ言語/その他のラテン系言語の文字セットを表す WebPageFont オブジェクトに myFont を設定します。

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

MsoEnvelope オブジェクトの場合

次の使用例は、作業中の Word の文書を、サブルーチンに指定した電子メール アドレスに対して、電子メールとして送信します。

Sub SendMail(ByVal strRecipient As String)

    'With...End With ブロックを使用して、MsoEnvelope オブジェクトを参照します。
    With Application.ActiveDocument.MailEnvelope

        '電子メール メッセージの本文の前に、導入のテキストを追加します。
        .Introduction = "このメールをお読みのうえ、ご意見をお聞かせください。"

        '文書を送付する際に使用する MailItem オブジェクトを取得します。
        With .Item

            'メール アイテムのすべての設定が文書と共に保存されます。
            'Recipients コレクションに宛先を追加したり、他のプロパティを変更しても、
            'これらの設定は変化しません。

            .Recipients.Add strRecipient
            .Subject = "ここに文書が入ります。"

            'このメッセージの本文は、
            '作業中の文書の内容になります。
            .Send
        End With
    End With
End Sub


KeyboardShortcutTips プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントにショートカット キーのヘルプが表示されるようになります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

KeyboardShortcutTips プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [ヒントの表示対象] の [ショートカット キー] チェック ボックスに対応しています。

使用例

次の使用例は、Office アシスタントにショートカット キーのヘルプが表示されるように設定します。

Assistant.KeyboardShortcutTips = True


Labels プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

特定の Office アシスタントのバルーンに含まれるボタン ラベル、数値ラベルおよび箇条書きラベルを表す BalloonLabels コレクションを取得します。値の取得のみ可能です。

コレクションのメンバーを取得する方法については、「コレクションからオブジェクトを取得する」を参照してください。

使用例

次の使用例は、3 つの選択項目を含むバルーンを作成します。変数 x には、Show メソッドの戻り値が設定されます。戻り値は、ユーザーがクリックするラベルに応じて、1、2、または 3 になります。この例では、変数 x の値がメッセージ ボックスに表示されますが、この値は別のプロシージャに渡したり、Select Case ステートメントで使用したりすることができます。

Set b = Assistant.NewBalloon
With b
    .Heading = "見出し"
    .Text = "オプションを選択してください。"
    .Labels(1).Text = "オプション 1"
    .Labels(2).Text = "オプション 2"
    .Labels(3).Text = "オプション 3"
    x = .Show
End With
MsgBox x


Language プロパティ

アクティブなスクリプトのスクリプト言語を設定します。値の取得および設定が可能です。MsoScriptLanguage クラスの定数を使用します。

使用できる定数は、次に示す MsoScriptLanguage クラスのいずれかです。
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

解説

Language プロパティで使用する MsoScriptLanguage クラスの定数は、Scripts コレクションの Add メソッドの引数 Language でも使用します。

使用例

次の使用例は、Language プロパティをチェックして、作業中のブックのワークシート 1 内の最初のスクリプトが VBScript で記述されているかどうかを確認します。

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "言語に VBScript が設定されていません。"
End If


LanguageID プロパティ

取得できる値は、インストール言語、ユーザー インターフェイス言語、またはヘルプ言語の LCID (ロケール識別子) です。値の取得のみ可能です。長整数型 (Long) の値を使用します。

expression.LanguageID(Id)

expression 必ず指定します。LanguageSettings オブジェクトを表すオブジェクト式を指定します。

Id 必ず指定します。MsoAppLanguageID クラスの定数を指定します。

MsoAppLanguageID クラスの定数 | 意味
msoLanguageIDExeMode | アプリケーションが使用している言語モードです。この設定は、Microsoft Excel と Microsoft Access にのみ適用されます。この設定により、表示および編集可能な言語、言語固有の機能、数字表記、通貨設定などが変化します。 Excel と Access でサポートされる言語が使用されない場合、ホスト アプリケーションでは、右から左へ記述する言語や東アジアの言語をサポートしないように構成されます。サポートされる言語は次のとおりです。 アラビア語 ペルシア語 ヘブライ語 日本語 韓国語 簡体字中国語 繁体字中国語 ウルドゥー語 イディッシュ語
msoLanguageIDHelp | オンライン ヘルプで使用される言語です。
msoLanguageIDInstall | Microsoft Office で既定値を設定するために使用される言語設定です。たとえば、Microsoft Word ではこの設定からツールバーのレイアウト、箇条書きの行頭文字や数字の既定の種類などを言語ごとに決定します。
msoLanguageIDUI | ホスト アプリケーションのユーザー インターフェイスで使用される言語です。
msoLanguageIDUIPrevious | 指定されたコンピュータが最後に再起動したときのユーザー インターフェイスの言語設定です。プログラムやアドインではこの設定から、ユーザー インターフェイス言語が変更されたかどうかを調べることができます。

使用例

次の使用例は、Microsoft Excel がユーザー インターフェイスと実行モードの LanguageID プロパティ設定をチェックし、同じ LCID に設定されていることを確認します。この例では、不一致が見つかった場合にエラーを返します。

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "ユーザー インターフェイス言語と" & _
    "実行モードが異なります。"


LanguagePreferredForEditing プロパティ

指定した msoLanguageID クラスの定数の値が Windows レジストリで編集時の指定言語である場合、このプロパティの値は True です。値の取得のみ可能です。ブール型 (Boolean) の値を使用します。

expression.LanguagePreferredForEditing(lid)

expression 必ず指定します。オブジェクトへの参照を表すオブジェクト式を指定します。

lid 必ず指定します。MsoLanguageID クラスの定数を指定します。

使用できる定数は、次に示す MsoLanguageID クラスのいずれかです。
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

解説

指定言語のセットを列挙して、すべての有効な msoLanguageID の値をテストしなければなりません。

使用例

次の使用例は、U.S. English が編集時の指定言語である場合、メッセージを表示します。

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "編集時の指定言語には US English が含まれます。"
End If


LargeButtons プロパティ

True を設定すると、ツールバーのボタンが大きいアイコンで表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、すべてのコマンド バーのボタンの表示サイズを切り替えます。

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified プロパティ

指定したファイルが最後に変更および保存されてから経過した時間を表す定数を設定します。既定値は、msoLastModifiedAnyTime です。値の取得および設定が可能です。MsoLastModified クラスの定数を使用します。

使用できる定数は、次に示す MsoLastModified クラスのいずれかです。
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

使用例

次の使用例は、ファイル検索のオプションを設定します。C:\My Documents フォルダに保存されているファイルの中で、昨日更新されたものを検索します。また、C:\My Documents フォルダのサブフォルダも検索の対象に含めます。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:¥My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Left プロパティ

このトピックの内容は言語によっては適用されない場合があります。

Assistant および CommandBar オブジェクトの Left プロパティ

Office アシスタント ウィンドウの水平方向の位置 (ポイント単位) または指定したオブジェクトの左端からコマンド バーまでの距離 (ピクセル単位) を、画面に相対で設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

expression.Left

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

CommandBarButton、CommandBarComboBox、CommandBarControl、および CommandBarPopup オブジェクトの Left プロパティ

指定したコマンド バー コントロール (ピクセル単位) の水平方向の位置を、画面の左端に相対で設定します。固定領域の左端からの距離を取得します。値の取得のみ可能です。長整数型 (Long) の値を使用します。

expression.Left

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

Assistant および CommandBar オブジェクトの場合

次の使用例は、Office アシスタントを表示し、アプリケーション ウィンドウ内の指定した座標へ移動します。

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

次の使用例は、ユーザー設定というユーザー設定のコマンド バーを、ウィンドウ上端の固定位置からウィンドウの左端に移動します。

Set myBar = CommandBars("ユーザー設定")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


LinkSource プロパティ

指定したユーザー設定のドキュメント プロパティのリンク元を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

このプロパティは、ユーザー設定のドキュメント プロパティにのみ適用されます。組み込みのドキュメント プロパティに対して使用することはできません。

指定したリンクのリンク元は、コンテナ アプリケーションによって定義されます。

LinkSource プロパティを設定すると、自動的に LinkToContent プロパティに True が設定されます。

使用例

次の使用例は、ユーザー設定のドキュメント プロパティのリンク状態を表示します。この使用例を実行するには、dp が有効な DocumentProperty オブジェクトでなければなりません。

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = "います。"
    Else
        tf = "いません。"
    End If
    stat = "このプロパティはリンクされて" & tf
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "リンク元は " & dp.LinkSource & "です。"
    End If
    MsgBox stat
End Sub


LinkToContent プロパティ

True を設定すると、指定したユーザー設定のドキュメント プロパティの値がコンテナ ドキュメントの内容にリンクされます。False を設定すると、値はリンクされません。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

このプロパティは、ユーザー設定のドキュメント プロパティにのみ適用されます。組み込みのドキュメント プロパティの場合、このプロパティは常に False になります。

指定したプロパティのリンク元を設定するには、LinkSource プロパティを使用します。LinkSource プロパティを設定すると、LinkToContent プロパティに True が設定されます。

使用例

次の使用例は、ユーザー設定のドキュメント プロパティのリンク状態を表示します。この使用例を実行するには、dp が有効な DocumentProperty オブジェクトでなければなりません。

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = "います。"
    Else
        tf = "いません。"
    End If
    stat = "このプロパティはリンクされて" & tf
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "リンク元は " & dp.LinkSource & "です。"
    End If
    MsgBox stat
End Sub


List プロパティ

コマンド バーのコンボ ボックス コントロールのリストに含まれる項目の値を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

メモ 組み込みのコンボ ボックス コントロールの場合、このプロパティは値の取得のみ可能です。

expression.List(Index)

expression 必ず指定します。CommandBarComboBox オブジェクトを表すオブジェクト式を指定します。

Index 必ず指定します。長整数型 (Long) の値を指定します。設定するリストの項目を指定します。

使用例

次の使用例は、"ユーザー設定" というコマンド バーに含まれる [株価データ] というラベルのコンボ ボックス コントロールの 4 番目のリスト項目の値をチェックします。値が "トピックを表示" でない場合、コンボ ボックスが壊れている可能性があるので、アプリケーションを再インストールするように要求するメッセージを表示します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("ユーザー設定").Controls(1)
    .AddItem "株価を表示", 1
    .AddItem "チャートを表示", 2
    .AddItem "業績を表示", 3
    .AddItem "トピックを表示", 4
    .Caption = "株価データ"
    .DescriptionText = "株価データを表示する"
End With
If CommandBars("ユーザ設定").Controls(1).List(4) _
     <> "トピックを表示" Then
MsgBox ("株価データが壊れている可能性があります。" & _
     " アプリケーションを再インストールしてください。")
End If


ListCount プロパティ

指定したコマンド バーのコンボ ボックス コントロールのリストの項目数を取得します。値の取得のみ可能です。長整数型 (Long) の値を使用します。

使用例

次の使用例は、"ユーザー設定" というコマンド バーのコンボ ボックスの項目数をチェックします。プロシージャが生成するリストに含まれる項目数が 3 でない場合、コンボ ボックスが壊れている可能性があるので、アプリケーションを再インストールするように要求するメッセージを表示します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("ユーザー設定").Controls(1)
    .AddItem "株価を表示", 1
    .AddItem "チャートを表示", 2
    .AddItem "業績を表示", 3
    .Caption = "株価データ"
    .DescriptionText = "株価データを表示する"
End With
If CommandBars("ユーザー設定").Controls(1).ListCount _
     <> 4 Then
MsgBox ("コンボ ボックスが壊れている可能性があります。" & _
     " 再インストールしてください。")
End If


ListHeaderCount プロパティ

コマンド バーのコンボ ボックス コントロールで、区切り線の上に表示されるリストの項目数を設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

メモ 組み込みのコンボ ボックス コントロールの場合、このプロパティは値の取得のみ可能です。

解説

ListHeaderCount プロパティに - 1 を設定すると、コンボ ボックス コントロールに区切り線が表示されません。

使用例

次の使用例は、"ユーザー設定" というコマンド バーにコンボ ボックス コントロールを追加した後、コンボ ボックスに 2 つの項目を追加します。ListHeaderCount プロパティを使って、コンボ ボックスの 1 番目と 2 番目の項目の間に区切り線を表示します。また、コンボ ボックスのリストの行数 (一度に表示される項目数)、幅、および空白の既定値を設定します。

Set myBar = CommandBars("ユーザー設定")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="1 番目の項目", Index:=1
    .AddItem Text:="2 番目の項目", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


ListIndex プロパティ

コマンド バーのコンボ ボックス コントロールのリスト部分で選択した項目のインデックス番号を設定します。リストの項目が何も選択されていない場合、このプロパティの戻り値は 0 になります。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

メモ このプロパティをリスト コントロール以外のコントロールに設定すると、エラーが発生します。

解説

ListIndex プロパティを設定すると、指定したコントロールで選択された項目に基づいて、関連付けられたアクションがアプリケーションで実行されます。

使用例

次の使用例は、ListIndex プロパティを使って、"ユーザー設定" というコマンド バーのコンボ ボックスで選択した項目に基づいて、実行するプロシージャを決定します。プロシージャは、ListIndex プロパティを使うので、コンボ ボックスの項目には任意のテキストを設定できます。

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("ユーザー設定").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("選択が正しくありません。もう一度選択してください。")
    End Select
End Sub


Location プロパティ

指定した HTML ドキュメントのスクリプト アンカーの場所を取得します。値の取得のみ可能です。MsoScriptLocation クラスの定数を使用します。

使用できる定数は、次に示す MsoScriptLocation クラスのいずれかです。
msoScriptLocationInBody
msoScriptLocationInHead

解説

HTML ドキュメントの SCRIPT タグは、ドキュメント内の <HTML> タグ間のどこにでも出現する可能性があります。Microsoft Word、Excel、PowerPoint では、<BODY> タグ間に配置されたスクリプト アンカーのみが表示されます。<BODY> タグの前や後にある HTML スクリプトは格納されますが、ユーザーから見ることはできません。

Scripts コレクションには、ドキュメント本文の内外を問わずドキュメント内に出現するすべてのスクリプト アンカーが含まれます。Add メソッドの引数 Location を使用すると、HTML ドキュメント内の <HEAD> タグと <BODY> タグの間にスクリプト アンカーを挿入できます。また、Location プロパティを使用して、特定のスクリプト アンカーがドキュメント内のどこに格納されているかを調べることもできます。

使用例

次の使用例は、作業中のブックのワークシート 1 に含まれる最初のスクリプトの Location プロパティをチェックして、メッセージ ボックスにその場所を表示します。

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "スクリプトはヘッダーにあります。"
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "スクリプトはワークシートの本文にあります。"
End If


LookIn プロパティ

指定したファイル検索の対象となるフォルダを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

使用例

次の使用例は、[My Documents] フォルダの中で、ファイル名が "cmd" で始まるすべてのファイルを検索し、条件を満たすファイルの名前と保存場所の一覧を表示します。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:¥My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox .FoundFiles.Count & _" 個のファイルが見つかりました。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "検索条件を満たすファイルはありません。"
    End If
End With


Mask プロパティ

CommandBarButton オブジェクトのマスク イメージを表す IPictureDisp オブジェクトを取得します。マスク イメージは、ボタン イメージの透明の部分を指定します。

expression.Mask

expression 必ず指定します。CommandBarButton オブジェクトを表すオブジェクト式を指定します。

解説

マスク イメージとして使用するイメージを作成するときは、透明の領域を白で、表示する領域を黒で設定します。

マスクは、必ず CommandBarButton オブジェクトに図を設定してから設定します。

使用例

次の使用例は、コードが取得した最初の CommandBarButton にイメージとマスクを設定します。この使用例を実行するには、マスク イメージとボタン イメージを作成し、作成したイメージのパスをサンプルのパスに代入します。

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'With...End With ブロックを使用して、最初のコマンド バーの
    '最初のボタンを参照します。
    With Application.CommandBars.FindControl(msoControlButton)
        'ボタンのイメージを変更します。
        .Picture = picButton

        '2 番目のイメージを使用して、
        '透明の領域を定義します。
        .Mask = picMask
    End With
End Sub

次の使用例は、コードが取得した最初の CommandBarButton のイメージとマスクを取得して、それぞれをファイルに出力します。この使用例を実行するには、出力ファイルのパスを指定します。

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'この CommandBarButton オブジェクトのボタンのイメージとマスクを取得します。
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'ボタンのイメージとマスクをフォルダに保存します。
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


MatchAllWordForms プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、ファイルの内容またはファイル プロパティを対象にして英単語を検索するときに、その単語のすべての活用形も含めて検索が行われます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

このプロパティは、Mswds_en.lex ファイルがセットアップおよび登録されている場合にのみ使用できます。なお、このファイルは標準のセットアップ オプションでは組み込まれません。

使用例

次の使用例は、ファイルの内容またはファイル プロパティに、"run"、"running"、"runs"、"ran" のいずれかの単語が含まれるファイルの一覧を返します。TextOrProperty プロパティは、検索する単語を設定し、検索の対象をファイルの内容またはファイル プロパティのいずれかに限定します。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:¥My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、指定した文字列の一部ではなく、全体が一致する文字列が含まれるファイルだけが検索されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、[My Documents] フォルダの中で、ファイルの内容またはプロパティに "Run" という単語が含まれるすべてのファイルを返します。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:¥My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


MenuAnimationStyle プロパティ

コマンド バーのアニメーション動作を設定します。値の取得および設定が可能です。MsoMenuAnimation クラスの定数を使用します。

使用できる定数は、次に示す MsoMenuAnimation クラスのいずれかです。
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

使用例

次の使用例は、Microsoft Office のすべてのコマンド バーに対するオプションを設定します。

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタント バルーンのモードを設定します。Balloon オブジェクトを作成するときに、このプロパティは msoModeModal に初期設定されます。値の取得および設定が可能です。MsoModeType クラスの定数を使用します。

使用できる定数は、次に示す MsoModeType クラスのいずれかです。
msoModeAutoDown
msoModeModal
msoModeModeless

解説

バルーンの Mode プロパティに msoModeModeless が設定されている場合、バルーンを画面に表示したまま、アプリケーションでの作業を進めることができます。Mode プロパティに msoModeModal が設定されている場合、バルーンを閉じない限り、アプリケーションでの作業を続けることができません。また、このプロパティに msoModeAutoDown が設定されている場合は、画面のバルーン以外の場所をクリックすると、バルーンが自動的に閉じられます。

バルーンの Mode プロパティに msoModeModeless が設定されている場合に、Callback プロパティの値が指定されていないと、エラーになります。Close メソッドは、Mode プロパティに msoModeModeless が設定されている場合にのみ、Callback プロパティで指定されたプロシージャで使用できます。

使用例

次の使用例は、ユーザーにプリンタの選択を求める警告メッセージ アイコンの付いたバルーンを作成します。このバルーンはモードレスなので、ユーザーはバルーンの指示を参照しながら、プリンタ設定の作業を進めることができます。ユーザーが、[OK] をクリックすると、Callback プロパティで指定されたプロシージャが実行されます。

With Assistant.NewBalloon
    .Heading = "プリンタの選択"
    .Text = "印刷を実行する前に、プリンタを選択してください。"
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "ローカル プリンタ"
    .CheckBoxes(2).Text = "ネットワーク プリンタ"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントに効率的なマウス操作の紹介が表示されるようになります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

MouseTips プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [ヒントの表示対象] の [より効率的なマウス操作の紹介] チェック ボックスに対応しています。

使用例

次の使用例は、Office アシスタントに効率的なマウス操作の紹介が表示されるように設定します。

Assistant.MouseTips = True


MoveWhenInTheWay プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタント ウィンドウがユーザーの作業領域と重なりそうになったとき、Office アシスタント ウィンドウが自動的に移動します。たとえば、Offfice アシスタント ウィンドウにドラッグまたはドロップしようとしたり、データを入力しようとすると Office アシスタント ウィンドウは他の場所に移動します。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

既定値は True です。MoveWhenInTheWay プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [Office アシスタントの使用] の [作業中の範囲外に移動する] チェック ボックスに対応しています。

使用例

次の使用例は、Office アシスタントの表示位置を指定し、いくつかのオプションを設定した後、Office アシスタントを画面に表示し、アクティブにします。

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Name プロパティ

指定したオブジェクトの名前を設定します。CommandBar および DocumentProperty オブジェクトでは、値の取得および設定が可能です。それ以外のオブジェクトでは値の取得のみ可能です。いずれの場合も、文字列型 (String) の値を使用します。

解説

組み込みのコマンド バーのローカル名は、コマンド バーが固定されていない場合にタイトル バーに表示されます。また、コンテナ アプリケーションで使用可能なコマンド バーの一覧にも表示されます。

組み込みのコマンド バーでは、Name プロパティの戻り値はコマンド バーの英語名になります。ローカライズされた名前を取得するには、NameLocal プロパティを使用します。

ユーザー設定のコマンド バーの NameLocal プロパティの値を変更すると、Name の値も変更されます。Name の値を変更した場合も同様です。

使用例

次の使用例は、コマンド バーのコレクションを対象に "ユーザー設定" というコマンド バーを検索し、このコマンド バーが見つかった場合に表示します。

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "ユーザー設定" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "[ユーザー設定] バーはコレクションに含まれていません。"
Else
    MsgBox "[ユーザー設定] バーは現在表示されています。"
End If

次の使用例は、ドキュメント プロパティの名前、種類、および値を表示します。このとき、有効な DocumentProperty オブジェクトをプロシージャに渡す必要があります。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "値 : " & dp.Value & Chr(13) & _
        "種類 : " & dp.Type & Chr(13) & _
        "プロパティ名 : " & dp.Name
End Sub


NameLocal プロパティ

コンテナ アプリケーションのローカライズ版 (日本語版) に表示される組み込みのコマンド バーの名前を取得します。値の取得のみ可能です。または、ユーザー設定のコマンド バーの名前を設定します。この場合は、値の取得および設定が可能です。いずれの場合も、文字列型 (String) の値を使用します。

メモ このプロパティを組み込みのコマンド バーに設定すると、エラーが発生します。

解説

組み込みのコマンド バーのローカル名は、コマンド バーが固定されていない場合にタイトル バーに表示されます。また、コンテナ アプリケーションで使用可能なコマンド バーの一覧にも表示されます。

ユーザー設定のコマンド バーの NameLocal プロパティの値を変更すると、Name の値も変更されます。Name の値を変更した場合も同様です。

使用例

次の使用例は、コンテナ アプリケーションの先頭のコマンド バーの英語名と日本語名を表示します。

With CommandBars(1)
    MsgBox "このコマンド バーの英語名 : " & .Name
    MsgBox "このコマンド バーの日本語名 : " & .NameLocal
End With


NewBalloon プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

新しい Office アシスタントのバルーンを作成します。Balloon オブジェクトを取得します。値の取得のみ可能です。

使用例

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含むバルーンを作成し、それを画面に表示します。

With Assistant.NewBalloon
    .Heading = "地域売上データ"
    .Text = "地域を 1 つまたは複数選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Show
End With


Object プロパティ

指定した COMAddIn オブジェクトの基になるオブジェクトを設定します。値の取得および設定が可能です。オブジェクト型 (Object) の値を使用します。

解説

このプロパティは主に、COMAddIn を有効にして別の COMAddIn と通信するために使用します。

使用例

次の使用例は、msodraa9.ShapeSelect という COM アドインに関連付けられたオブジェクトを取得します。

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


OLEMenuGroup プロパティ

OLE サーバーのメニュー グループが OLE クライアントのメニュー グループと統合したとき (コンテナ アプリケーション タイプのオブジェクトが別のアプリケーションに埋め込まれたとき) に、指定したコマンド バーの ポップアップ コントロール を登録するメニュー グループを設定します。値の取得および設定が可能です。MsoOLEMenuGroup クラスの定数を使用します。

使用できる定数は、次に示す MsoOLEMenuGroup クラスのいずれかです。
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

メモ 組み込みのコントロールでは、このプロパティは値の取得のみ可能です。

解説

このプロパティの目的は、Office アプリケーションにおけるアドイン アプリケーションのコマンド バー コントロールの形式を指定することです。コンテナまたはサーバーのいずれかにコマンド バーが組み込まれていない場合、標準の形式で OLE のメニューが結合されます。この場合、メニュー バーとサーバー側からのすべてのツールバーが結合され、コンテナ側からのツールバーは結合されません。メニューはメニュー グループの分類に基づいて結合されるので、このプロパティは、メニュー バーのポップアップ コントロールに対してのみ意味を持ちます。

結合する両方のアプリケーションでコマンド バーが組み込まれている場合、コマンド バー コントロールは OLEUsage プロパティに基づいて結合されます。

使用例

次の使用例は、"ユーザー設定" というコマンド バーに新しいユーザー設定のポップアップ コントロールを追加し、その OLEMenuGroup プロパティをチェックして、msoOLEMenuGroupNone を設定します。

Set myControl = CommandBars("ユーザー設定").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


OLEUsage プロパティ

2 つの Microsoft Office アプリケーションが結合されたときに、コマンド バー コントロールを使用する OLE クライアントと OLE サーバーの役割を設定します。値の取得および設定が可能です。MsoControlOLEUsage クラスの定数を使用します。

使用できる定数は、次に示す MsoControlOLEUsage クラスのいずれかです。
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

解説

このプロパティは、Office アプリケーションを別の Office アプリケーションに結合したときの、アドイン アプリケーションのコマンド バー コントロールの表示方法を指定するために用意されています。クライアントとサーバーの両方でコマンド バーが組み込まれている場合、コマンド バー コントロールはクライアント側のコントロールを基準として埋め込まれます。クライアント専用 (またはクライアントとサーバーのどちらでもない) としてマークされたユーザー設定のコントロールは、サーバー側のコマンド バーから除外され、サーバー専用 (またはクライアントとサーバーのどちらでもない) としてマークされたコントロールは、クライアント側のコントロール バーから除外されます。このようにして、残ったコントロールだけが結合されます。

結合するアプリケーションのいずれかが Office アプリケーションでない場合、OLE メニューの標準の結合スタイルが使用され、OLEMenuGroup プロパティで制御されます。

使用例

次の使用例は、"ツール" というコマンド バーに新しいボタンを追加して、その OLEUsage プロパティを設定します。

Set myControl = CommandBars("ツール").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントが使用できる状態になります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、Office アシスタントを使用できない状態にし、アシスタントを使用できる状態にするかどうかの確認を求めるメッセージ ボックスを表示します。ユーザーが [はい] をクリックすると、アシスタントを使用できる状態にします。アシスタントを使用できる状態にすると、アシスタントが表示され、アニメーション msoAnimationGetAttentionMajor が実行されます。

Assistant.On = False
If MsgBox("Office アシスタントを使用できる状態にしますか。", _
    vbYesNo, "アシスタントは使用できません。") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


OnAction プロパティ

ユーザーがクリックするか、コマンド バー コントロールの値を変更したときに実行される Visual Basic マクロの名前を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

メモ 値が有効なマクロ名かどうかは、コンテナ アプリケーション側で判断されます。

使用例

次の使用例は、"ユーザー設定" というコマンド バーにコマンド バー コントロールを追加し、それに "MySub" というマクロを設定して、ユーザーがボタンをクリックするたびに実行されるようにします。

Set myBar = CommandBars("ユーザー設定")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

次の例は、"ユーザー設定" というコマンド バーにコマンド バー コントロールを追加します。このコントロールがクリックされると、"FinanceAddIn" という COM アドインが実行されます。

Set myBar = CommandBars("ユーザー設定")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter プロパティ

アプリケーションがコマンドの実行に使用できる文字列を設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

組み込みのコントロールに引数を設定した場合、新しい値の使用が可能であれば、アプリケーション側でその既定の動作を変更できます。パラメータをユーザー設定のコントロールに設定した場合、そのパラメータを使用して、Visual Basic のプロシージャに情報を送信できます。また、Tag プロパティの 2 番目の値のように、コントロールについての情報を格納することもできます。

使用例

次の使用例は、新しいコントロールにパラメータを割り当て、そのボタンにフォーカスを設定します。

Set myControl = CommandBars("ユーザー設定").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent プロパティ

指定したオブジェクトの Parent オブジェクトを取得します。値の取得のみ可能です。

使用例

次の使用例は、ドキュメント プロパティの親オブジェクトの名前を表示します。このとき、有効な DocumentProperty オブジェクトをプロシージャに渡す必要があります。

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Path プロパティ

ScopeFolder オブジェクトのフル パスを取得します。文字列型 (String) の値を使用します。値の取得のみ可能です。

expression.Path

expression 必ず指定します。ScopeFolder オブジェクトを表すオブジェクト式を指定します。

使用例

次の使用例は、[マイ コンピュータ] の各ディレクトリのルート パスを表示します。この情報を取得するために、この例ではまず最初に [マイ コンピュータ] のルートにある ScopeFolder オブジェクトを取得します。この ScopeFolder のパスは、常に "*" になります。すべての ScopeFolder オブジェクトと同様、ルート オブジェクトにも ScopeFolders コレクションが保存されています。次の使用例では、この ScopeFolders コレクションを調べ、コレクション内の各 ScopeFolder オブジェクトのパスを表示します。これらの ScopeFolder オブジェクトのパスは、"A:\"、"C:\" などになります。

Sub DisplayRootScopeFolders()

    'SearchScope および ScopeFolder オブジェクトを参照する
    '変数を宣言します。
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        'SearchScopes コレクションをすべて調べて、
        '[マイ コンピュータ] のルートの ScopeFolders コレクションを
        'すべて表示します。
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'SearchScope オブジェクトの ScopeFolders コレクションの
                    '各 ScopeFolder コレクションをすべて調べ、
                    'パスを表示します。
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "パス :  " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Picture プロパティ

CommandBarButton オブジェクトのイメージを表す IPictureDisp オブジェクトを取得します。

expression.Picture

expression 必ず指定します。CommandBarButton オブジェクトを表すオブジェクト式を指定します。

解説

ボタン イメージを変更するとき、Mask プロパティを使用してマスク イメージを設定することもできます。マスク イメージは、ボタン イメージの透明の部分を指定します。必ず、CommandBarButton オブジェクトに図を設定してからマスクを設定してください。

メモ Visual Basic Editor の [標準] ツールバーにある、アプリケーションを表示するボタン ([表示 Microsoft Word] など) およびアイテムを挿入するボタン ([ユーザー フォームの挿入]、[新しい標準モジュール] など) のイメージは変更できません。

使用例

次の使用例は、コードが取得した最初の CommandBarButton にイメージとマスクを設定します。この使用例を実行するには、マスク イメージとボタンのイメージを作成し、作成したイメージのパスをサンプルのパスに代入します。

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'With...End With ブロックを使用して、最初のコマンド バーの
    '最初のボタンを参照します。
    With Application.CommandBars.FindControl(msoControlButton)
        'ボタンのイメージを変更します。
        .Picture = picButton

        '2 番目のイメージを使用して、
        '透明の領域を定義します。
        .Mask = picMask
    End With
End Sub

次の使用例は、コードが取得した最初の CommandBarButton のイメージとマスクを取得して、それぞれをファイルに出力します。この使用例を実行するには、出力ファイルのパスを指定します。

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'この CommandBarButton オブジェクトのボタンのイメージとマスクを取得します。
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'ボタンのイメージとマスクをフォルダに保存します。
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Position プロパティ

コマンド バーの位置を設定します。値の取得および設定が可能です。MsoBarPosition クラスの定数を使用します。

使用できる定数は、次に示す MsoBarPosition クラスのいずれかです。
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

使用例

次の使用例は、コマンド バーのコレクションをチェックし、ユーザー設定のコマンド バーをアプリケーション ウィンドウの下端に固定します。また、組み込みのコマンド バーをアプリケーション ウィンドウの上端に固定します。

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Priority プロパティ

指定したコマンド バー コントロールの優先度を設定します。固定したコマンド バーのコントロールが 1 行に収まらない場合、コントロールの優先度に基づいて、コマンド バーの表示領域から削除されるコントロールが決定されます。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

解説

優先度には、0 (ゼロ) から 7 の数字を設定できます。優先度の 1 は、コントロールがツールバーから絶対に削除されないことを意味します。これらの有効な優先度以外の数字は無視されます。

Priority プロパティは、メニュー項目になっているコマンド バー コントロールでは使用されません。

使用例

次の使用例は、"ユーザー設定" というコマンド バーの先頭のコンボ ボックス コントロールを、同じコマンド バーの 7 番目のコントロールの前へ移動します。また、タグに "選択ボックス" を設定し、コントロールに優先度 5 を割り当てます。優先度の低いコントロールは、コマンド バーのコントロールが 1 行に収まらない場合に、コマンド バーの表示領域から削除されます。

Set allcontrols = CommandBars("ユーザー設定").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "選択ボックス"
            .Priority = 5
        End With
    Exit For
End If
Next


Private プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

コールバック プロシージャを開始した Office アシスタントのバルーンの固有 ID を表す整数を設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

解説

このプロパティは、さまざまな条件下で同じコールバック プロシージャを使用する場合などに役立ちます。

使用例

次の使用例は、Private プロパティを 129 に設定して、Office アシスタント バルーンを識別します。

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " 印刷の向きを選択してください。"
     .Text = "印刷の向きを選択し、 " & _
        "[OK] をクリックしてください。"
    .Labels(1).Text = "縦"
    .Labels(2).Text = "横"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId プロパティ

指定した COMAddIn オブジェクトのプログラム識別子 (ProgID) を取得します。値の取得のみ可能です。文字列型 (String) の値を使用します。

使用例

次の使用例は、COM アドイン 1 の ProgID と GUID をメッセージ ボックスに表示します。

MsgBox "ProgID は次のとおりです。" & _
    Application.COMAddIns(1).ProgID & _
    "GUID は次のとおりです。" & _
    Application.COMAddIns(1).Guid


PropertyTests プロパティ

ファイル検索に使用するすべての検索条件を表す PropertyTests コレクションを取得します。値の取得のみ可能です。

コレクションのメンバーを取得する方法については、「コレクションからオブジェクトを取得する」を参照してください。

使用例

次の使用例は、コレクションに含まれる先頭のプロパティ条件の内容を表示します。

With Application.FileSearch.PropertyTests(1)
myString = "次の条件でファイルを検索します。" _
    & "プロパティ名 : " & .Name & " 。条件 : " _
    & .Condition & " 。 "
If .Value <> "" Then
    myString = myString & "値 : " & .Value & " 。 "
    If .SecondValue <> "" Then
        myString = myString _
            & "2 番目の値 (上限) : " _
            & .SecondValue & " 。結合子 : " _
            & .Connector & " 。 "
    End If
End If
MsgBox myString
End With


ProportionalFont プロパティ

ホスト アプリケーションにプロポーショナル フォントを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

ProportionalFont プロパティを設定しても、ホスト アプリケーションは値の有効性をチェックしません。

使用例

次の使用例は、作業中のアプリケーションで使用される英語/西ヨーロッパ言語/その他のラテン系言語の文字セットの、プロポーショナル フォントとプロポーショナル フォント サイズを設定します。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


ProportionalFontSize プロパティ

ホスト アプリケーションにプロポーショナル フォント サイズを設定します。値の取得および設定が可能です。単精度浮動小数点型 (Single) の値を使用します。

解説

ProportionalFontSize プロパティを設定しても、ホスト アプリケーションは値の有効性をチェックしません。数字以外の文字など、無効な値を入力した場合、ホスト アプリケーションはサイズを 0 ポイントに設定します。サイズは 0.5 ポイント単位で指定できます。それ以外の小数点サイズを入力した場合、値を切り上げるか切り捨てて、0.5 単位で最も近いサイズに設定されます。

使用例

次の使用例は、作業中のアプリケーションで使用される英語/西ヨーロッパ言語/その他のラテン系言語の文字セットの、プロポーショナル フォントとプロポーショナル フォント サイズを設定します。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Protection プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

コマンド バーの表示状態をユーザーが変更できないように保護する方法を設定します。値の取得および設定が可能です。MsoBarProtection クラスの定数を使用します。

使用できる定数は、次に示す MsoBarProtection クラスのいずれかです。
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

解説

定数 msoBarNoCustomize を使って、ユーザーが、[ボタンの表示/非表示] メニューを使用できないように設定できます。ツールバーのユーザー設定は、このメニューを使って行います。

使用例

次の使用例は、コマンド バーのコレクション全体を対象に、[フォーム] コマンド バーを検索します。[フォーム] コマンド バーが見つかった場合、それを画面に表示し、ユーザーが表示状態を変更できないように保護します。

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "[フォーム] コマンド バーはコレクションに含まれていません。"
End If


Reduced プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタント ウィンドウの表示サイズが小さくなります。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

このプロパティは、Microsoft Office では使用されません。

使用例

次の使用例は、Office アシスタントの表示位置を指定し、いくつかのオプションを設定した後、Office アシスタントを画面に表示します。

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


RowCount プロパティ

指定したデータ ソースのレコード数を取得します。長整数型 (Long) の値を使用します。値の取得のみ可能です。

expression.RowCount

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

この次の使用例は、Region フィールドが空白のレコードをすべて削除する新しいフィルタを追加し、作業中の文書に適用します。

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


RowIndex プロパティ

指定したコマンド バーを画面の端に固定する場合に、同じ固定領域に含まれる他のコマンド バーとの表示順序を設定します。1 以上の整数、または MsoBarRow クラスの定数である msoBarRowFirst と msoBarRowLast のいずれかを指定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

解説

この数字が小さいほど、コマンド バーは先頭のほうに固定されます。複数のコマンド バーで同じ行インデックスを共有することができます。複数のコマンド バーでインデックスを共有する場合、一番最後に割り当てられたコマンド バーがそのグループの先頭に表示されます。

使用例

次の使用例は、"ユーザー設定" というコマンド バーを画面の左端から 140 ピクセルの位置に配置します。また、このコマンド バーの行インデックスを msoBarRowFirst に変更して、コマンド バーを固定領域の一番先頭に配置します。

Set myBar = CommandBars("ユーザー設定")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScopeFolder プロパティ

ScopeFolder オブジェクトを取得します。

expression.ScopeFolder

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、[マイ コンピュータ] の各ディレクトリのルート パスを表示します。この情報を取得するために、この例ではまず最初に [マイ コンピュータ] のルートにある ScopeFolder オブジェクトを取得します。この ScopeFolder のパスは、常に "*" になります。すべての ScopeFolder オブジェクトと同様、ルート オブジェクトにも ScopeFolders コレクションが保存されています。次の使用例では、この ScopeFolders コレクションを調べ、コレクション内の各 ScopeFolder オブジェクトのパスを表示します。これらの ScopeFolder オブジェクトのパスは、"A:\"、"C:\" などになります。

Sub DisplayRootScopeFolders()

    'SearchScope および ScopeFolder オブジェクトを参照する
    '変数を宣言します。
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        'SearchScopes コレクションをすべて調べて、
        '[マイ コンピュータ] のルートの ScopeFolders コレクションを
        'すべて表示します。
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'SearchScope オブジェクトの ScopeFolders コレクションの
                    '各 ScopeFolder オブジェクトをすべて調べ、
                    'パスを表示します。
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "パス :  " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


ScopeFolders プロパティ

ScopeFolders コレクションを取得します。このコレクションのアイテムは、親の ScopeFolder オブジェクトのサブフォルダに対応します。

expression.ScopeFolders

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、[マイ コンピュータ] の各ディレクトリのルート パスを表示します。この情報を取得するために、この例ではまず最初に [マイ コンピュータ] のルートにある ScopeFolder オブジェクトを取得します。この ScopeFolder のパスは、常に "*" になります。すべての ScopeFolder オブジェクトと同様、ルート オブジェクトにも ScopeFolders コレクションが保存されています。次の使用例では、この ScopeFolders コレクションを調べ、コレクション内の各 ScopeFolder オブジェクトのパスを表示します。これらの ScopeFolder オブジェクトのパスは、"A:\"、"C:\" などになります。

Sub DisplayRootScopeFolders()

    'SearchScope および ScopeFolder オブジェクトを参照する
    '変数を宣言します。
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        'SearchScopes コレクションをすべて調べて、
        '[マイ コンピュータ] のルートの ScopeFolders コレクションを
        'すべて表示します。
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'SearchScope オブジェクトの ScopeFolders コレクションの
                    '各 ScopeFolder オブジェクトをすべて調べ、
                    'パスを表示します。
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "パス :  " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


ScriptText プロパティ

スクリプト ブロックに含まれるテキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

Microsoft Office ホスト アプリケーションでは、スクリプトの構文をチェックしません。ScriptText プロパティは、Script オブジェクトの既定のプロパティです。

使用例

次の使用例は、作業中のブックのワークシート 1 に含まれる先頭のスクリプトのテキストを設定します。

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""スクリプトの新規テキスト"""


SearchFolders プロパティ

SearchFolders コレクションを取得します。

expression.SearchFolders

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、SearchFolders コレクションの現在の ScopeFolder オブジェクト数を表示します。詳しい使用例については、SearchFolders コレクションのトピックを参照してください。

MsgBox "コレクションの ScopeFolder オブジェクト数 :  " & _
    Application.FileSearch.SearchFolders.Count


SearchScopes プロパティ

SearchScopes コレクションを取得します。

expression.SearchScopes

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、SearchScopes コレクションの現在使用できる SearchScope オブジェクトをすべて表示します。

Sub DisplayAvailableScopes()

    'SearchScope オブジェクトを参照する
    '変数を宣言します。
    Dim ss As SearchScope

    'With...End With ブロックを使用して、
    'FileSearch オブジェクトを参照します。
    With Application.FileSearch

        'SearchScopes コレクションをすべて調べます。
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "[マイ コンピュータ] が検索範囲です。"
                Case msoSearchInMyNetworkPlaces
                    MsgBox "[マイ ネットワーク] が検索範囲です。"
                Case msoSearchInOutlook
                    MsgBox "Outlook が検索範囲です。"
                Case msoSearchInCustom
                    MsgBox "ユーザー設定の検索範囲を使用できます。"
                Case Else
                    MsgBox "検索範囲を指定できません。"
            End Select
        Next ss
    End With
End Sub


SearchSubFolders プロパティ

True を設定すると、LookIn プロパティで指定したフォルダのすべてのサブフォルダが検索の対象に含まれます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

使用例

次の使用例は、[My Documents] フォルダの中で、ファイル名が "cmd" で始まるすべてのファイルを検索し、条件を満たすファイルの名前と保存場所の一覧を表示します。この使用例では、[My Documents] フォルダのサブフォルダもすべて検索の対象に含まれます。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:¥My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox .FoundFiles.Count & _" 個のファイルが見つかりました。"
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "検索条件を満たすファイルはありません。"
    End If
End With


SearchWhenProgramming プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Visual Basic で作業をしている間、Office アシスタントは製品ヘルプとプログラミング ガイドの両方からトピックを検索します。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

既定値は False です。SearchWhenProgramming プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [Office アシスタントの使用] の [プログラムの作成中に、製品ヘルプとプログラミング ガイドの両方からトピックを検索する] チェック ボックスに対応しています。

使用例

次の使用例は、Visual Basic で作業をしている間、Office アシスタントが製品ヘルプとプログラミング ガイドの両方からトピックを検索するように設定します。

Assistant.SearchWhenProgramming = True


SecondValue プロパティ

指定したプロパティ条件の 2 番目の値 (上限) を取得します。値の取得のみ可能です。バリアント型 (Variant) の値を使用します。

解説

このプロパティは、プロパティ条件の値の範囲を指定するときに使用します。MsoCondition クラスの定数である msoConditionAnyTimeBetween または msoConditionAnyNumberBetween と組み合わせて使用する必要があります。

使用例

次の使用例は、プロパティ条件の 2 番目の値をダイアログ ボックスに表示します。2 番目の値が存在しない場合、別のメッセージを表示します。

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "2 番目の値が指定されていません。"
Else
    MsgBox "2 番目の値 : " _
    & .SecondValue
End If
End With


SelectedItems プロパティ

FileDialogSelectedItems コレクションを取得します。このコレクションには、FileDialog オブジェクトの Show メソッドによって表示されたファイルのダイアログ ボックスでユーザーが選択したファイルのパスの一覧が保存されています。

expression.SelectedItems

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックスを表示し、 選択された各ファイルをメッセージ ボックスに表示します。

Sub Main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        '複数のファイルを選択できるように設定します。
        .AllowMultiSelect = True

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then
            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


Shape プロパティ

Shape オブジェクトまたは InlineShape オブジェクトを取得します。取得するオブジェクトの種類は Microsoft Office ホスト アプリケーションによって異なります。値の取得のみ可能です。オブジェクト型 (Object) の値を使用します。

解説

Shape プロパティは、Microsoft Excel および PowerPoint の Shape オブジェクトを取得します。Word では、スクリプト アンカーの位置が固定されていない場合は Shape オブジェクトを取得しますが、スクリプト アンカーがインライン アンカーである場合は InlineShape オブジェクトを取得します。

使用例

次の使用例は、Scripts コレクション内の先頭のスクリプトに関連付けられた図形を取得し、作業中のブックのワークシート 1 からその図形を削除します。

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


ShortcutText プロパティ

指定したボタン コントロールがメニュー、サブメニュー、またはショートカット メニューに表示されたときに、コントロールの隣に表示されるショートカット キーのテキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

このプロパティは、OnAction マクロが登録されたコマンド バー ボタンに対してのみ設定できます。

使用例

次の使用例は、Microsoft Excel のワークシート メニュー バーに含まれる [開く] コマンド ([ファイル] メニュー) のショートカット キーをメッセージ ボックスに表示します。

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("ファイル").Controls("開く"...).ShortcutText)


SignDate プロパティ

Signature オブジェクトに対応するデジタル証明書が文書に添付された日付と時刻を取得します。バリアント型 (Variant) の値を使用します。値の取得のみ可能です。

expression.SignDate

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、Word の作業中の文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開いて、この関数を呼び出します。この関数では、選択されたデジタル署名の有効期間が 12 か月以上あるか調べます。12 か月未満で無効になる場合、証明書は添付されません。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    '新しい Signature オブジェクトの有効期限が
    '近づいていないか調べます。次の式は、
    'その Signature オブジェクトの有効期限までの月数を計算します。
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "この証明書は、1 年未満で無効になります。" & vbCrLf & _
        "新しい証明書を使用してください。"

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'SignatureSet コレクションのすべての署名をディスクに反映します。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションはキャンセルされました。"
End Function


Signer プロパティ

Signature オブジェクトに対応するデジタル証明書を文書に添付した署名者名を取得します。文字列型 (String) の値を使用します。値の取得のみ可能です。

expression.Signer

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザーに対して、作業中の Word 文書に添付するデジタル署名を選択するように指示します。この使用例を実行するには、Word で文書を開き、この関数に証明書の発行者と署名者の名前を渡します。これらの名前は、[証明書] ダイアログ ボックスの証明書の情報の "発行先" および "発行者" フィールドと一致している必要があります。次の使用例は、ユーザーが選択したデジタル署名が有効期限などの条件を満たしていることを確認し、新しい署名をディスクに反映します。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'ユーザーがデジタル署名を選択するための
    'ダイアログ ボックスを表示します。
    'ユーザーが署名を選択した場合、
    'その署名が Signatures
    'コレクションに追加されます。ユーザーが署名を選択しなかった場合は、
    'エラーになります。
    Set sig = ActiveDocument.Signatures.Add

    'いくつかのプロパティを確認してから、Signature オブジェクトをディスクに反映させます。
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "署名あり"
        AddSignature = True
    '条件が確認できない場合、その Signature オブジェクトを SignatureSet コレクションから削除します。
    Else
        sig.Delete
        MsgBox "署名なし"
        AddSignature = False
    End If

    'SignatureSet コレクション内のすべての署名をディスクに反映させます。
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "アクションがキャンセルされました。"
End Function


Sounds プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アシスタントのアニメーションに対応した音を鳴らします。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

既定値は True です。Sounds プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [Office アシスタントの使用] の [音を鳴らす] チェック ボックスに対応しています。 サウンド カードがインストールされていない場合、このプロパティは無視されます。

使用例

次の使用例は、Office アシスタントを表示して、アニメーションを実行し、その動作に対応した音を鳴らします。

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


State プロパティ

CommandBarButton オブジェクトの State プロパティ

コマンド バーのボタン コントロールの表示方法を設定します。値の取得および設定が可能です。MsoButtonState クラスの定数を使用します。

使用できる定数は、次に示す MsoButtonState クラスの定数のいずれかです。
msoButtonDown
msoButtonMixed
msoButtonUp

expression.State

expression 必ず指定します。CommandBarButton オブジェクトを表すオブジェクト式を指定します。

HTMLProject オブジェクトの State プロパティ

HTMLProject オブジェクトの現在の状態を取得します。値の取得のみ可能です。MsoHTMLProjectState クラスの定数を使用します。

使用できる定数は、次に示す MsoHTMLProjectState クラスの定数のいずれかです。
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expression.State

expression 必ず指定します。HTMLProject オブジェクトを表すオブジェクト式を指定します。

使用例

CommandBarButton オブジェクトの場合

次の使用例は、ユーザー設定というコマンド バーを作成し、空白のボタンを 2 つ追加します。左側のボタンを msoButtonUp に、右側のボタンを msoButtonDown にそれぞれ設定します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("ユーザー設定").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("ユーザー設定").Controls(2)
myControl2.State = msoButtonDown


Style プロパティ

Style プロパティを CommandBarButton オブジェクトに指定した場合

コマンド バーのボタン コントロールの表示方法を設定します。値の取得および設定が可能です。MsoButtonStyle クラスの定数を使用します。

使用できる定数は、次に示す MsoButtonStyle クラスのいずれかです。
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

Style プロパティを CommandBarComboBox オブジェクトに指定した場合

コマンド バーのコンボ ボックス コントロールの表示方法を設定します。値の取得および設定が可能です。使用できる定数は、MsoComboStyle クラスの msoComboLabel または msoComboNormal です。

使用できる定数は、次に示す MsoComboStyle クラスのいずれかです。
msoComboLabel
msoComboNormal

使用例

次の使用例は、ボタン コントロールとコンボ ボックス コントロールが 1 つずつ含まれるショートカット メニューを作成し、それぞれにスタイルを設定します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定 1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "バニラ"
        .AddItem "チョコレート"
        .AddItem "ストロベリー"
    End With
End With
myBar.ShowPopup


Table プロパティ

差し込み印刷レコードが保存されているデータ ソース ファイル内のテーブル名を取得します。文字列型 (String) の値を使用します。テーブル名が不明の場合、または現在のデータ ソースに適用できない場合、戻り値は空白の文字列になります。値の取得のみ可能です。

expression.Table

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、テーブル名が空白の場合にテーブル名を設定します。

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=ユーザー;PWD=;DATABASE=Northwind", bstrTable:="社員"

    If appOffice.Table = "" Then
        appOffice.Table = "社員"
    End If

End Sub


Tag プロパティ

コマンド バー コントロールについての説明を設定します。プロシージャの引数として使用できるデータ、コントロールの ID 番号などの説明を設定できます。値の取得および設定が可能です。文字列型 (String) の値を使用します。

expression.Tag

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

解説

イベントの発生時に、同じクラスのセルが重複することを避けるには、イベントごとに固有の Tag プロパティを定義します。次の使用例は、2 つのモジュールでこのプロパティをイベント別に定義します。

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox ctrl.Caption & "がクリックされました。"

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "ボタン" & i
            .Style = msoButtonCaption
            .Tag = "タグ" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

使用例

次の使用例は、ユーザー設定のコマンド バーのボタンに "スペル チェック ボタン" というタグを設定し、そのタグをメッセージ ボックスに表示します。

CommandBars("ユーザー設定").Controls(1).Tag = "スペル チェック ボタン"
MsgBox (CommandBars("ユーザー設定").Controls(1).Tag)


Text プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

BalloonLabel または BalloonCheckbox オブジェクトでは、Office アシスタントのバルーンで、指定したチェック ボックスまたはラベルの横に表示されるテキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

Balloon オブジェクトでは、Office アシスタントのバルーンで、見出しとラベルまたはチェック ボックスの間に表示されるテキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

CommandBarComboBox オブジェクトでは、コマンド バーのコンボ ボックス コントロールの項目を表すテキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

HTMLProjectItem オブジェクトでは、HTML エディタ内のテキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

expression.Text

expression 必ず指定します。オブジェクトへの参照を表すオブジェクト式を指定します。

解説

Balloon、BalloonLabel、および BalloonCheckbox オブジェクトの場合、次の構文を使用して、特定のグラフィックスが表示されるように指定できます。
{type location sizing_factor}
この構文で、type には bmp (ビットマップ) か wmf (Windows メタファイル)、location にはリソース ID かファイルのパスと名前、sizing_factor には .WMF ファイルの幅をそれぞれ指定します。.BMP ファイルでは、sizing_factor の指定は無視されます。

Balloon オブジェクトでは、下線付きのテキストおよび 16 のシステム パレット カラーのうちのいずれかが適用されたテキストを指定することもできます。下線付きのテキストを表示するには、{ul} または {ul 1} という構文を使用します。下線を解除するには、{ul 0} という構文を使用します。テキストの色を変えるには、テキスト文字列の前に {cf number} という文字の並びを指定します。number には、次に示すシステム カラー番号のいずれかを指定します。

システム カラー番号 | 色
0 | 黒
1 | 濃い赤
2 | 濃い緑
3 | 濃い黄
4 | 濃い青
5 | 濃いマゼンタ
6 | 濃いシアン
7 | 淡い灰色
248 | 灰色
249 | 赤
250 | 緑
251 | 黄
252 | 青
253 | マゼンタ
254 | シアン
255 | 白

この表のシステム カラー番号以外の番号を指定した場合、Office アシスタントのバルーン内のテキストの色は黒になります。

使用例

次の使用例は、"ユーザー設定" という新しいコマンド バーを作成し、4 つのリスト項目が含まれるコンボ ボックスを追加します。次に、Text プロパティを使って、項目 3 を既定のリスト項目に設定します。

Set myBar = CommandBars _
    .Add(Name:="ユーザー設定", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("ユーザー設定").Controls(1)
With testComboBox
    .AddItem "項目 1", 1
    .AddItem "項目 2", 2
    .AddItem "項目 3", 3
    .AddItem "項目 4", 4
    .Text = "項目 3"
End With

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含む Office アシスタントのバルーンを作成します。この例では、Text プロパティを使用して、ユーザーに対するバルーンの内容に関連した指示と、各テキスト ボックスのラベルを表示します。

With Assistant.NewBalloon
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Show
End With

次の使用例は、新しい Office アシスタントのバルーンを作成します。このバルーンには、下線付の見出しのテキスト、赤いテキスト、および青い下線付きのテキストが含まれています。

With Assistant.NewBalloon
    .Heading = "下線付きの{ul 1}見出し{ul 0}"
    .Text = "いくつかの{cf 249}赤い{cf 0}文字といくつかの" & _
    "下線付きの{cf 252}{ul 1}青い{ul 0}{cf 0}文字"
    .Show
End With

次の使用例は、Windows メタファイルが含まれる Office アシスタントのバルーンを作成します。

With Assistant.NewBalloon
    .Heading = "下線付きの{ul 1}見出し{ul 0}"
    .Text ="{WMF ""C:¥Favorites¥MyPicture.WMF""}"
    .Show
End With


TextOrProperty プロパティ

指定したファイル検索の実行中に、ファイルの内容またはファイル プロパティの中から検索する文字列を設定します。文字列にはアスタリスク (*)、または疑問符 (?) のワイルドカードを使用することもできます。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

疑問符 (?) のワイルドカードを使用して、任意の 1 文字を表すことができます。たとえば、｢gr?y」 と入力すると、"gray" または "grey" のいずれかが 1 つでも含まれるすべてのファイルが検索されます。

アスタリスク (*) のワイルドカードを使用して、任意の文字列を表すことができます。たとえば、｢San*」 と入力すると、"San" で始まる単語が 1 つでも含まれるすべてのファイルが検索されます。

使用例

次の使用例は、C:¥My Documents フォルダとそのすべてのサブフォルダの中で、ファイルの内容またはプロパティのいずれかに "San" で始まる単語が含まれるすべてのファイルを検索します。TextOrProperty プロパティは、検索する単語を設定し、検索の対象をファイルの内容またはファイル プロパティのいずれかに限定します。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:¥My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True を設定すると、Office アプリケーションを起動したときに、日替わりのワンポイント ヒントが表示されます。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

解説

既定値は False です。TipOfDay プロパティは、[Office アシスタント] ダイアログ ボックスの [オプション] タブにある [ヒントの表示対象] の [起動時にワンポイントを表示する] チェック ボックスに対応しています。

使用例

次の使用例は、Office アシスタントの表示位置を指定し、いくつかのオプションを設定した後、Office アシスタントを画面に表示します。

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Title プロパティ

FileDialog オブジェクトを使用して表示されるファイルのダイアログ ボックスのタイトルを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

expression.Title

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、FileDialog オブジェクトを使用して [参照] ダイアログ ボックスを表示し、 選択された各ファイルをメッセージ ボックスに表示します。

Sub main()

    'FileDialog オブジェクトの変数を宣言します。
    Dim fd As FileDialog

    '[参照] ダイアログ ボックスの FileDialog オブジェクトを作成します。
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    '選択した各アイテムのパスを保存する
    '変数を宣言します。パスは文字列型 (String) ですが、
    '変数はバリアント型 (Variant) である必要があります。Each...Next ルーチンは、
    'バリアント型 (Variant) およびオブジェクト型 (Object) の値でのみ動作します。
    Dim vrtSelectedItem As Variant

    'With...End With ブロックを使用して、FileDialog オブジェクトを参照します。
    With fd

        'ダイアログ ボックスのタイトルを変更します。
        .Title = "アーカイブ"

        'Show メソッドを使用して [参照] ダイアログ ボックスを表示し、ユーザーのアクションを取得します。
        'ユーザーがアクション ボタンをクリックした場合
        If .Show = -1 Then

            'FileDialogSelectedItems コレクション内のすべての文字列を調べます。
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem は、選択した各アイテムのパスを保存する文字列型 (String) の値です。
                'このパスで使用したいファイルの I/O 関数があれば、使用することができます。
                'この使用例では、単にメッセージ ボックスにパスを表示します。
                MsgBox "選択したアイテムのパス : " & vrtSelectedItem

            Next vrtSelectedItem
        'ユーザーが [キャンセル] をクリックした場合
        Else
        End If
    End With

    'オブジェクトの変数に Nothing を設定します。
    Set fd = Nothing

End Sub


TooltipText プロパティ

指定したコマンド バー コントロールのボタン名を表示するポップ ヒントのテキストを設定します。値の取得および設定が可能です。文字列型 (String) の値を使用します。

解説

特に指定しない限り、Caption プロパティの値がボタン名を表示するポップ ヒントとして使用されます。

使用例

次の使用例は、アクティブなメニュー バーの最後のコントロールを新しいグループの始まりに設定し、そのコントロールのボタン名を表示 (説明) するポップ ヒントを追加します。

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "クリックすると、コマンドやボタンのヘルプが表示されます。"


Top プロパティ

このトピックの内容は言語によっては適用されない場合があります。

Assistant および CommandBar オブジェクトの Top プロパティ

Office アシスタントの上端または指定したコマンド バーの上端から画面の上端までの距離 (ポイント単位) を設定します。固定したコマンド バーの場合、このプロパティはコマンド バーから固定領域の上端までの距離を設定します。値の取得および設定が可能です。長整数型 (Long) の値を使用します。

expression.Top

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

CommandBarButton、CommandBarComboBox、CommandBarControl、および CommandBarPopup オブジェクトの Top プロパティ

指定したコマンド バー コントロールの上端から画面の上端までの距離 (ピクセル単位) を取得します。値の取得のみ可能です。長整数型 (Long) の値を使用します。

expression.Top

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

Assistant および CommandBar オブジェクトの場合

次の使用例は、Office アシスタントを画面の上端から 100 ピクセルの位置に移動し、次に、画面の上端から 500 ピクセルの位置になるように Top プロパティを設定します。

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "[OK] をクリックするとアシスタントを " & _
         "新しい位置に移動します。"
Assistant.Top = 500

次の使用例は、ユーザー設定という名前の固定されていないコマンド バーの左上隅を、画面の左端から 140 ピクセル、上端から 100 ピクセルの位置に合わせます。

Set myBar = CommandBars("ユーザー設定")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Type プロパティ

CommandBar オブジェクトの Type プロパティ

コマンド バーの種類を取得します。値の取得のみ可能です。MsoBarType クラスの定数を使用します。

使用できる定数は、次に示す MsoBarType クラスの定数のいずれかです。
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expression.Type

expression 必ず指定します。CommandBar オブジェクトを表すオブジェクト式を指定します。

CommandBarButton、CommandBarComboBox、CommandBarControl、および CommandBarPopup オブジェクトの Type プロパティ

コマンド バー コントロールの種類を取得します。値の取得のみ可能です。MsoControlType クラスの定数を使用します。

使用できる定数は、次に示す MsoControlType クラスの定数のいずれかです。
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expression.Type

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

SearchScope オブジェクトの Type プロパティ

SearchScope オブジェクトの種類に対応する値を取得します。この種類は、FileSearch オブジェクトの Execute メソッドでファイルを検索する領域を示します。値の取得のみ可能です。MsoSearchIn クラスの定数を使用します。

使用できる定数は、次に示す MsoSearchIn クラスの定数のいずれかです。
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expression.Type

expression 必ず指定します。SearchScope オブジェクトを表すオブジェクト式を指定します。

DocumentProperty オブジェクトの Type プロパティ

ドキュメント プロパティの種類を設定します。組み込みのドキュメント プロパティの場合、値の取得のみ可能です。ユーザー設定のドキュメント プロパティの場合、値の取得および設定が可能です。

expression.Type

expression 必ず指定します。DocumentProperty オブジェクトを表すオブジェクト式を指定します。

解説

取得する値は、MsoDocProperties クラスの定数です。

使用できる定数は、次に示す MsoDocProperties クラスの定数のいずれかです。
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

使用例

CommandBar オブジェクトの場合

次の使用例は、ユーザー設定というコマンド バーの先頭のコントロールを検索します。Type プロパティを使って、コントロールがボタンかどうかを判断します。コントロールがボタンの場合、[標準] ツールバーの [コピー] ボタンのボタン イメージをコピーし、先頭のコントロールに貼り付けます。

Set oldCtrl = CommandBars("ユーザー設定").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("標準").Controls("コピー").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

DocumentProperty オブジェクトの場合

次の使用例は、ドキュメント プロパティの名前、種類、および値を表示します。このとき、有効な DocumentProperty オブジェクトをプロシージャに渡す必要があります。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "値 = " & dp.Value & Chr(13) & _
        "種類 = " & dp.Type & Chr(13) & _
        "名前 = " & dp.Name
End Sub


Value プロパティ

DocumentProperty オブジェクトの Value プロパティ

ドキュメント プロパティの値を設定します。値の取得および設定が可能です。バリアント型 (Variant) の値を使用します。

expression.Value

expression 必ず指定します。DocumentProperty オブジェクトを表すオブジェクト式を指定します。

解説

コンテナ アプリケーションでは、すべての組み込みのドキュメント プロパティに対して値が定義されているわけではありません。目的のアプリケーションで組み込みのドキュメント プロパティの値が定義されていない場合、そのドキュメント プロパティに対する Value プロパティを取得すると、エラーが発生します。

PropertyTest オブジェクトの Value プロパティ

ファイル検索のプロパティ条件の値を取得します。値の取得のみ可能です。バリアント型 (Variant) の値を使用します。

expression.Index

expression 必ず指定します。PropertyTest オブジェクトを表すオブジェクト式を指定します。

使用例

DocumentProperty オブジェクトの場合

次の使用例は、ドキュメント プロパティの名前、種類、および値を表示します。この使用例を実行するには、dp が有効な DocumentProperty オブジェクトでなければなりません。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "値 = " & dp.Value & Chr(13) & _
        "種類 = " & dp.Type & Chr(13) & _
        "名前 = " & dp.Name
End Sub

PropertyTes オブジェクトの場合

次の使用例は、検索条件の値をメッセージ ボックスに表示します。2 番目 (範囲の上限) の値が存在しない場合、この使用例は別のメッセージを表示します。

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "値が指定されていません。"
    Else
        MsgBox "設定されている値 : " _
            & .Value
    End If
End With


Visible プロパティ

このトピックの内容は、すべての言語で利用できない可能性があります。

True の場合、指定されたオブジェクトを表示します。値の取得および設定が可能です。ブール型 (Boolean) の値を使用します。

expression.Visible

expression 必ず指定します。オブジェクトへの参照を表すオブジェクト式を指定します。

解説

新しく作成するコマンド バーの Visible プロパティは False になります。

コマンド バーの Visible プロパティに True を設定するには、先に Enabled プロパティに True が設定されている必要があります。

使用例

次の使用例は、コマンド バーのコレクション全体を対象に、[フォーム] コマンド バーを検索します。[フォーム] コマンド バーが見つかった場合、それを画面に表示し、ユーザーが表示状態を変更できないように保護します。

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "[フォーム] コマンド バーはコレクションに含まれていません。"
End If

次の使用例は、Office アシスタントを表示して、アニメーションを設定します。

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Width プロパティ

指定したコマンド バーまたはコマンド バー コントロールの幅 (ピクセル単位) を設定します。値の取得および設定が可能です。整数型 (Integer) の値を使用します。

expression.Width

expression 必ず指定します。対象となるオブジェクトへの参照を表すオブジェクト式を指定します。

使用例

次の使用例は、ユーザー設定というコマンド バーに、ユーザー設定のコントロールを追加します。さらに、このコントロールの高さをコマンド バーの高さの 2 倍に設定し、幅を 50 ピクセルに設定します。このコントロールのサイズに合わせて、コマンド バーのサイズが自動的に変更されます。

Set myBar = CommandBars("ユーザー設定")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("標準").Controls("保存").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Change イベント

エンド ユーザーがコマンド バーのコンボ ボックス内で選択項目を変更するときに発生します。

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

解説

Change イベントは、CommandBarComboBox オブジェクトによって認識されます。特定の CommandBarComboBox コントロールの Change イベントを取得するには、WithEvents キーワードで変数を宣言し、その変数に CommandBarComboBox コントロールを設定します。Change イベントが発生すると、コントロールの OnAction プロパティで指定したマクロやコードが実行されます。

使用例

次の使用例は、4 つのオプションを含む CommandBarComboBox コントロールを備えたコマンド バーを作成します。コンボ ボックスは、CommandBarComboBox_Change イベントによるユーザーとの対話に応答します。

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="テスト コマンド バー", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "ファースト クラス", 1
        .AddItem "ビジネス クラス", 2
        .AddItem "エコノミー クラス", 3
        .AddItem "キャンセル待ち", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

この使用例は、VBA プロジェクトのクラス モジュール内に格納されている次のコードを利用しています。

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "'" & box.Caption & "' コンボ ボックスのイベントの同期をとります。"
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "ファースト クラス"
            FirstClass
        Case "ビジネス クラス"
            BusinessClass
        Case "エコノミー クラス"
            CoachClass
        Case "キャンセル待ち"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "ファースト クラスを予約しました。"
End Sub
Private Sub BusinessClass()
    MsgBox "ビジネス クラスを予約しました。"
End Sub
Private Sub CoachClass()
    MsgBox "エコノミー クラスを予約しました。"
End Sub
Private Sub Standby()
    MsgBox "キャンセル待ちです。"
End Sub


Click イベント

ユーザーが CommandBarButton オブジェクトをクリックすると発生します。

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

Click イベントの構文では、次に示す 2 つの引数を指定します。

引数 | 説明
Ctrl | 必ず指定します。このイベントを開始する CommandBarButton コントロールを指定します。
CancelDefault | 必ず指定します。ブール型 (Boolean) の値を指定します。False を指定すると、別のプロセスやアドインによって取り消されない限り、CommandBarButton コントロールに関連付けられた既定の動作が発生します。

解説

Click イベントは、CommandBarButton オブジェクトによって認識されます。特定の CommandBarButton コントロールの Click イベントを取得するには、WithEvents キーワードで変数を宣言し、その変数に目的のコントロールを設定します。

使用例

次の使用例は、ブックを CSV (カンマ区切り) ファイルとして保存できるコマンド バー ボタンを、ホスト アプリケーションの [ファイル] メニュー上に新規作成します。このコードはすべてのアプリケーションで動作しますが、CSV 形式で保存できるのは、Microsoft Excel で使用した場合のみです。

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("ファイル")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "CSV 形式で保存 (カンマ区切り)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("CSV 形式で保存 (カンマ区切り)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "CSV 形式で保存 (カンマ区切り)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' ここにエラー処理コードを追加します。
End Sub


EnvelopeHide イベント

MsoEnvelope オブジェクトに対応するユーザー インターフェイス (UI) を非表示にするときに発生します。

Private Sub object_EnvelopHide()

object クラス モジュールでイベントと共に宣言された MsoEnvelope 型のオブジェクトを参照する変数を指定します。

使用例

次の使用例は、MsoEnvelope オブジェクトのイベント処理ルーチンを設定します。

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "MsoEnvelope UI は表示されています。"
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "MsoEnvelope UI は非表示です。"
End Sub


EnvelopeShow イベント

MsoEnvelope オブジェクトに対応するユーザー インターフェイス (UI) を表示するときに発生します。

Private Sub object_EnvelopShow()

object クラス モジュールでイベントと共に宣言された MsoEnvelope 型のオブジェクトを参照する変数を指定します。

使用例

次の使用例は、MsoEnvelope オブジェクトのイベント処理ルーチンを設定します。

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "MsoEnvelope UI は表示されています。"
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "MsoEnvelope UI は非表示です。"
End Sub


OnUpdate イベント

コマンド バーに何らかの変更が加えられると発生します。

Private Sub CommandBars_OnUpdate()

解説

OnUpdate イベントは、 CommandBar オブジェクトおよびすべてのコマンド バー コントロールによって認識されます。このイベントは、コマンド バーまたはコマンド バー コントロールの変更や、コマンド バーまたはコマンド バー コントロールの状態の変更によって発生します。これらの変更は、テキストやセルの選択などによって発生する場合があります。通常の場面では、OnUpdate イベントが大量に発生する可能性があるので、このイベントの使用には注意が必要です。このイベントは主に、ユーザー設定のコマンド バーが COMAddIn によって追加または削除されたことをチェックするのに使用することをお勧めします。


非表示の言語要素

非表示の言語要素についてのヘルプが要求されました。非表示のため、プログラムによるアクセスはできません。


バルーンの作成と変更

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントは、ユーザーに情報を提供するために使用します。バルーンには、単純なメッセージ、追加情報のリクエスト、ユーザー オプションの一覧などを表示できます。なお、Office アシスタントのバルーンへの変更は、実行時の変更に限られます。

次の表は、新しく作成した (空白の) バルーンまたは既存のバルーンの外観や機能を変更するための主なプロパティとメソッドの一覧です。バルーンに加えた変更は、次に Show メソッドを実行したときに反映されます。

プロパティ/メソッド | 説明
Heading | Office アシスタントのバルーンの上端に表示されるテキストを指定します。
Text | Office アシスタントのバルーンの本文に表示されるテキストを指定します。このテキストは、見出しとチェック ボックス、ラベル、またはボタンの間に表示されます。
Labels | バルーンに含まれるラベルのコレクションを返します。ラベルの書式は BalloonType プロパティで指定されます。ラベルはバルーン テキストの後に表示されます。ラベルの一覧には箇条書きや行頭番号の書式を設定できます。また、ボタンの一覧を使用することもできます。チェック ボックスと違って、ユーザーの選択は、ユーザーがボタンをクリックすると同時に登録されます。
CheckBoxes | バルーンに含まれるチェック ボックスのコレクションを返します。ユーザーがチェック ボックスをオンにし、バルーンの下部にあるボタン ([OK]、[次へ] など) をクリックすると、ユーザーの選択内容が登録されます。
Close | モードレスなバルーンを閉じます。ただし、バルーンに割り当てたオブジェクト変数は開放されないので、バルーンを再表示するときに使用できます。このメソッドは、モードレスなバルーンに対してのみ使用できます。
Show | バルーンと、バルーンに含まれるすべてのオブジェクトをユーザーに表示します。このメソッドは、Balloon オブジェクトに対してのみ使用できます。Assistant オブジェクトを表示するには、Visible プロパティを使用します。

次の使用例は、プリンタの選択方法を説明するバルーンを作成します。この使用例は、プリンタの選択方法がバルーンに再び表示されないようにするためのチェック ボックスも表示します。

Set bln = Assistant.NewBalloon
With bln
    .Heading = "プリンタを選択するには"
    .Text = "プリンタを選択したら [OK] をクリックしてください。"
    lblTxt = "[ファイル] メニューの [印刷] をクリックします。"
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "[セットアップ] をクリックします。"
    .Labels(3).Text = "プリンタ名を選択します。"
    .CheckBoxes(1).Text = "この説明を表示しない。"
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

バルーンの作成

新しいバルーンを作成するには、Assistant オブジェクトの NewBalloon プロパティを使用します。作成したバルーンには何も表示されません。Heading プロパティで見出しを追加し、Text プロパティでバルーンの本文にテキストを追加した後、必要に応じてコントロールを追加します。最後に、Show メソッドを使用して、バルーンを表示します。Show メソッドを実行すると、その時点で設定されているオプションを使用してバルーンが表示されます。このため、必要なバルーンのプロパティをすべて設定した後で、このメソッドを使用することが重要です。次の使用例は、新しいバルーンを作成し、見出しと本文テキストを設定して、ユーザーが選択できる 3 つのチェック ボックスを作成します。

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "地域別売り上げデータ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Show
End With

複数のバルーンの管理

Office アシスタントには Balloons コレクションがありません。複数のバルーンを操作するには、作成したバルーンごとに異なるオブジェクト変数を設定し、必要に応じてその変数を参照するようにします。また、Balloon オブジェクト変数の配列を作成して、変数ごとにバルーンを割り当てることもできます。次の使用例は、配列を作成して、その配列に 3 つの空白の Balloon オブジェクトを追加します。

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Macintosh キーワードのヘルプを参照する

指定された Visual Basic キーワードは、Macintosh でのみ使用できます。このキーワードの詳細については、Microsoft Office Macintosh Edition 付属の言語リファレンス ヘルプを参照してください。


実行時におけるバルーンの変更

このトピックの内容は、すべての言語で利用できない可能性があります。

Office アシスタントのバルーンを作成した後、ビットマップ、アイコン、Windows メタファイルなどをバルーンの見出しやテキストに追加することによって、Office アシスタントの外観を変更することができます。また、必要に応じて、チェック ボックスやボタンなどのコントロールをバルーンに追加し、ユーザーがバルーンの項目をクリックしたときに、適切なトピックやメッセージを表示することもできます。さらに、色や下線などの属性を使ってバルーンのテキストを強調することもできます。

バルーンにアイコンやビットマップを追加する

アイコンを追加するには、MsoIconType 定数を Balloon オブジェクトの Icon プロパティに指定します。ビットマップまたは Windows メタファイルを Office アシスタント バルーン内のテキストに追加するには、見出し、テキスト、チェック ボックス、またはラベルの Text プロパティ設定時に種類、場所、およびサイズ (該当する場合) を指定します。次の使用例は、バルーンのテキストに Windows ビットマップ ファイルを挿入します。

myBmp = "{bmp c:¥Windows¥circles.gif}"
myText1 = "図の前に入るテキストを入力"
myText2 = "図の後ろに入るテキストを入力"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "ビットマップを選択するには"
    .Text = myText1 & myBmp & myText2
    .Show
End With

バルーンにコントロールを追加する

バルーンに追加できるコントロールには、チェック ボックスとボタンの 2 種類があります。新しいバルーンには、5 つの空白のチェック ボックスが自動的に追加されます。コントロールのテキストを指定することによって、任意のチェック ボックスを表示することができます。また、バルーンの種類が msoBalloonTypeButtons である場合は、既定で 5 つの空白のラベル ボタンが含まれます。チェック ボックスの場合と同じ方法で、任意のラベル ボタンを表示することができます。チェック ボックスやボタンを 6 つ以上バルーンに追加しようとすると、エラーが発生します。

コントロールの Text プロパティを変更することによって、バルーンの任意のコントロールの外観を変更することができます。ユーザーがチェック ボックスをオンにしたり、ボタンをクリックするたびに、別のプロシージャが実行されるように設定すると、バルーンに含まれるチェック ボックスやボタンの機能を変更することができます。

次の使用例は、見出し、テキスト、および 3 つの地域オプションを含むバルーンを作成します。ユーザーがチェック ボックスをオンにして [OK] をクリックした場合に、適切なプロシージャを実行します。

With Assistant.NewBalloon
    .Heading = "地域別売上データ"
    .Text = "地域を選択してください。"
    For i = 1 To 3
        .CheckBoxes(i).Text = "地域 " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

バルーンのテキストに色や下線を追加する

バルーンのテキストに追加できる属性には、色と下線の 2 種類があります。使用できる色は、16 色のシステム カラーです。また、下線を使ってバルーンのテキストを強調することもできます。これらのテキスト属性はバルーンのテキストに直接埋め込まれます。コード上でテキスト属性を指定するには、中かっこ ({ }) を使用します。次の使用例は、下線付きの見出し、赤色のテキスト、および下線付きの青色のテキストを含む新しい Office アシスタントを作成します。

With Assistant.NewBalloon
    .Heading = "下線付きの{ul 1}見出し{ul 0}"
    .Text = "このテキストは{cf 249}赤色{cf 0}に設定されており、このテキストは" & _
    "下線付きの{cf 252}{ul 1}青色{ul 0}{cf 0}に設定されています。"
    .Show
End With


コレクションからオブジェクトを取得する

Item プロパティを使用すると、コレクションから 1 つのオブジェクトを取得できます。次の使用例は、CommandBars コレクションの先頭のコマンド バーを表す CommandBar オブジェクトを変数 cmdbar に設定します。

Set cmdbar = CommandBars.Item(1)

Item プロパティは、ほとんどのコレクションにおける既定のプロパティです。したがって、キーワード Item を省略しても、省略しない場合と同じ意味を持つステートメントになります。

Set cmdbar = CommandBars(1)

特定のコレクションの詳細については、目的のコレクションまたはその Item プロパティのヘルプ トピックを参照してください。


Office アシスタントを使用する

このトピックの内容は、すべての言語で利用できない可能性があります。

カスタム アプリケーションで Office アシスタントを使用して、ユーザーに特定のヘルプを提供することができます。また、Office アシスタントのバルーンに含まれるコントロールを使用して、独自のプロシージャを実行することができます。

Visual Basic では、Office アシスタントに関連付けられた項目はすべて Assistant オブジェクトと、それに含まれるオブジェクトで表されます。アシスタントに対して実行時に変更できる設定のほとんどは、デザイン時にアシスタントをマウスの右ボタンでクリックして変更できるものと同じです。[Office アシスタント] ダイアログ ボックスの [オプション] タブに表示されるすべてのオプションは、それぞれ実行時に設定できるアシスタントのプロパティに対応しています。次の表は、Office アシスタントを変更するための主なプロパティの一覧です。

プロパティ | 説明
Animation | Office アシスタントをアニメーション表示します。連続したアニメーションもあれば、単発のアニメーションもあります。
FileName | Office アシスタントのファイル名 (*.acs) を指定します。たとえば、Office アシスタントの "カイル" のファイル名は Dolphin.acs になります。
Name | Office アシスタントの名前を返します。ユーザーが選択した Office アシスタントの種類を記録するには、このプロパティを使用します。
Visible | Office アシスタントを表示する、または非表示にします。

次の使用例は、Office アシスタントとして "ロッキー" を選択し、アシスタントを表示して、アニメーションを設定します。また、デザイン時に [Office アシスタント] ダイアログ ボックスの [オプション] タブで選択できるヘルプ プロパティのいくつかを変更します。

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

全部で 7 種類の Office アシスタントが用意されていて、Microsoft Office のセットアップ時に選択できます。一度にアクティブにできるアシスタントは 1 つだけです。アシスタントの種類は、Office アシスタントのギャラリからユーザーに選択させることも、実行時に選択することもできます。セットアップされたアシスタント ファイル (*.acs) を変更することはできません。また、組み込みのファイルの代わりに、独自のアシスタント ファイルを使用することもできません。


ヘルプ トピックが表示されない

Microsoft Office Visual Basic のヘルプが見つからない、インストールされていない、または削除されたため、ヘルプ トピックを表示できません。

Microsoft Office Visual Basic のヘルプをインストールするには

  1. コントロール パネルの [アプリケーションの追加と削除] をダブルクリックします。
  2. [プログラムの変更と削除] タブで、インストールされている Microsoft Office をクリックし、[変更] をクリックします。
  3. [機能の追加/削除] をクリックし、機能の一覧で [Office 共有機能] を展開します。
  4. 機能の一覧で [Visual Basic for Applications] を展開し、[Visual Basic ヘルプ] の隣のアイコンをクリックして、インストールの選択項目を表示します。
  5. [マイ コンピュータから実行] (または管理者用インストールの場合 [ネットワークから実行]) をクリックし、[更新] をクリックします。


Add メソッド (Word)

Word では、Add メソッド (CommandBarControls オブジェクト) の引数 Temporary は常に無視されます。したがって、メニュー バーまたはコマンド バーにコントロール ボタンを追加すると、引数 Temporary を True に設定したかどうかにかかわらず、追加したコントロール ボタンが [標準.dot] テンプレートに保存されます。[標準.dot] テンプレートから不要なメニュー アイテムを削除するには、次のいずれかの方法を使用します。

  1. [標準.dot] を削除する。この方法では、[標準] の既定テンプレートを再作成する必要があります。再作成すると、ツールバーなど [標準] テンプレートにそれまで加えた他の変更も削除されてしまいます。[標準] テンプレートは Word のすべての文書で使用されるため、テンプレートの削除は、プログラムではなく手動で行う必要があります。
  2. コマンド バーをリセットする。すべてのコマンド バー、または指定したコマンド バーをリセットするプロシージャを作成します。次の使用例は、メニュー バーとツールバーを含む、すべてのコマンド バーをリセットします。
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'エラー ハンドラは、リセットできない
    'ユーザー設定のツールバーをスキップします。
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    次の使用例は、Word のすべてのツールバーではなくメニュー バーのアイテムのみをリセットします。
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "メニュー バー" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Context プロパティ

Word では、Context プロパティは、指定した CommandBar オブジェクトを保存する文書に関連付けられたテンプレートのフル パスを取得します。値の取得のみ可能です。


新しいイベント

 新しいメソッド

 新しいオブジェクト

 新しいプロパティ (アルファベット順)

 新しいプロパティ (オブジェクト順)


CommandBarComboBox オブジェクト


CommandBarButton オブジェクト


MsoEnvelope オブジェクト
EnvelopeShow イベント


MsoEnvelope オブジェクト
EnvelopeHide イベント


CommandBars コレクション オブジェクト


新しいメソッド

 新しいオブジェクト

 新しいプロパティ (アルファベット順)

 新しいプロパティ (オブジェクト順)

 Microsoft Office の開発者向け新機能


実行時におけるバルーンの変更

 Office アシスタントの概要


ショートカット メニューの追加と表示

 ツールバーの追加と変更

 コマンド バーを使用する


Assistant オブジェクト

 Balloon オブジェクト

 バルーンの作成と変更

 Office アシスタントの概要


Animation プロパティ

 バルーンの作成と変更

 FileName プロパティ

 Microsoft Office のオブジェクト


ショートカット メニューの追加と表示

 メニュー バーおよびメニュー項目の追加と変更

 ツールバーの追加と変更

 Microsoft Office のオブジェクト


BalloonCheckBoxes コレクション オブジェクト

 BalloonLabels コレクション オブジェクト

 CommandBarControls コレクション オブジェクト

 CommandBars コレクション オブジェクト

 DocumentProperties コレクション オブジェクト

 PropertyTests コレクション オブジェクト


メニュー バーおよびメニュー項目の追加と変更

 ツールバーの追加と変更

 コマンド バーを使用する


ショートカット メニューの追加と表示

 メニュー バーおよびメニュー項目の追加と変更

 コマンド バーを使用する


Assistant オブジェクト

 バルーンの作成と変更

 実行時におけるバルーンの変更

 Microsoft Office のオブジェクト


Assistant オブジェクト


AnswerWizardFiles コレクション オブジェクト

 CommandBarControls コレクション オブジェクト

 CommandBars コレクション オブジェクト

 DocumentProperties コレクション オブジェクト

 FileDialogFilters コレクション

 FileTypes コレクション

 NewFile オブジェクト

 ODSOFilters オブジェクト

 PropertyTests コレクション オブジェクト

 Scripts コレクション オブジェクト

 SearchFolders コレクション

 SignatureSet コレクション
CommandBars コレクション オブジェクト

 DocumentProperties コレクション オブジェクト

 Microsoft Office のオブジェクト
Add メソッド (Word)


ScopeFolder オブジェクト
Add メソッド


OfficeDataSourceObject オブジェクト


CommandBarComboBox オブジェクト

 FileDialogFilters コレクション
AddItem メソッド

 CommandBarComboBox オブジェクト

 Enabled プロパティ


AnswerWizard オブジェクト


Balloon オブジェクト


SignatureSet コレクション


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト


AnswerWizardFiles コレクション オブジェクト

 CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト

 DocumentProperty オブジェクト

 FileDialogFilters コレクション

 ODSOFilters オブジェクト

 Script オブジェクト

 Scripts コレクション オブジェクト

 Signature オブジェクト


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト

 FileDialog オブジェクト

 FileSearch オブジェクト


FindControls メソッド


COMAddIns コレクション オブジェクト

 FileDialogFilters コレクション

 FileDialogSelectedItems コレクション

 HTMLProjectItems コレクション オブジェクト

 ODSOColumns オブジェクト

 ODSOFilters オブジェクト

 Scripts コレクション オブジェクト


HTMLProjectItem オブジェクト


Assistant オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト

 OfficeDataSourceObject オブジェクト


FileSearch オブジェクト
FileSearch オブジェクト


HTMLProject オブジェクト

 HTMLProjectItem オブジェクト

 OfficeDataSourceObject オブジェクト


HTMLProject オブジェクト


FileSearch オブジェクト


CommandBars コレクション オブジェクト
SetFocus メソッド


FileTypes コレクション

 NewFile オブジェクト

 PropertyTests コレクション オブジェクト

 SearchFolders コレクション


ResetTips メソッド


Assistant オブジェクト
Reset メソッド


Balloon オブジェクト

 FileDialog オブジェクト
BalloonCheckBoxes コレクション オブジェクト

 バルーンの作成と変更

 Execute メソッド

 NewBalloon プロパティ


CommandBar オブジェクト


COMAddIns コレクション オブジェクト


新しいイベント

 新しいオブジェクト

 新しいプロパティ (アルファベット順)

 新しいプロパティ (オブジェクト順)

 Microsoft Office の開発者向け新機能


ClearFileList メソッド

 ResetFileList メソッド
Application プロパティ

 Creator プロパティ

 Files プロパティ

 Parent プロパティ


Add メソッド

 Delete メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Item プロパティ

 Parent プロパティ


Animation プロパティ

 Application プロパティ

 AssistWithAlerts プロパティ

 AssistWithHelp プロパティ

 AssistWithWizards プロパティ

 BalloonError プロパティ

 Creator プロパティ

 FeatureTips プロパティ

 FileName プロパティ

 GuessHelp プロパティ

 HighPriorityTips プロパティ

 Item プロパティ

 KeyboardShortcutTips プロパティ

 Left プロパティ

 MouseTips プロパティ

 MoveWhenInTheWay プロパティ

 Name プロパティ

 NewBalloon プロパティ

 On プロパティ

 Parent プロパティ

 Reduced プロパティ

 SearchWhenProgramming プロパティ

 Sounds プロパティ

 TipOfDay プロパティ

 Top プロパティ

 Visible プロパティ


Animation プロパティ

 Application プロパティ

 BalloonType プロパティ

 Button プロパティ

 Callback プロパティ

 Checkboxes プロパティ

 Creator プロパティ

 Heading プロパティ

 Icon プロパティ

 Labels プロパティ

 Mode プロパティ

 Name プロパティ

 Parent プロパティ

 Private プロパティ

 Text プロパティ
Microsoft Office のオブジェクト


Microsoft Office のオブジェクト


Microsoft Office のオブジェクト
BalloonLabels コレクション オブジェクト


Item メソッド

 Update メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Parent プロパティ


AdaptiveMenu プロパティ

 Application プロパティ

 BuiltIn プロパティ

 Context プロパティ

 Controls プロパティ

 Creator プロパティ

 Enabled プロパティ

 Height プロパティ

 Id プロパティ

 Index プロパティ

 Left プロパティ

 Name プロパティ

 NameLocal プロパティ

 Parent プロパティ

 Position プロパティ

 Protection プロパティ

 RowIndex プロパティ

 Top プロパティ

 Type プロパティ

 Visible プロパティ

 Width プロパティ
Microsoft Office のオブジェクト
CommandBars コレクション オブジェクト


Click イベント
Copy メソッド

 CopyFace メソッド

 Delete メソッド

 Execute メソッド

 Move メソッド

 PasteFace メソッド

 Reset メソッド

 SetFocus メソッド
Application プロパティ

 BeginGroup プロパティ

 BuiltIn プロパティ

 BuiltInFace プロパティ

 Caption プロパティ

 Creator プロパティ

 DescriptionText プロパティ

 Enabled プロパティ

 FaceId プロパティ

 Height プロパティ

 HelpContextId プロパティ

 HelpFile プロパティ

 HyperlinkType プロパティ

 Id プロパティ

 Index プロパティ

 IsPriorityDropped プロパティ

 Left プロパティ

 Mask プロパティ

 OLEUsage プロパティ

 OnAction プロパティ

 Parameter プロパティ

 Parent プロパティ

 Picture プロパティ

 Priority プロパティ

 ShortcutText プロパティ

 State プロパティ

 Style プロパティ

 Tag プロパティ

 TooltipText プロパティ

 Top プロパティ

 Type プロパティ

 Visible プロパティ

 Width プロパティ
Microsoft Office のオブジェクト


Change イベント
AddItem メソッド

 Clear メソッド

 Copy メソッド

 Delete メソッド

 Execute メソッド

 Move メソッド

 RemoveItem メソッド

 Reset メソッド

 SetFocus メソッド
Application プロパティ

 BeginGroup プロパティ

 BuiltIn プロパティ

 Caption プロパティ

 Creator プロパティ

 DescriptionText プロパティ

 DropDownLines プロパティ

 DropDownWidth プロパティ

 Enabled プロパティ

 Height プロパティ

 HelpContextId プロパティ

 HelpFile プロパティ

 Id プロパティ

 Index プロパティ

 IsPriorityDropped プロパティ

 Left プロパティ

 List プロパティ

 ListCount プロパティ

 ListHeaderCount プロパティ

 ListIndex プロパティ

 OLEUsage プロパティ

 OnAction プロパティ

 Parameter プロパティ

 Parent プロパティ

 Priority プロパティ

 Style プロパティ

 Tag プロパティ

 Text プロパティ

 TooltipText プロパティ

 Top プロパティ

 Type プロパティ

 Visible プロパティ

 Width プロパティ


Application プロパティ

 BeginGroup プロパティ

 BuiltIn プロパティ

 Caption プロパティ

 Creator プロパティ

 DescriptionText プロパティ

 Enabled プロパティ

 Height プロパティ

 HelpContextId プロパティ

 HelpFile プロパティ

 Id プロパティ

 Index プロパティ

 IsPriorityDropped プロパティ

 Left プロパティ

 OLEUsage プロパティ

 OnAction プロパティ

 Parameter プロパティ

 Parent プロパティ

 Priority プロパティ

 Tag プロパティ

 TooltipText プロパティ

 Top プロパティ

 Type プロパティ

 Visible プロパティ

 Width プロパティ
Microsoft Office のオブジェクト
CommandBarControls コレクション オブジェクト


Add メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Item プロパティ

 Parent プロパティ
Microsoft Office のオブジェクト


Application プロパティ

 BeginGroup プロパティ

 BuiltIn プロパティ

 Caption プロパティ

 CommandBar プロパティ

 Controls プロパティ

 Creator プロパティ

 DescriptionText プロパティ

 Enabled プロパティ

 Height プロパティ

 HelpContextId プロパティ

 HelpFile プロパティ

 Id プロパティ

 Index プロパティ

 IsPriorityDropped プロパティ

 Left プロパティ

 OLEMenuGroup プロパティ

 OLEUsage プロパティ

 OnAction プロパティ

 Parameter プロパティ

 Parent プロパティ

 Priority プロパティ

 Tag プロパティ

 TooltipText プロパティ

 Top プロパティ

 Type プロパティ

 Visible プロパティ

 Width プロパティ
Microsoft Office のオブジェクト


OnUpdate イベント
Add メソッド

 FindControl メソッド

 FindControls メソッド

 ReleaseFocus メソッド
ActionControl プロパティ

 ActiveMenuBar プロパティ

 AdaptiveMenus プロパティ

 Application プロパティ

 Count プロパティ

 Creator プロパティ

 DisableAskAQuestionDropdown プロパティ

 DisableCustomize プロパティ

 DisplayFonts プロパティ

 DisplayKeysInTooltips プロパティ

 DisplayTooltips プロパティ

 Item プロパティ

 LargeButtons プロパティ

 MenuAnimationStyle プロパティ

 Parent プロパティ
Microsoft Office のオブジェクト


Delete メソッド
Application プロパティ

 Creator プロパティ

 LinkSource プロパティ

 LinkToContent プロパティ

 Name プロパティ

 Parent プロパティ

 Type プロパティ

 Value プロパティ
Microsoft Office のオブジェクト


AllowMultiSelect プロパティ

 Application プロパティ

 ButtonName プロパティ

 Creator プロパティ

 DialogType プロパティ

 FilterIndex プロパティ

 Filters プロパティ

 InitialFileName プロパティ

 InitialView プロパティ

 Item プロパティ

 Parent プロパティ

 SelectedItems プロパティ

 Title プロパティ


Application プロパティ

 Creator プロパティ

 Description プロパティ

 Extensions プロパティ

 Parent プロパティ
FileDialog オブジェクト

 FileDialogFilters コレクション

 FileDialogSelectedItems コレクション


Add メソッド

 Clear メソッド

 Delete メソッド

 Item メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Parent プロパティ
FileDialog オブジェクト

 FileDialogFilter オブジェクト

 FileDialogSelectedItems コレクション


Item メソッド


Application プロパティ

 Creator プロパティ

 FileName プロパティ

 FileType プロパティ

 FileTypes プロパティ

 FoundFiles プロパティ

 LastModified プロパティ

 LookIn プロパティ

 MatchAllWordForms プロパティ

 MatchTextExactly プロパティ

 PropertyTests プロパティ

 SearchFolders プロパティ

 SearchScopes プロパティ

 SearchSubFolders プロパティ

 TextOrProperty プロパティ
FileTypes コレクション

 FoundFiles プロパティ

 PropertyTest オブジェクト

 PropertyTests プロパティ

 ScopeFolder オブジェクト

 ScopeFolders コレクション

 SearchFolders コレクション

 SearchScope オブジェクト

 SearchScopes コレクション


Add メソッド

 Remove メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Item プロパティ
FileName プロパティ

 FileSearch オブジェクト

 FileType プロパティ

 FileTypes プロパティ

 SearchFolders コレクション

 SearchScopes コレクション


Open メソッド

 RefreshDocument メソッド

 RefreshProject メソッド
Application プロパティ

 Creator プロパティ

 HTMLProjectItems プロパティ

 Parent プロパティ

 State プロパティ


LoadFromFile メソッド

 Open メソッド

 SaveCopyAs メソッド
Application プロパティ

 Creator プロパティ

 IsOpen プロパティ

 Name プロパティ

 Parent プロパティ

 Text プロパティ


Application プロパティ

 Creator プロパティ

 LanguageID プロパティ

 LanguagePreferredForEditing プロパティ

 Parent プロパティ


EnvelopeHide イベント

 EnvelopeShow イベント
CommandBars プロパティ

 Introduction プロパティ

 Item プロパティ

 Parent プロパティ


Add メソッド

 Remove メソッド
Application プロパティ

 Creator プロパティ


Application プロパティ

 Creator プロパティ

 Index プロパティ

 Name プロパティ

 Parent プロパティ

 Value プロパティ
ODSOColumns オブジェクト

 ODSOFilter オブジェクト

 ODSOFilters オブジェクト

 OfficeDataSourceObject オブジェクト


Application プロパティ

 Column プロパティ

 CompareTo プロパティ

 Comparison プロパティ

 Conjunction プロパティ

 Creator プロパティ

 Index プロパティ

 Parent プロパティ
ODSOColumn オブジェクト

 ODSOColumns オブジェクト

 ODSOFilters オブジェクト

 OfficeDataSourceObject オブジェクト


Add メソッド

 Delete メソッド

 Item メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Parent プロパティ
ODSOColumn オブジェクト

 ODSOColumns オブジェクト

 ODSOFilter オブジェクト

 OfficeDataSourceObject オブジェクト


ApplyFilter メソッド

 Move メソッド

 Open メソッド

 SetSortOrder メソッド
ODSOColumns オブジェクト

 ODSOFilters オブジェクト
Columns プロパティ

 ConnectString プロパティ

 DataSource プロパティ

 Filters プロパティ

 RowCount プロパティ

 Table プロパティ
ODSOColumn オブジェクト

 ODSOColumns オブジェクト

 ODSOFilter オブジェクト

 ODSOFilters オブジェクト


PropertyTests コレクション オブジェクト


AddToSearchFolders メソッド


Application プロパティ

 Count プロパティ

 Creator プロパティ

 Item プロパティ
FileSearch オブジェクト

 SearchFolders コレクション

 SearchScopes コレクション


Delete メソッド
Application プロパティ

 Creator プロパティ

 Extended プロパティ

 Id プロパティ

 Language プロパティ

 Location プロパティ

 Parent プロパティ

 ScriptText プロパティ

 Shape プロパティ
Scripts コレクション オブジェクト


Add メソッド

 Delete メソッド

 Item メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Parent プロパティ


Add メソッド

 Remove メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Item プロパティ
FileSearch オブジェクト

 FileTypes コレクション

 LookIn プロパティ

 ScopeFolder オブジェクト

 ScopeFolders コレクション

 SearchFolders プロパティ

 SearchScopes コレクション


Application プロパティ

 Creator プロパティ

 ScopeFolder プロパティ

 Type プロパティ
FileSearch オブジェクト

 ScopeFolder オブジェクト

 SearchScopes コレクション


Delete メソッド
Application プロパティ

 AttachCertificate プロパティ

 Creator プロパティ

 ExpireDate プロパティ

 IsCertificateExpired プロパティ

 IsCertificateRevoked プロパティ

 IsValid プロパティ

 Issuer プロパティ

 Parent プロパティ

 SignDate プロパティ

 Signer プロパティ


Add メソッド

 Commit メソッド
Application プロパティ

 Count プロパティ

 Creator プロパティ

 Item プロパティ

 Parent プロパティ


WebPageFonts コレクション オブジェクト


Application プロパティ

 Count プロパティ

 Creator プロパティ

 Item プロパティ


新しいイベント

 新しいメソッド

 新しいプロパティ (アルファベット順)

 新しいプロパティ (オブジェクト順)

 Microsoft Office の開発者向け新機能


FileDialog オブジェクト


Assistant オブジェクト

 Balloon オブジェクト
Assistant オブジェクト

 FileName プロパティ

 Office アシスタントの概要

 Visible プロパティ


AnswerWizard オブジェクト

 AnswerWizardFiles コレクション オブジェクト

 Assistant オブジェクト

 Balloon オブジェクト

 BalloonCheckBox オブジェクト

 BalloonCheckBoxes コレクション オブジェクト

 BalloonLabel オブジェクト

 BalloonLabels コレクション オブジェクト

 COMAddIn オブジェクト

 COMAddIns コレクション オブジェクト

 CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarControls コレクション オブジェクト

 CommandBarPopup オブジェクト

 CommandBars コレクション オブジェクト

 DocumentProperties コレクション オブジェクト

 DocumentProperty オブジェクト

 FileDialog オブジェクト

 FileDialogFilter オブジェクト

 FileDialogFilters コレクション

 FileDialogSelectedItems コレクション

 FileSearch オブジェクト

 FileTypes コレクション

 FoundFiles オブジェクト

 HTMLProject オブジェクト

 HTMLProjectItem オブジェクト

 HTMLProjectItems コレクション オブジェクト

 LanguageSettings オブジェクト

 NewFile オブジェクト

 ODSOColumn オブジェクト

 ODSOColumns オブジェクト

 ODSOFilter オブジェクト

 ODSOFilters オブジェクト

 PropertyTest オブジェクト

 PropertyTests コレクション オブジェクト

 ScopeFolder オブジェクト

 ScopeFolders コレクション

 Script オブジェクト

 Scripts コレクション オブジェクト

 SearchFolders コレクション

 SearchScope オブジェクト

 SearchScopes コレクション

 Signature オブジェクト

 SignatureSet コレクション

 WebPageFont オブジェクト

 WebPageFonts コレクション オブジェクト


Signature オブジェクト


コマンド バーを使用する


CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
CommandBar オブジェクト

 CommandBarControl オブジェクト

 FaceId プロパティ

 PasteFace メソッド

 コマンド バーを使用する


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
CommandBarControl オブジェクト

 DescriptionText プロパティ

 Enabled プロパティ

 TooltipText プロパティ


BalloonCheckBox オブジェクト


ODSOFilter オブジェクト


CommandBarPopup オブジェクト


MsoEnvelope オブジェクト


PropertyTest オブジェクト
NewSearch メソッド


COMAddIn オブジェクト


PropertyTest オブジェクト


CommandBar オブジェクト
ショートカット メニューの追加と表示

 メニュー バーおよびメニュー項目の追加と変更

 ツールバーの追加と変更

 コマンド バーを使用する
Context プロパティ


AnswerWizardFiles コレクション オブジェクト

 BalloonCheckBoxes コレクション オブジェクト

 BalloonLabels コレクション オブジェクト

 COMAddIns コレクション オブジェクト

 CommandBarControls コレクション オブジェクト

 CommandBars コレクション オブジェクト

 DocumentProperties コレクション オブジェクト

 FileDialogFilters コレクション

 FileDialogSelectedItems コレクション

 FileTypes コレクション

 FoundFiles オブジェクト

 HTMLProjectItems コレクション オブジェクト

 ODSOColumns オブジェクト

 ODSOFilters オブジェクト

 PropertyTests コレクション オブジェクト

 ScopeFolders コレクション

 Scripts コレクション オブジェクト

 SearchFolders コレクション

 SearchScopes コレクション

 SignatureSet コレクション

 WebPageFonts コレクション オブジェクト


COMAddIn オブジェクト

 FileDialogFilter オブジェクト


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
Caption プロパティ

 DisplayKeysInTooltips プロパティ

 DisplayTooltips プロパティ


CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
ショートカット メニューの追加と表示

 メニュー バーおよびメニュー項目の追加と変更

 ツールバーの追加と変更

 コマンド バーを使用する


Script オブジェクト


FileDialogFilter オブジェクト


Assistant オブジェクト

 FileSearch オブジェクト
Animation プロパティ

 Office アシスタントの概要

 Office アシスタントを使用する


FileDialog オブジェクト

 OfficeDataSourceObject オブジェクト


WebPageFont オブジェクト


Assistant オブジェクト
Office アシスタントの概要


Controls プロパティ


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
Help メソッド

 HelpFile プロパティ


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
Help メソッド

 HelpContextId プロパティ


CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト

 Script オブジェクト


CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト

 ODSOColumn オブジェクト

 ODSOFilter オブジェクト


Signature オブジェクト
IsCertificateRevoked プロパティ


Signature オブジェクト
IsCertificateExpired プロパティ


AnswerWizardFiles コレクション オブジェクト

 Assistant オブジェクト

 BalloonCheckBox オブジェクト

 BalloonCheckBoxes コレクション オブジェクト

 BalloonLabel オブジェクト

 BalloonLabels コレクション オブジェクト

 CommandBarControls コレクション オブジェクト

 CommandBars コレクション オブジェクト

 DocumentProperties コレクション オブジェクト

 FileDialog オブジェクト

 FileTypes コレクション

 FoundFiles オブジェクト

 MsoEnvelope オブジェクト

 PropertyTests コレクション オブジェクト

 ScopeFolders コレクション

 SearchFolders コレクション

 SearchScopes コレクション

 SignatureSet コレクション

 WebPageFonts コレクション オブジェクト


LanguageSettings オブジェクト


FileSearch オブジェクト
NewSearch メソッド


Top プロパティ


DocumentProperty オブジェクト
LinkToContent プロパティ


DocumentProperty オブジェクト
LinkSource プロパティ


CommandBarButton オブジェクト
Picture プロパティ


Assistant オブジェクト

 Balloon オブジェクト

 BalloonCheckBox オブジェクト

 BalloonCheckBoxes コレクション オブジェクト

 BalloonLabel オブジェクト

 BalloonLabels コレクション オブジェクト

 CommandBar オブジェクト

 DocumentProperty オブジェクト

 HTMLProjectItem オブジェクト

 ODSOColumn オブジェクト

 PropertyTest オブジェクト

 ScopeFolder オブジェクト
NameLocal プロパティ


CommandBar オブジェクト
Name プロパティ


AnswerWizard オブジェクト

 AnswerWizardFiles コレクション オブジェクト

 Assistant オブジェクト

 Balloon オブジェクト

 BalloonCheckBox オブジェクト

 BalloonCheckBoxes コレクション オブジェクト

 BalloonLabel オブジェクト

 BalloonLabels コレクション オブジェクト

 COMAddIn オブジェクト

 COMAddIns コレクション オブジェクト

 CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarControls コレクション オブジェクト

 CommandBarPopup オブジェクト

 CommandBars コレクション オブジェクト

 DocumentProperties コレクション オブジェクト

 DocumentProperty オブジェクト

 FileDialog オブジェクト

 FileDialogFilter オブジェクト

 FileDialogFilters コレクション

 FileDialogSelectedItems コレクション

 HTMLProject オブジェクト

 HTMLProjectItem オブジェクト

 HTMLProjectItems コレクション オブジェクト

 LanguageSettings オブジェクト

 MsoEnvelope オブジェクト

 ODSOColumn オブジェクト

 ODSOColumns オブジェクト

 ODSOFilter オブジェクト

 ODSOFilters オブジェクト

 Script オブジェクト

 Scripts コレクション オブジェクト

 Signature オブジェクト

 SignatureSet コレクション


ScopeFolder オブジェクト


CommandBarButton オブジェクト
Mask プロパティ


SearchScope オブジェクト


PropertyTest オブジェクト
Value プロパティ


CommandBarButton オブジェクト
Office アシスタントの概要


CommandBarButton オブジェクト

 HTMLProject オブジェクト


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト


FindControl メソッド


Balloon オブジェクト

 BalloonCheckBox オブジェクト

 BalloonLabel オブジェクト

 CommandBarComboBox オブジェクト

 HTMLProjectItem オブジェクト
バルーンの作成と変更

 Heading プロパティ

 Office アシスタントの概要

 Show メソッド


CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
Caption プロパティ

 DescriptionText プロパティ


Left プロパティ


CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト

 DocumentProperty オブジェクト

 SearchScope オブジェクト
コマンド バーを使用する


DocumentProperty オブジェクト

 ODSOColumn オブジェクト

 PropertyTest オブジェクト


Assistant オブジェクト

 CommandBar オブジェクト

 CommandBarButton オブジェクト

 CommandBarComboBox オブジェクト

 CommandBarControl オブジェクト

 CommandBarPopup オブジェクト
Office アシスタントの概要

 Office アシスタントを使用する


新しいイベント

 新しいメソッド

 新しいオブジェクト

 新しいプロパティ (オブジェクト順)

 Microsoft Office の開発者向け新機能


新しいイベント

 新しいメソッド

 新しいオブジェクト

 新しいプロパティ (アルファベット順)

 Microsoft Office の開発者向け新機能


Height プロパティ


バルーンの作成と変更

 コマンド バーの概要

 Office アシスタントの概要

 コマンド バーを使用する

 Office アシスタントを使用する


INDEX~TEXT
seealso~"関連項目"
appliesto~"対象"
elements~"要素"
properties~"プロパティ"
methods~"メソッド"
events~"イベント"
example~"使用例"
specifics~"ｱﾌﾟﾘｹｰｼｮﾝ情報"
show~"説明の表示"
hide~"説明の非表示"